
## API Version v4.2 ( DSR Release 8.5.0.2.0_92.7.0 )

### Backward Compatible Changes
* Added new attribute for Message Copy Configuration Sets in Options API (diameter/options).
* Added new attribute for Rf Message Copy Feature Enabled in Options API (diameter/options).
* Added new attributes - AAA Route List, MPN Route List and UMF Route List in Options API (diameter/options).
* Added new resource Rf Message Copy (diameter/rfmessagecopy).
* Initial Creation for area: Radius.
* Added Bulk Export and Import support for all Radius managed objects.
* Added new resource SMS Proxy Options(vstp/smsproxyoptions).
* Added new resource SMS Proxy SMSC Status(vstp/smscstatus).

### Non-Backward Compatible Changes
* None

### Non-Interface Changes
* None


## API Version v4.1 ( DSR Release 8.5.0.0.0_90.11.0 )

### Backward Compatible Changes
* Added new resource Country Latitude Longitude (/commonsecurity/countrylonglats).
* Added new resource Cat2 Imsi(/vstp/cat2imsi).
* Added new resource Cat2 Gta(vstp/cat2gta).
* Added new resource Security Log Config(/vstp/securitylogconfig).
* Added new resource Accounting Measurement Options(/vstp/accountingmeasurementoptions).

### Non-Backward Compatible Changes
* Changed Uri of CCMCCMappings (/commonsecurity/ccmccmappings).

### Non-Interface Changes
* None


## API Version v3.1 ( DSR Release 8.4.0.3.0_85.17.0 )

### Backward Compatible Changes
* Supporting both Bulk Export and Bulk Import for Diameter, Fabr, Rbar, Vstp and Comagent.
* Added Bulk Export support for Connection Groups and Remote Servers MO.
* Initial Creation for area: commonsecurity.
* Added new resource Exceptions (/commonsecurity/neighboringcountries).
* Added Bulk Export support for all MO's.
* Added Bulk Export support for all MO's.
* Added Bulk Export support for all MO's.
* Added new resource NPP Service Rule Sets (/vstp/nppservicerulesets).
* Added new resource Common Screening Lists (/vstp/commonscreeninglists).
* Added new resource Mate Stps (/vstp/matestps).
* Added Bulk Export support for all MO's.
* Added new resource Mtp2 Options (/vstp/mtp2options).
* Added new resource Interface Mappings (/vstp/interfacemappings).
* Added new resource MTP2Board (/vstp/mtp2board).
* Added new resource NPP Action Sets (/vstp/nppactionsets).
* Added new resource PPS Options (/vstp/ppsoptions).
* Added new resource NPP Services (/vstp/nppservices).
* Added new resource IDPR Options (/vstp/idproptions.

### Non-Backward Compatible Changes
* None

### Non-Interface Changes
* None


## API Version v3.0 ( DSR Release 8.4.0.0.0_84.15.0 )

### Backward Compatible Changes
* Added new resource Users (admin/users).
* Added new resource Groups (admin/groups).
* Added new resource Sessions (admin/sessions).
* Added new resource Mp Profiles (diameter/mpprofiles).
* Added new resource Dynamic Peer Discovery-Realms(diameter/dpdrealms).
* Added new resource Dynamic Peer Discovery-DNS Sets(diameter/dpddnssets).
* Added new resource Dynamic Peer Discovery-Discovery Attributes(diameter/dpdattributesets).
* Added new resource Peer Node Alarm Groups (/diameter/peernodealarmgroups).
* Updated Peer Node Status (/diameter/peernodes/status). Added new attributes Peer Node Alarm Group Name and Alarm Ids.
* Updated Options (/diameter/options). Added new attribute Alarm Group Feature Enabled.
* Added new resource Connection Alarm Groups (/diameter/connectionalarmgroups).
* Updated Connection Status (/diameter/connections/status). Added new attributes Connection Alarm Group Name and Alarm Ids.
* Added new resource Topology Hiding Trusted Network Lists (diameter/trustednetworklists).
* Added new resource Path Topology Hiding Configuration Sets (diameter/pathtopologyhidingcfgsets).
* Added new resource S6a/S6d Hss Topology Hiding Configuration Sets (diameter/hsstopologyhidingcfgsets).
* Added new resource MME/SGSN Topology Hiding Configuration Sets (diameter/mmetopologyhidingcfgsets).
* Added new resource S9 PCRF Topology Hiding Configuration Sets (diameter/pcrftopologyhidingcfgsets).
* Added new resource AF/pCSCF Topology Hiding Configuration Sets (diameter/aftopologyhidingcfgsets).
* Added new resource Topology Hiding Protected Networks (diameter/protectednetworks).
* Added new resource View History (mon/alarmseventshistory).
* Added new resource View Trap Log (mon/alarmseventstraplog).
* Initial Creation for area: sbr.
* MMI support for Monitoring Location Area
* Updated Remote Signaling Points (/vstp/remotesignalingpoints). Added new optional attributes aliasPointCode1, aliasPointCode2, aliasPointCode1DomainType and aliasPointCode2DomainType.
* Updated M3RL Options (/vstp/m3rloptions). Added new optional attributes cnvAInat, cnvCgda, cnvCgdi, cnvCgdn, cnvCgdn24, cnvCgdn16, cnvClgItu, gtCnvDflt, itun16TcTimer and sparePCSupportEnabled.
* Updated Sccp Options (/vstp/sccpoptions). Added optional attribute itun16ScmgEnabled ( Itun16 Scmg Enabled).
* Updated GTA (/vstp/globaltitleaddresses). Added new optional attributes - gtmodName (GTT Modification Name), ccgt (Cancel called global title indicator), cgGtmod (Calling party GT modification indicator).
* Updated Link Sets (/vstp/linksets). Added new optional attribute enableCgGtmod.
* Updated GTT Actions (/vstp/gttactions). Added new optional attributes gtmodName (Global title modification identifier).
* Added new resource GTT Modification (/vstp/gttmods).
* Added new resource Home Entity (/vstp/homeentities).
* Added new resource MNP Options (/vstp/sccpmnpoptions).
* Added new resource SCCP Service Selectors (/vstp/sccpserviceselectors).
* Added new resource Sccp Applications (/vstp/sccpapplications).
* Added new resource Sccp Applications Status (/vstp/sccpapplicationstatus).
* Added new resource Sccp Applications Admin State(/vstp/sccpapplicationadminstate).
* Added new resource Default Conversions(/vstp/defaultconversions).
* Added new resource MTP Screening Rules(/vstp/mtpscreeningrules).
* Added new resource GTT Modification (/vstp/gttmods).
* Added new resource MTP Screen Sets (/vstp/mtpscreensets).
* Added new resource Sccp Loopsets (/vstp/sccploopsets).

### Non-Backward Compatible Changes
* Updated Local Signaling Points with support for Multiple Point Code(TPC/SPC/CPC).

### Non-Interface Changes
* None


## API Version v2.1 ( DSR Release 8.3.0.0.0_83.15.0 )

### Backward Compatible Changes
* Initial Creation for area: comagent.
* Added new resource Maintenance Application(diameter/applications).
* Added new resource Maintenance Signaling Firewall (diameter/signalingfirewalls).
* Added new resource Maintenance Peer DAMP Status (/diameter/peerdamps).
* Added new resource Maintenance Peer DAMP Connectivity Status (/diameter/peerdampconnectivity).
* Added new resource Maintenance DAMP Server Hostname Status (/diameter/dampserverhostnames).
* Added new resource Capacity Summary (/diameter/capacitysummary).
* Added new resource Peer Node Status (/diameter/peernodes/status).
* Added new resource Route Group Status (/diameter/routegroups/status).
* Added new resource Shared Traffic Throttle Group (/diameter/sharedtrafficthrottlegroups).
* Added new resource Connection Capactiy Dashboard (/diameter/connectioncapacitydashboard).
* Added new resource Route Lists Status (/diameter/routelists/status).
* Initial Creation for area: eir.
* Initial Creation for area: fabr.
* Initial Creation for area: scef.

### Non-Backward Compatible Changes
* None

### Non-Interface Changes
* None


## API Version v2.0 ( DSR Release 8.2.0.0.0_82.15.0 )

### Backward Compatible Changes
* Added new resource Mcc Mnc (diameter/mccmncs).
* Added new resource Mcc Mnc  Mappings (/diameter/mccmncmappings).
* Added new resource Reserved Mcc Ranges (/diameter/reservedmccranges).
* Added new resource Common Application Options (/diameter/commonapplicationoptions).
* Initial Creation for area: rbar.
* Updated GTT Selectors (/vstp/gttselectors). Added new optional attributes - linksetName (Link Set Name), cdgttsn (CdPA GTT Set Name), cggttsn (CgPA GTT Set Name), cgssn (CgPA subsystem number), selid(Selector ID). Marked older attribute gttSetName from required to optional.
* Updated Link Sets (/vstp/linksets). Added new optional attribute gttmode.
* Updated SCCP Options (/vstp/sccpoptions). Added new optional attributes dfltfallback and dfltgttmode.
* Updated GTA (/vstp/globaltitleaddresses). Added new optional attributes - acn (Application Context Name), actsn (Action Set Name), cdselid (Called Party Selector Id), cdssn (Start Called Party SubSytem Number), cgpc (Calling Party Point Code), cgpcaction (Calling Party Point Code Actions), cgselid (Calling Party Selector Id), cgssn (Start Calling Party SubSytem Number), defmapvr (Default MAP Version), domain (Domain), ecdssn (End Called Party SubSytem Number), ecgssn (End Calling Party SubSytem Number), emapaddr (MAP based End Address), fallback (Fallback), family (Family), opc (Origin Point Code), opcode (OpCode), opcsn (Origin Point Code Set Name), optsn (Optional Set Name), pkgtype (Package Type), routingIndicator (Routing Indicator), smapaddr (MAP based Start Address).
* Updated GTT Sets (/vstp/gttsets). Added new optional attribute npsn (Not Present Set Name). Added new enum values - Cdssn, Cdgta, Cgpc, Cgssn, Imsi, Msisdn, Opc, Opcode - for attribute gttSetType.
* Added new resource GTT Action Sets (/vstp/gttactionsets).
* Added new resource GTT Actions (/vstp/gttactions).

### Non-Backward Compatible Changes
* Maximum tuple (mapSetId + RSP + SSN) allowed for mapset and mrnset (mrnSetId + RSP) is reduced to 6000 and 3000 respectively.
* Allowed range value for mapSetId and mrnSetId is reduced to 6000 and 1500 respectively.  This is applicable for /vstp/mapsets, /vstp/mrnsets, /vstp/gttaddresses and /vstp/gttactions.
* GTT Load sharing features - FGTTLS, IGTTLS and WGTTLS are enabled by default.

### Non-Interface Changes
* None


## API Version v1.1 ( DSR Release 8.1.0.0.0_81.20.0 )

### Backward Compatible Changes
* Updated Software Versions (/admin/softwareversions). Added new attribute - hostname.
* Added new resource Application Priority Options (/diameter/applicationpriorityoptions).
* Updated Connection Configuration Sets (/diameter/connectionconfigurationsets). Added new optional attributes - cl1MinPriorityAllowed, cl2MinPriorityAllowed, cl3MinPriorityAllowed.
* Updated Pending Transaction Limit Configuration Sets (/diameter/pendingtransactionlimitingconfigurationsets). Added new optional attribute - pendConvergenceTime.
* Updated Egress Throttle Group Status (/diameter/egressthrottlegroupstatus). Added new optional attributes - averagePendTransHoldTime, egressRequestRate, numberOfPendingTransactions, offeredTrafficRate, percentTransDiverted, targetEtr.
* Updated Options (/diameter/options). Added new optional attributes - congestionDiscardPolicy, etgMode, ngnPs16PriorityAdminStateEnabled, ngnPsAnswerPriorityMode, ngnPsMaxPriority0Allowed, ngnPsMaxPriority1Allowed, ngnPsMaxPriority2Allowed.
* Updated Options (/diameter/options). Added new readonly attributes - ngnPsMaxNormalRequestPriority.
* Updated Options (/diameter/options). Extended the range - New range for ngnPsMinimumAnswerPriority is [P0,P3,P14,P15], New range for ngnPsMinimumInviolablePriority is [P3,P4,P15,P99].
* Updated Peer Route Rule (/diameter/peerrouterules).  Extended the range - New range for msgPriority is [Nc,Pr0,Pr1,Pr2,Pr3,Pr4,Pr5,Pr6,Pr7,Pr8,Pr9,Pr10,Pr11,Pr12,Pr13,Pr14,Pr15].
* Updated Message Priority Configuration Sets (/diameter/messagepriorityconfigurationsets). Max value for priority is increased to 15.
* Added new optional attribute isTrafficMeasuringEnabled in Route Group (/diameter/routegroups).
* Added new optional attribute answerOnAnyEnabledConnection in Peer Node (/diameter/peernodes).
* Added new MP Profiles - Gen9V2_Relay, Gen9V2_Database, and Gen9V2_Session in MP Profile Assignment (/diameter/mpprofileassignments).
* Updated Message Priority Configuration Sets (/diameter/messagepriorityconfigurationsets). Max value for priority is increased to 15.
* Added new resource Signaling Ip Addresses (/diameter/signalingipaddresses).
* Updated Network Devices (/topo/networkdevices). Marked attributes as read only - persistentDhclient, hwAddr, ethtoolOpts, ethtoolAccelOpts.
* Initial Creation for area: vstp.

### Non-Backward Compatible Changes
* None

### Non-Interface Changes
* Updated descriptions against Onset and Abatement Threshold Levels in Pending Transaction Limiting Configuration Sets (/diameter/pendingtransactionlimitingconfigurationsets).
* Updated descriptions against Onset and Abatement Threshold Levels in Rate Limiting Configuration Sets (/diameter/ratelimitingconfigurationsets).

## API Version v1.0 ( DSR Release 8.0.0.0.0_80.25.0 )

### Backward Compatible Changes
* Initial Creation for area: admin.
* Initial Creation for area: all.
* Initial Creation for area: appworks.
* Initial Creation for area: auth.
* Initial Creation for area: bulk.
* Initial Creation for area: diameter.
* Initial Creation for area: mon.
* Initial Creation for area: topo.

### Non-Backward Compatible Changes
* None

### Non-Interface Changes
* None