/*
 * Copyright (c) 2013 Oracle and/or its affiliates. All rights reserved.
 *
 * @fileOverview
 * Implements a default store for lux Dashboard pattern.
 * @author Shailesh Zirpe
 */
define(['ojs/ojcore', 'knockout', 'jquery', './Collection', './metaModel', 'ojs/ojmodel'], function(oj, ko, $, ParentCollection, MetaModel) {

    var metaModel = new MetaModel();

    var MetaCollection = ParentCollection.extend({
        model:            metaModel,
        setURL_and_fetch: function(URL, $dfd) {
            ParentCollection.prototype.setURL_and_fetch.apply(this, arguments); // call to super
        },
        comparator: function(left, right) {
            return (left.get('order') === right.get('order') ? 0 : (left.get('order') < right.get('order') ? -1 : 1));
        }
    });

    return MetaCollection;
});
