/**
 * @module luxDashboardAdmin
 * @jqbase
 * @requires jquery
 * @requires jqueryui
 */

/**
 * Copyright (c) 2013, 2018 Oracle and/or its affiliates. All rights reserved.
 *
 * @fileOverview
 * LUX DashbaordAdmin pattern defines a widget that can be used to enforce admin control on the luxDashboard pattern for various roles.
 *
 * To create a luxDashboardAdmin pattern, call luxDashboardAdmin({}) on any div element
 *
 */

var obj = /** @lends module:luxDashboardAdmin */{
/**
         * Options
         * <dl>

<dt>dashboards</dt>
<dd>
    <div class='row-fluid'>
        <div class='span6'>
            <ul>
                <li><b>DEPRECATED</b>: This pattern is deprecated as of LUX 5.0. Please use the dashboard CCA in 'admin mode'.</li>
                <li><i>Description</i>: The dashboards option defines the list of dashboards to be used in the dashboardAdmin pattern. Each dashbaord needs to have following properties.
                                    <ul>
                                        <li><b>dashboardId</b>: unique identifier for the dashboard</li>
                                        <li><b>label</b>: a label to be used in the HTML list</li>
                                        <li><b>roles</b>: Array of objects reprenting the various roles for the selected dashboard. Each role object can have following properties.
                                            <ul>
                                                <li><b>roleId</b>: unique identifier for the dashboard</li>
                                                <li><b>label</b>: a label to be used in the HTML list</li>
                                                <li><b>ctrlStore</b>: control store to be used in the dashboard for that role</li>
                                                <li><b>ctrlStoreAdapterOverrides</b>: ctrlStoreAdapterOverrides to be used in the dashboard for that role</li>
                                                <li><b>defaultCtrlStoreExtender</b>: defaultCtrlStoreExtender to be used in the dashboard for that role</li>
                                                <li><b>defaultCtrlStoreURL</b>: defaultCtrlStoreURL to be used in the dashboard for that role</li>
                                                <li><b>defaultMetaStoreExtender</b>: defaultMetaStoreExtender to be used in the dashboard for that role</li>
                                                <li><b>defaultMetaStoreURL</b>: defaultMetaStoreURL to be used in the dashboard for that role</li>
                                                <li><b>metaStore</b>: metaStore to be used in the dashboard for that role</li>
                                                <li><b>metaStoreAdapterOverrides</b>: metaStoreAdapterOverrides to be used in the dashboard for that role</li>
                                            </ul>
                                        </li>
                                    </ul>
<pre class="prettyprint" >
        self.dashboards = [{
            dashboardId: 'luxDashboard_basic',
            label: 'dashboard basic demo',
            roles: [{
                roleId: 'Default2',
                roleLabel: 'Default',
                metaStore: 'useDefault',
                defaultMetaStoreURL: 'js/persistenceLayer/basic/metaURL.js',
                ctrlStore: 'useDefault',
                defaultCtrlStoreURL: 'js/persistenceLayer/basic/ctrlURL.js'
            }, {
                roleId: 'MarketingRep',
                roleLabel: 'Marketing Representative',
                metaStore: 'useDefault',
                defaultMetaStoreURL: 'js/persistenceLayer/basic/MarketingRep-metaURL.js',
                ctrlStore: 'useDefault',
                defaultCtrlStoreURL: 'js/persistenceLayer/basic/MarketingRep-ctrlURL.js'
            }]
        }, {
            dashboardId: 'luxDashboard_customStore',
            label: 'luxDashboard_customStore',
            roles: [{
                roleId: 'CustomStore',
                roleLabel: 'CustomStore',
                metaStore: customMetaStore,
                metaStoreAdapterOverrides: metaStoreAdapterOverrides,
                ctrlStore: 'useDefault',
                defaultCtrlStoreURL: 'js/persistenceLayer/i18n/ctrlURL.js'

            }, {
                roleId: 'i18nReguler',
                roleLabel: 'i18n Reguler',
                metaStore: 'useDefault',
                defaultMetaStoreURL: 'js/persistenceLayer/i18n/metaURL.js',
                ctrlStore: 'useDefault',
                defaultCtrlStoreURL: 'js/persistenceLayer/i18n/ctrlURL.js'
            }]
        }];
</pre>
                </li>
            </ul>
        </div>
    </div>
</dd>

* </dl>
*/
    options: {

    }
};

/**
 * This method can be used to make selection of a perticuler role belonging to a a dashbaord.
 * $('#luxDashboardAdminPatternDemo').luxDashboardAdmin('makeSelection', 'DeveloperRole');
 *
 * @method module:luxDashboardAdmin#makeSelection
 * @returns {string} string representing the roleId in the provided 'dashboards' option
 * @public
 */

/**
 * This event is triggred when a dashboard is displayed.
 *
 * @event module:luxDashboardAdmin#dataReady
 * @param {jqEvent} event -  The jQuery event for this event
 * @param {object} data
 * @param {object} data.uuid uuid of the jQueryUI widget
 */

