/*global define */
/*
 * Copyright (c) 2013 Oracle and/or its affiliates. All rights reserved.
 *
 * @fileOverview
 * Implements a Dashboard Admin widget that can be used in conjunction with luxDashboard pattern to enforce admin control on the Dashboard.
 * @author Shailesh Zirpe
 */

define(['require',
    'ojs/ojcore',
    'jquery',
    'underscore',
    'knockout',
    './utils/preventChildrenBinding',
    'text!./view.tmpl.html',
    './viewmodel',
    'jqueryui-amd/widget'

],

function(req, oj, $, _, ko, utils, template, VM) {

    $.widget('GBU.luxDashboardAdmin',
        /** @lends module:luxbreadcrumbs */
        {
            version: '5.1.0',

            options: {
                dashboardId: 'dashboardId_default'
            },

            _create: function() {
                var widgetObj = this;

                var $tem = $(template);
                var preventChildrenBinding = $tem.get(0);
                var childOfPreventChildrenBinding = $tem.find('.childOfPreventChildrenBinding').get(0);

                widgetObj.options.vm = new VM(widgetObj);

                widgetObj.element.append(preventChildrenBinding);
                ko.applyBindings(widgetObj.options.vm, childOfPreventChildrenBinding);
            },

            makeSelection: function(options) {
                var widgetObj = this;
                widgetObj.options.vm.makeSelection(options);
            }

        });

});
