define([],
    function () {
        'use strict';
        var BAR_COLOR = {
            order : [
                'ffffff', 'dbdce0', 'c1cbd5', '7fcdee', '99ddd8', 'cbe5cb', 'fff59c', 'fcd580', 'f5c2c2', 'eacee7', 'cbc0db',
                'cccccc', 'b6bac1', '8b9ab2', '66aad7', '66c4be', 'afdf8e', 'ffef5e', 'faab01', 'ef9a9a', 'd59ecf', '9881b7',
                '666666', '616977', '3e577f', '0072bc', '009c92', '65b265', 'ffdd00', 'e3870a', 'd80202', 'ab3da0', '6b40ad',
                '000000', '495363', '0e2d5f', '0f527d', '00857c', '008000', 'f2c019', 'be5709', 'a20202', '710966', '503082'
            ],
            'ffffff' : {
                color : 'ffffff',
                style : 'bar-color-white',
                progressStyle : 'bar-progress-color-white',
                defaultProgress : 'cccccc'
            },
            'cccccc' : {
                color : 'cccccc',
                style : 'bar-color-light-gray',
                progressStyle : 'bar-progress-color-light-gray',
                defaultProgress : '666666'
            },
            '666666' : {
                color : '666666',
                style : 'bar-color-dark-gray',
                progressStyle : 'bar-progress-color-dark-gray',
                defaultProgress : 'cccccc'
            },
            '000000' : {
                color : '000000',
                style : 'bar-color-black',
                progressStyle : 'bar-progress-color-black',
                defaultProgress : 'cccccc'
            },
            'c1cbd5' : {
                color : 'c1cbd5',
                style : 'bar-color-light-blue-gray',
                progressStyle : 'bar-progress-color-light-blue-gray',
                defaultProgress : 'cccccc'
            },
            '8b9ab2' : {
                color : '8b9ab2',
                style : 'bar-color-blue-gray',
                progressStyle : 'bar-progress-color-blue-gray',
                defaultProgress : 'c1cbd5'
            },
            '3e577f' : {
                color : '3e577f',
                style : 'bar-color-dark-blue-gray',
                progressStyle : 'bar-progress-color-dark-blue-gray',
                defaultProgress : '8b9ab2'
            },
            '0e2d5f' : {
                color : '0e2d5f',
                style : 'bar-color-darkest-blue-gray',
                progressStyle : 'bar-progress-color-darkest-blue-gray',
                defaultProgress : '8b9ab2'
            },
            'dadcdf' : {
                color : 'dbdce0',
                style : 'bar-color-light-gray-blue',
                progressStyle : 'bar-progress-color-light-gray-blue',
                defaultProgress : 'cccccc'
            },
            'dbdce0' : {
                color : 'dbdce0',
                style : 'bar-color-light-gray-blue',
                progressStyle : 'bar-progress-color-light-gray-blue',
                defaultProgress : 'cccccc'
            },
            'b6bac0' : {
                color : 'b6bac1',
                style : 'bar-color-gray-blue',
                progressStyle : 'bar-progress-color-gray-blue',
                defaultProgress : 'dbdce0'
            },
            'b6bac1' : {
                color : 'b6bac1',
                style : 'bar-color-gray-blue',
                progressStyle : 'bar-progress-color-gray-blue',
                defaultProgress : 'dbdce0'
            },
            '616977' : {
                color : '616977',
                style : 'bar-color-dark-gray-blue',
                progressStyle : 'bar-progress-color-dark-gray-blue',
                defaultProgress : 'dbdce0'
            },
            '495363' : {
                color : '495363',
                style : 'bar-color-darkest-gray-blue',
                progressStyle : 'bar-progress-color-darkest-gray-blue',
                defaultProgress : 'b6bac1'
            },
            '7fcdee' : {
                color : '7fcdee',
                style : 'bar-color-light-blue',
                progressStyle : 'bar-progress-color-light-blue',
                defaultProgress : 'cccccc'
            },
            '66aad7' : {
                color : '66aad7',
                style : 'bar-color-blue',
                progressStyle : 'bar-progress-color-blue',
                defaultProgress : '7fcdee'
            },
            '0072bc' : {
                color : '0072bc',
                style : 'bar-color-dark-blue',
                progressStyle : 'bar-progress-color-dark-blue',
                defaultProgress : '7fcdee'
            },
            '0f527d' : {
                color : '0f527d',
                style : 'bar-color-darkest-blue',
                progressStyle : 'bar-progress-color-darkest-blue',
                defaultProgress : '7fcdee'
            },
            '99ddd8' : {
                color : '99ddd8',
                style : 'bar-color-light-mint-green',
                progressStyle : 'bar-progress-color-light-mint-green',
                defaultProgress : 'cccccc'
            },
            '66c4be' : {
                color : '66c4be',
                style : 'bar-color-mint-green',
                progressStyle : 'bar-progress-color-mint-green',
                defaultProgress : '99ddd8'
            },
            '009c92' : {
                color : '009c92',
                style : 'bar-color-dark-mint-green',
                progressStyle : 'bar-progress-color-dark-mint-green',
                defaultProgress : '66c4be'
            },
            '00857c' : {
                color : '00857c',
                style : 'bar-color-darkest-mint-green',
                progressStyle : 'bar-progress-color-darkest-mint-green',
                defaultProgress : '66c4be'
            },
            'cbe5cb' : {
                color : 'cbe5cb',
                style : 'bar-color-lightest-green',
                progressStyle : 'bar-progress-color-lightest-green',
                defaultProgress : 'cccccc'
            },
            'afdf8e' : {
                color : 'afdf8e',
                style : 'bar-color-light-green',
                progressStyle : 'bar-progress-color-light-green',
                defaultProgress : 'cbe5cb'
            },
            '65b265' : {
                color : '65b265',
                style : 'bar-color-green',
                progressStyle : 'bar-progress-color-green',
                defaultProgress : 'afdf8e'
            },
            '008000' : {
                color : '008000',
                style : 'bar-color-dark-green',
                progressStyle : 'bar-progress-color-dark-green',
                defaultProgress : 'afdf8e'
            },
            'fff59c' : {
                color : 'fff59c',
                style : 'bar-color-light-yellow',
                progressStyle : 'bar-progress-color-light-yellow',
                defaultProgress : 'cccccc'
            },
            'ffef5e' : {
                color : 'ffef5e',
                style : 'bar-color-yellow',
                progressStyle : 'bar-progress-color-yellow',
                defaultProgress : 'fff59c'
            },
            'ffdd00' : {
                color : 'ffdd00',
                style : 'bar-color-dark-yellow',
                progressStyle : 'bar-progress-color-dark-yellow',
                defaultProgress : 'fff59c'
            },
            'f2c019' : {
                color : 'f2c019',
                style : 'bar-color-darkest-yellow',
                progressStyle : 'bar-progress-color-darkest-yellow',
                defaultProgress : 'fff59c'
            },
            'fcd580' : {
                color : 'fcd580',
                style : 'bar-color-light-orange',
                progressStyle : 'bar-progress-color-light-orange',
                defaultProgress : 'cccccc'
            },
            'f9aa01' : {
                color : 'faab01',
                style : 'bar-color-orange',
                progressStyle : 'bar-progress-color-orange',
                defaultProgress : 'fcd580'
            },
            'faab01' : {
                color : 'faab01',
                style : 'bar-color-orange',
                progressStyle : 'bar-progress-color-orange',
                defaultProgress : 'fcd580'
            },
            'e3870a' : {
                color : 'e3870a',
                style : 'bar-color-dark-orange',
                progressStyle : 'bar-progress-color-dark-orange',
                defaultProgress : 'fcd580'
            },
            'be5709' : {
                color : 'be5709',
                style : 'bar-color-darkest-orange',
                progressStyle : 'bar-progress-color-darkest-orange',
                defaultProgress : 'fcd580'
            },
            'f5c2c2' : {
                color : 'f5c2c2',
                style : 'bar-color-light-pink',
                progressStyle : 'bar-progress-color-light-pink',
                defaultProgress : 'cccccc'
            },
            'ef9a9a' : {
                color : 'ef9a9a',
                style : 'bar-color-pink',
                progressStyle : 'bar-progress-color-pink',
                defaultProgress : 'f5c2c2'
            },
            'd80202' : {
                color : 'd80202',
                style : 'bar-color-red',
                progressStyle : 'bar-progress-color-red',
                defaultProgress : 'ef9a9a'
            },
            'a20202' : {
                color : 'a20202',
                style : 'bar-color-maroon',
                progressStyle : 'bar-progress-color-maroon',
                defaultProgress : 'ef9a9a'
            },
            'eacee7' : {
                color : 'eacee7',
                style : 'bar-color-light-purple-pink',
                progressStyle : 'bar-progress-color-light-purple-pink',
                defaultProgress : 'cccccc'
            },
            'd59ecf' : {
                color : 'd59ecf',
                style : 'bar-color-purple-pink',
                progressStyle : 'bar-progress-color-purple-pink',
                defaultProgress : 'eacee7'
            },
            'ab3da0' : {
                color : 'ab3da0',
                style : 'bar-color-dark-purple-pink',
                progressStyle : 'bar-progress-color-dark-purple-pink',
                defaultProgress : 'd59ecf'
            },
            '710966' : {
                color : '710966',
                style : 'bar-color-darkest-purple-pink',
                progressStyle : 'bar-progress-color-darkest-purple-pink',
                defaultProgress : 'd59ecf'
            },
            'cbc0db' : {
                color : 'cbc0db',
                style : 'bar-color-light-purple',
                progressStyle : 'bar-progress-color-light-purple',
                defaultProgress : 'cccccc'
            },
            '9881b7' : {
                color : '9881b7',
                style : 'bar-color-purple',
                progressStyle : 'bar-progress-color-purple',
                defaultProgress : 'cbc0db'
            },
            '6b40ad' : {
                color : '6b40ad',
                style : 'bar-color-dark-purple',
                progressStyle : 'bar-progress-color-dark-purple',
                defaultProgress : 'cbc0db'
            },
            '503082' : {
                color : '503082',
                style : 'bar-color-darkest-purple',
                progressStyle : 'bar-progress-color-darkest-purple',
                defaultProgress : 'cbc0db'
            }
        };

        return BAR_COLOR;
    }
);
