define([
    'gridapi.jquery',
    'gridapi.lodash',
    'gridapi.grid/utils/keyCode'
], function ($, _, keyCode) {
    'use strict';

    var HORIZONTAL_DELTA = 100;
    var VERTICAL_DELTA = 100;

    function scrollHorizontal($scroller, delta) {
        var newScrollLeft = $scroller.scrollLeft() + delta;
        $scroller.scrollLeft(newScrollLeft);
    }

    function scrollVertical($scroller, delta) {
        var newScrollTop = $scroller.scrollTop() + delta;
        $scroller.scrollTop(newScrollTop);
    }

    return {
        keyDown : function () {
            var that = this;
            return function (event) {
                switch (event.keyCode) {
                case keyCode.LEFT:
                    that.$gantt.addClass('dragging-viewport');
                    scrollHorizontal(that.pseudoScrollers.horizontal.$scroller, -HORIZONTAL_DELTA);
                    break;
                case keyCode.RIGHT:
                    that.$gantt.addClass('dragging-viewport');
                    scrollHorizontal(that.pseudoScrollers.horizontal.$scroller, HORIZONTAL_DELTA);
                    break;
                case keyCode.UP:
                    that.$gantt.addClass('dragging-viewport');
                    scrollVertical(that.pseudoScrollers.vertical.$scroller, -VERTICAL_DELTA);
                    break;
                case keyCode.DOWN:
                    that.$gantt.addClass('dragging-viewport');
                    scrollVertical(that.pseudoScrollers.vertical.$scroller, VERTICAL_DELTA);
                    break;
                }
            };
        },
        keyUp : function () {
            var that = this;
            return function (event) {
                switch (event.keyCode) {
                case keyCode.LEFT:
                    that.$gantt.removeClass('dragging-viewport');
                    break;
                case keyCode.RIGHT:
                    that.$gantt.removeClass('dragging-viewport');
                    break;
                case keyCode.UP:
                    that.$gantt.removeClass('dragging-viewport');
                    break;
                case keyCode.DOWN:
                    that.$gantt.removeClass('dragging-viewport');
                    break;
                }
            };
        }
    };
});
