define([
    'gridapi.jquery',
    'gridapi.lodash',
    'gridapi.columnGroupMenu/ColumnGroupMenuView',
    'gridapi.grid/view/menuUtils',
    'gridapi.grid/utils'
], function ($, _, ColumnGroupMenuView, menuUtils, utils) {
    'use strict';

    function ColumnGroupMenu(gridView) {
        this.grid = gridView.widget;
        this.destroy = this.destroy.bind(this);
        this.timeouts = utils.timeoutFactory();
        menuUtils.allowRefocusOn(this);
    }

    ColumnGroupMenu.prototype = {
        render : function (args) {
            // clear any previous instances
            this.destroy({ fromCreate : true });

            this.view = new ColumnGroupMenuView(this, args.group);
            this.view.render(args);

            return this.view.$menu;
        },

        isOpen : function () {
            return this.view != null;
        },

        destroy : function (args) {
            if (this.view != null) {
                this.view.destroy(args);
                this.view = null;
                if (args == null) {
                    this.grid.requestBrowserFocus();
                }
                return true;
            }
            this.timeouts.clear();
            return false;
        }
    };

    return ColumnGroupMenu;
});
