define([
    'gridapi.jquery',
    'gridapi.lodash',
    'gridapi.columns/core/ColumnBuilder',
    'gridapi.columns/checkColumn',
    'gridapi.columns/dateColumn',
    'gridapi.columns/hyperLinkColumn',
    'gridapi.columns/iconColumn',
    'gridapi.columns/joinedIconColumn',
    'gridapi.columns/numberColumn',
    'gridapi.columns/rowSelectorColumn',
    'gridapi.columns/selectColumn',
    'gridapi.columns/selectColumnMulti',
    'gridapi.columns/textAreaColumn',
    'gridapi.columns/textColumn',
    'gridapi.columns/timephasedColumn',
    'gridapi.columns/yesNoColumn'
], function ($, _,
             ColumnBuilder,
             checkColumn,
             dateColumn,
             hyperlinkColumn,
             iconColumn,
             joinedIconColumn,
             numberColumn,
             rowSelectorColumn,
             selectColumn,
             selectColumnMulti,
             textAreaColumn,
             textColumn,
             timephasedColumn,
             yesNoColumn) {
    'use strict';
    return function (args) {
        var builder = new ColumnBuilder({
            types: {
                text: textColumn,
                textArea: textAreaColumn,
                date: dateColumn,
                check: checkColumn,
                select: selectColumn,
                selectMultiple : selectColumnMulti,
                cost: numberColumn,
                percent: numberColumn,
                number: numberColumn,
                link: hyperlinkColumn,
                yesNo: yesNoColumn,
                timephased: timephasedColumn,
                icon: iconColumn,
                joinedIcon: joinedIconColumn,
                rowSelector: rowSelectorColumn   // internal column
            },
            definedColumn: args.definedColumn,
            modifiers: args.modifiers
        });
        return builder.build();
    };
});
