/**
 * Created by bsacksteder on 7/3/15.
 */
define([
    'gridapi.jquery',
    'gridapi.lodash',
    'gridapi.columns/core/editor',
    'gridapi.columns/core/renderer',
    'gridapi.columns/core/headerRenderer'
], function ($, _, editor, renderer, headerRenderer) {
    'use strict';

    return {
        defaultOptions : {
            title : '',
            enableEditor : false,
            filldown : false,
            internalDisplayOnly : true,
            resizeable : false,
            width : '30px',
            displayType : '',
            align : 'center'
        },
        headerRenderer : headerRenderer.extend({}),

        editor : editor.extend({}),

        renderer : renderer.extend({
            getValueMarkup : function (renderOptions) {
                var markup = '';
                if (renderOptions.column.iconArgs.showIcon == null || renderOptions.column.iconArgs.showIcon(renderOptions)) {
                    markup = '<i class="' + this.getIconClasses(renderOptions) +
                        '" data-trigger="' + this.getIconTrigger(renderOptions) +
                        '" title="' + this.getIconTitle(renderOptions) + '"></i>';
                }

                return markup;
            },

            getIconTitle : function (renderOptions) {
                return renderOptions.column.iconArgs.title;
            },

            getIconClasses : function (renderOptions) {
                return renderOptions.column.iconArgs.iconClasses;
            },

            getIconTrigger : function (renderOptions) {
                return renderOptions.column.iconArgs.trigger;
            },

            getClasses : function (renderOptions) {
                var classes = ['joined-icon-column'];
                var borderClass = 'cell-right-border';
                if (renderOptions.column.iconArgs.position === 'after') {
                    borderClass = 'cell-hide-left-border';
                }
                classes.push(borderClass);
                return classes.join(' ');
            }
        })
    };
});
