define([
    'gridapi.jquery',
    'gridapi.lodash',
    'gridapi.columns/core/editor',
    'gridapi.columns/core/renderer',
    'gridapi.columns/core/headerRenderer'
], function ($, _, editor, renderer, headerRenderer) {
    'use strict';
    return {
        defaultOptions : {
            hasDisabledMode: true,
            disableColumnFilter: false
        },
        renderer : renderer.extend({

        }),
        headerRenderer : headerRenderer.extend({

        }),
        editor : editor.extend({

            getNewData : function () {
                var string = this.getEditorInput().val();
                if (this.column.escaping.autoEscapeEditor) {
                    string = this.column.escaping.unescape(string);
                }
                if (string != null) {
                    string = string.trim();
                }
                return {
                    value : string,
                    valid : this.validateUserInput(string)
                };
            }
        })
    };
});
