define([
    'gridapi.jquery',
    'gridapi.lodash',
    'gridapi.columns/core/ColumnBuilder',
    'gridapi.columns/checkColumn',
    'gridapi.columns/selectColumn',
    'gridapi.columns/spinnerColumn',
    'gridapi.columns/rowSelectorColumn',
    'gridapi.columns/textColumn',
    'gridapi.columns/dateColumn',
    'gridapi.columns/colorColumn',
    'gridapi.columns/iconColumn',
    'gridapi.columns/textAreaColumn',
    'gridapi.columns/pickerColumn',
    'gridapi.columns/doublePickerColumn',
    'gridapi.columns/numberColumn',
    'gridapi.columns/hyperLinkColumn',
    'gridapi.columns/yesNoColumn',
    'gridapi.columns/timephasedColumn',
    'gridapi.columns/joinedIconColumn',
    'gridapi.columns/richTextColumn'
], function ($, _, ColumnBuilder, checkColumn, selectColumn, spinnerColumn, rowSelectorColumn, textColumn,
             dateColumn, colorColumn, iconColumn, textAreaColumn, pickerColumn, doublePickerColumn, numberColumn,
             hyperlinkColumn, yesNoColumn, timephasedColumn, joinedIconColumn, richTextColumn) {
    'use strict';
    return function (args) {
        var builder = new ColumnBuilder({
            types: {
                text: textColumn,
                textArea: textAreaColumn,
                date: dateColumn,
                check: checkColumn,
                select: selectColumn,
                spinner: spinnerColumn,
                picker: pickerColumn,
                doublePicker: doublePickerColumn,
                cost: numberColumn,
                percent: numberColumn,
                number: numberColumn,
                link: hyperlinkColumn,
                yesNo: yesNoColumn,
                color: colorColumn,
                timephased: timephasedColumn,
                icon: iconColumn,
                joinedIcon: joinedIconColumn,
                richText: richTextColumn,
                rowSelector: rowSelectorColumn   // internal column
            },
            definedColumn: args.definedColumn,
            modifiers: args.modifiers
        });
        return builder.build();
    };
});
