define([
    'gridapi.jquery',
    'gridapi.lodash',
    'gridapi.columns/checkColumn',
    'gridapi.columns/core/editor'
], function ($, _, checkColumn, editor) {
    'use strict';

    return {
        defaultOptions : {
            headerToggle : true,
            expandable : false
        },
        editor : editor.extend({
        }),
        renderer : checkColumn.renderer.extend({
            getValueMarkup : function (renderOptions) {
                if (renderOptions.recordId === 'DUMMY-NEW-RECORD') {
                    return '';
                }
                var isChecked = this.isValueChecked(renderOptions);
                var input = '<input ';
                input += 'aria-checked="' + isChecked + '" ';
                input += ' tabindex="-1" type="checkbox" ';
                input += isChecked ? 'checked="checked"' : '';
                input += renderOptions.printable ? 'onclick="return false;" ' : '';
                input += '/>';
                return input;
            },

            getAttributes : function (renderOptions) {
                return ' title="' + renderOptions.locale.selectDeselect + '" ';
            },

            getClasses : function () {
                return 'cell-renderer-selector-checkbox';
            },

            getDescriptionLabel : function (renderOptions) {
                return renderOptions.descriptionIds.selectRowCell;
            }

        })

    };
});
