define([
    'gridapi.jquery',
    'gridapi.lodash',
    'gridapi.i18n/localizedStrings',
    'gridapi.logger',
    'gridapi.jqueryui',
    'gridapi.grid/enums/groupingStyle',
    'gridapi.grid/enums/groupingTheme',
    'gridapi.grid/config/themeConfigView'
], function ($, _, locale, logger, jqui, GROUPING_STYLE, GROUPING_THEME, ThemeConfigView) {
    'use strict';
    $.widget('pgbu.gridThemeConfigurator', {
        // Defaults
        options : {
            locale : locale.themeConfigurator,
            config : {}
        },


        _create : function () {
            this.widgetEventPrefix = 'grid-config-';

            this.timeouts = {};
            var style = GROUPING_STYLE.MODERN_NOTCHES.key;
            var colors = GROUPING_THEME.GREY.key;
            if (this.options.config.theme && this.options.config.theme.style) {
                style = this.options.config.theme.style;
            }
            if (this.options.config.theme && this.options.config.theme.colors) {
                colors = this.options.config.theme.colors;
            }
            this.config = {
                theme : {
                    style : style,
                    colors : colors
                }
            };
            this.view = new ThemeConfigView(this);
            this.view.init();
        },

        getUpdatedConfig : function () {
            return this.config;
        },

        resize : function () {
            this.view.resize();
        },


        destroy : function () {
            // remove any editors and menus
            _.forEach(this.timeouts, function (timeout) {
                clearTimeout(timeout);
            });
            this.element.children().each(function () {
                $(this).remove();
            });

            this.element.empty();
            this._tearDownTriggers();
            // Does nice things like unbind all namespaced events on the original element
            $.Widget.prototype.destroy.call(this);
        },

        _tearDownTriggers : function () {
            this.element.off(this.widgetEventPrefix);
        }

    });
});
