define([
    'gridapi.lodash',
    'module',
    'gridapi.moment',
    'gridapi.grid/utils'
], function (_, module, moment, utils) {
    'use strict';

    var config = {};
    var options = module.config();
    var startOfId = _.uniqueId('startof');
    var endOfId = _.uniqueId('endof');
    config.startof = config.startOf = startOfId;
    config.endof = config.endOf = endOfId;

    // PRIMCR-3724
    if (options.assumeSundayWeek) {
        moment.fn[startOfId] = function () {
            if (arguments.length === 1 && arguments[0] === 'week') {
                return utils.startOfWeek(this);
            }
            return this.startOf.apply(this, arguments);
        };
        moment.fn[endOfId] = function () {
            if (arguments.length === 1 && arguments[0] === 'week') {
                return utils.endOfWeek(this);
            }
            return this.endOf.apply(this, arguments);
        };
    } else {
        moment.fn[startOfId] = moment.fn.startOf;
        moment.fn[endOfId] = moment.fn.endOf;
    }

    return config;
});
