throw new Error('This module should not be loaded.');

/**
 * The CEGBU has many grids that are expected to load tens of thousands of records.
 * In terms of development, this is not free - there is generally work required, both in the API and developer usage of libraries to meet these non-functional performance requirements.
 *
 * This page will link to some useful sources about downstream work that can be leveraged by CEGBU page developers.
 *
 * 1. First, do watch the [Core UI Blog](http://cegbu.oraclecorp.com/confluence/pages/viewrecentblogposts.action?key=PrimaveraCoreUI) - as we post new updates about performance, we will post them there
 *   (like [this post](http://cegbu.oraclecorp.com/confluence/display/PrimaveraCoreUI/2016/10/10/Available+Performance+Improvements+In+Core+Libraries+For+17.x))
 * 2. If your grid is grouped/a tree, implement [getRecordTreeAttributes](http://cegbuci.us.oracle.com:8080/job/ui-platform-cont/Unified_YUIDocs/classes/bpc.store.GridMediator.html#method_getRecordTreeAttributes) in your {@link mediator}
 * 3. Apply [indices](http://cegbuci.us.oracle.com:8080/job/ui-platform-cont/Unified_YUIDocs/classes/primutils.store.Store.html#property_indices) to your store; refer to [this post](http://cegbu.oraclecorp.com/confluence/display/PrimaveraCoreUI/2016/10/10/Available+Performance+Improvements+In+Core+Libraries+For+17.x) for more information
 *
 * @class performance
 */
