define(['gridapi.lodash'], function (_) {
    'use strict';


    var groupers = {
        default : _.identity,
        date : function (value) {
            if (value == null) {
                return null;
            }
            return groupers.dateToLevel(value, this.toLevel);
        },
        dateToLevel : function (value, toLevel) {
            var date = value.clone();
            switch (toLevel) {
            default:
            case 'day':
                return date.format('MM-DD-YYYY');
            case 'week' :
                return date.weekday(0).format('MM-DD-YYYY');
            case 'weekOfYear' :
                return date.isoWeek() + '-' + date.year();
            case 'month' :
                return date.month() + '-' + date.year();
            case 'quarter' :
                return date.quarter() + '-' + date.year();
            case 'year' :
                return date.year().toString();
            }
            return value;
        }
    };
    return groupers;
});
