define(['gridapi.lodash'], function (_) {
    'use strict';

    return {

        sum : function (values) {
            return _.reduce(values, function (sum, value) {
                return sum + value;
            });
        },
        min : function (values) {
            return _.reduce(values, function (min, value) {
                return min < value ? min : value;
            });
        },
        max : function (values) {
            return _.reduce(values, function (max, value) {
                return max > value ? max : value;
            });
        },
        average : function (values) {
            return this.sum(values) / values.length;
        },

        minDate : function (values) {
            return _.reduce(values, function (min, value) {
                return value.isAfter(min) ? min : value;
            });
        },

        minDateNull : function (values) {
            return _.reduce(values, function (min, value) {
                if (!value) {
                    return null;
                }
                return min ? (value.isAfter(min) ? min : value) : null;
            });
        },

        maxDate : function (values) {
            return _.reduce(values, function (max, value) {
                return value.isBefore(max) ? max : value;
            });
        },

        maxDateNull : function (values) {
            return _.reduce(values, function (max, value) {
                if (!value) {
                    return null;
                }
                return max ? (value.isBefore(max) ? max : value) : null;
            });
        },

        range : function (values) {
            values.sort(function (a, b) {
                return a < b ? -1 : a > b ? 1 : 0;
            });
            return values[values.length - 1] - values[0];
        },

        median : function (values) {
            values.sort(function (a, b) {
                return a < b ? -1 : a > b ? 1 : 0;
            });
            if (values.length % 2 !== 0) {
                return values[parseInt(values.length / 2, 10)];
            } else {
                return (values[values.length / 2 - 1] + values[values.length / 2]) / 2;
            }
        }

    };
});
