define([
    'gridapi.jquery',
    'gridapi.lodash'
], function ($, _) {
    'use strict';

    return {

        isTouchDevice: function () {
            /*   some or part of this function is copied from OJET code base  */
            var agentName = navigator.userAgent.toLowerCase();
            return (agentName.indexOf("mobile") !== -1 || agentName.indexOf("android") !== -1); // returns boolean
        },

        isAndroid: function () {
            /*   some or part of this function is copied from OJET code base  */
            var agentName = navigator.userAgent.toLowerCase();
            return (agentName.indexOf("android") !== -1);  // returns boolean
        },

        LoggerOnScreen: function (options) {
            var that = this;
            if (options.showMessages) {
                that.logger = $('<div>', { 'id': 'loggerId' }).prependTo($('body'));
                that.logger.css({ 'position': 'fixed', 'z-index': '200' })
                    .height(options.height).width(options.width).offset({
                        top: 0,
                        left: $(window).width() - options.width
                    });
                that.ul = that.logger.append('<ul></ul>');
            }
            that.log = function (txt) {
                if (options.showMessages) {
                    that.ul.append('<li>' + txt + '</li>');
                }
            };
        }

    };
});
