

define(['gridapi.lodash'], function (_) {
    'use strict';

    var that = {
        
        isString : function (str) {
            
            // compare lodash, which also invokes toString to test against "[object String]"
            return typeof str === 'string';
            
        },

        
        template : function template(text, data) {
            function handleReplace(replaceData) {
                var response = text;
                _.forEach(replaceData, function (replaceVal, replaceName) {
                    var reReplace = new RegExp('<%=' + replaceName + '%>', 'g');
                    response = response.replace(reReplace, function () {
                        return replaceVal;
                    });
                });
                return response;
            }

            if (data) {
                return handleReplace(data);
            }

            return handleReplace;
        },

        
        formatString : function (node) {
            var params = _.rest(arguments);

            return node.replace(/\{([0-9]+)\}/g, function (match, g1) {
                var value = params[parseInt(g1, 10)];
                return (value != null ? value : '');
            });
        }
    };

    return that;
});
