
# LUX - Breadcrumbs component

The **`<oj-lux-breadcrumbs>`** component provides a simple, space-efficient way for users to understand their current placement within a hierarchical application, and to perform selected navigation to other contexts within the application. In addition to the conventional breadcrumb
navigation to direct ancestor application contexts (parent, grandparent, etc.), LUX breadcrumbs enable navigation to selected child, sibling, and indirect ancestor contexts within the overall application hierarchy.

LUX Breadcrumbs can also be used with UI pages that have a hierarchical context structure within a single page (for example, sections and sub-sections)

## Usage
The LUX Breadcrumbs component can render the breadcrumbs programmatically. A tree structure is generated using - LUX hierarchy and LUXTree - and then the component is called with that data. Alterations to the structure can be handled by modifying the tree and then passing the appropriate bottom level nodes to the breadcrumbs. Most navigation changes are achievable by passing a different node of the tree.

## Notes
LUX Breadcrumbs can be configured to offer additional navigation options to selected nodes. Since the navigation options are offered in dropdown menus, the number of options at each level should be limited to 20 or fewer. If there are more than 20 contexts at given level, the choices can be limited to the most recently visited, or some other subset.