/*
 * Copyright (c) 2013 Oracle and/or its affiliates. All rights reserved.
 *
 * @fileOverview
 * Implements a default store for lux Dashboard pattern.
 * @author Shailesh Zirpe
 */
define(['ojs/ojcore', 'knockout', 'jquery', 'ojs/ojmodel'], function(oj, ko, $) {
    'use strict';

    var MetaModel = oj.Model.extend({
        idAttribute: 'tileId',
        defaults:    {
            'collapsedSizeClass': 'oj-masonrylayout-tile-1x1',
            'expandedSizeClass':  'oj-masonrylayout-tile-2x2',
            'order':              1,
            'inserted':           true,
            'flipped':            false,
            'expanded':           false
        }
    });

    return MetaModel;
});
