/**
 * Copyright (c) 2016, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";
define(['./DvtToolkit', './DvtTimeComponent', './DvtTimeAxis'], function(dvt) {
  // Internal use only.  All APIs and functionality are subject to change at any time.

!function(t){t.DomUtils=function(){},t.Obj.createSubclass(t.DomUtils,t.Obj),t.DomUtils.addCSSClassName=function(e,i){var n,a,s;return n=!1,null!=i&&null!=e&&(a=t.ToolkitUtils.getAttrNullNS(e,"class"),-1==t.DomUtils._getCSSClassNameIndex(a,i)&&(s=a?i+" "+a:i,t.ToolkitUtils.setAttrNullNS(e,"class",s),n=!0)),n},t.DomUtils.removeCSSClassName=function(e,i){var n,a,s,r,o,l,h;return n=!1,null!=i&&null!=e&&(a=t.ToolkitUtils.getAttrNullNS(e,"class"),-1!=(s=t.DomUtils._getCSSClassNameIndex(a,i))&&(r=s+i.length,o=0==s?null:a.substring(0,s),l=r==a.length?null:a.substring(r+1),h=null==o?null==l?"":l:null==l?o:o+l,t.ToolkitUtils.setAttrNullNS(e,"class",h),n=!0)),n},t.DomUtils.containsCSSClassName=function(e,i){return null!=i&&null!=e&&-1!=t.DomUtils._getCSSClassNameIndex(e.className,i)},t.DomUtils._getCSSClassNameIndex=function(t,e){var i,n,a,s,r,o,l;if(!t||!t.indexOf)return-1;if(e===t)return 0;if(i=e.length,n=t.length,(a=t.indexOf(e))>=0){if(s=0==a||" "==t.charAt(a-1),o=(r=a+i)==n||" "==t.charAt(r),s&&o)return a;if((l=t.lastIndexOf(e))!=a)return s=t.charAt(l-1),o=(r=l+i)==n||" "==t.charAt(r),s&&o?l:t.indexOf(" "+e+" ")}return-1};var e=new Object;t.Obj.createSubclass(e,t.Obj),e._DEFAULT_TIMEAXES_LABEL_STYLE=t.BaseComponentDefaults.FONT_FAMILY_ALTA_12+"color: #333333;",e._DEFAULT_ZOOM_CONTROL_BACKGROUND_COLOR="#ffffff",e._DEFAULT_ZOOM_CONTROL_BORDER_COLOR="#d6d7d8",e._DEFAULT_ZOOM_CONTROL_DIAMETER=31,e._DEFAULT_ZOOM_CONTROL_PADDING=10.5,e._DEFAULT_ZOOM_CONTROL_SPACING=9,e._DEFAULT_STANDALONE_TASK_HEIGHT=22,e._DEFAULT_BASELINE_TASK_HEIGHT=6,e._DEFAULT_MILESTONE_BASELINE_Y_OFFSET=6,e._DEFAULT_SUMMARY_THICKNESS=3,e._DEFAULT_ACTUALTASK_HEIGHT=16,e._DEFAULT_TASK_LABEL_PADDING=5,e._DEFAULT_TASK_PADDING=5,e._DEFAULT_TASK_EFFECT_MARGIN=2,e._DEFAULT_TASK_TINT_FILTER_ID="ojGanttTaskTintFilter",e._DEFAULT_TASK_SHADE_FILTER_ID="ojGanttTaskShadeFilter",e._DEFAULT_TASK_TINT_ALPHA=.3,e._DEFAULT_TASK_SHADE_ALPHA=.35,e._DEFAULT_AXIS_HEIGHT=23,e._ROW_LABELS_AXIS_GAP=10,e._DEFAULT_DEPENDENCY_LINE_INNER_COLOR="#ffffff",e._DEFAULT_DEPENDENCY_LINE_INNER_WIDTH=2,e._DEFAULT_ANIMATION_DURATION=.5,e._DEPENDENCY_LINE_ARC_RADIUS=0,e._DEPENDENCY_LINE_TASK_FLANK_LENGTH=7,e._DEPENDENCY_MARKER_HEIGHT=8,e._DEPENDENCY_MARKER_WIDTH=6,e._AUTOPAN_EDGE_THRESHOLD=40,e.getHorizontalScrollbarStyle=function(){return new t.CSSStyle(e._DEFAULT_HORIZONTAL_SCROLLBAR_STYLE)},e.getVerticalScrollbarStyle=function(){return new t.CSSStyle(e._DEFAULT_VERTICAL_SCROLLBAR_STYLE)},e.getStandaloneTaskHeight=function(){return e._DEFAULT_STANDALONE_TASK_HEIGHT},e.getActualTaskHeight=function(){return e._DEFAULT_ACTUALTASK_HEIGHT},e.getBaselineTaskHeight=function(){return e._DEFAULT_BASELINE_TASK_HEIGHT},e.getMilestoneBaselineYOffset=function(){return e._DEFAULT_MILESTONE_BASELINE_Y_OFFSET},e.getSummaryThickness=function(){return e._DEFAULT_SUMMARY_THICKNESS},e.getTaskPadding=function(){return e._DEFAULT_TASK_PADDING},e.getTaskLabelPadding=function(){return e._DEFAULT_TASK_LABEL_PADDING},e.getTaskEffectMargin=function(){return e._DEFAULT_TASK_EFFECT_MARGIN},e.getTaskTintFilterId=function(){return e._DEFAULT_TASK_TINT_FILTER_ID},e.getTaskShadeFilterId=function(){return e._DEFAULT_TASK_SHADE_FILTER_ID},e.getTaskTintAlpha=function(){return e._DEFAULT_TASK_TINT_ALPHA},e.getTaskShadeAlpha=function(){return e._DEFAULT_TASK_SHADE_ALPHA},e.getTimeAxisHeight=function(){return e._DEFAULT_AXIS_HEIGHT},e.getMajorAxisLabelStyle=function(i){var n=i._resources,a=e._DEFAULT_TIMEAXES_LABEL_STYLE;return n&&(a=n.majorAxisLabelFontProp),new t.CSSStyle(a)},e.getMinorAxisLabelStyle=function(i){var n=i._resources,a=e._DEFAULT_TIMEAXES_LABEL_STYLE;return n&&(a=n.minorAxisLabelFontProp),new t.CSSStyle(a)},e.getRowAxisGap=function(){return e._ROW_LABELS_AXIS_GAP},e.getDependencyLineTaskFlankLength=function(){return e._DEPENDENCY_LINE_TASK_FLANK_LENGTH},e.getDependencyLineArcRadius=function(){return e._DEPENDENCY_LINE_ARC_RADIUS},e.getDependencyLineMarkerWidth=function(){return e._DEPENDENCY_MARKER_WIDTH},e.getDependencyLineMarkerHeight=function(){return e._DEPENDENCY_MARKER_HEIGHT},e.getDependencyLineTaskGap=function(){return e.getTaskPadding()-1},e.getAutoPanEdgeThreshold=function(){return e._AUTOPAN_EDGE_THRESHOLD},e.getTaskLabelStyle=function(e){var i=e._resources,n="";return i&&(n=i.taskLabelFontProp),new t.CSSStyle(n)},e.getRowLabelStyle=function(e){var i=e._resources,n="";return i&&(n=i.rowLabelFontProp),new t.CSSStyle(n)},e.getChartStrokeWidth=function(e){var i=e._resources;if(i){var n=i.chartArea;if(n){var a=n.strokeWidth;if(a)return t.CSSStyle.toNumber(a)}}return 1},e.getHorizontalGridlineWidth=function(e){return e._resources?t.CSSStyle.toNumber(e._resources.horizontalGridlineWidth):1},e.getAnimationDuration=function(i){var n,a=e._DEFAULT_ANIMATION_DURATION;return i._resources&&(n=i._resources.animationDuration)&&(a=t.StyleUtils.getTimeMilliseconds(n)/1e3),a},e.getZoomInButtonBackgroundColor=function(t){return t.zoomIn_bgc?t.zoomIn_bgc:e._DEFAULT_ZOOM_CONTROL_BACKGROUND_COLOR},e.getZoomInButtonActiveBackgroundColor=function(t){return t.zoomIn_a_bgc?t.zoomIn_a_bgc:e._DEFAULT_ZOOM_CONTROL_BACKGROUND_COLOR},e.getZoomInButtonHoverBackgroundColor=function(t){return t.zoomIn_h_bgc?t.zoomIn_h_bgc:e._DEFAULT_ZOOM_CONTROL_BACKGROUND_COLOR},e.getZoomInButtonDisabledBackgroundColor=function(t){return t.zoomIn_d_bgc?t.zoomIn_d_bgc:e._DEFAULT_ZOOM_CONTROL_BACKGROUND_COLOR},e.getZoomInButtonBorderColor=function(t){return t.zoomIn_bc?t.zoomIn_bc:e._DEFAULT_ZOOM_CONTROL_BORDER_COLOR},e.getZoomInButtonActiveBorderColor=function(t){return t.zoomIn_a_bc?t.zoomIn_a_bc:e._DEFAULT_ZOOM_CONTROL_BORDER_COLOR},e.getZoomInButtonHoverBorderColor=function(t){return t.zoomIn_h_bc?t.zoomIn_h_bc:e._DEFAULT_ZOOM_CONTROL_BORDER_COLOR},e.getZoomInButtonDisabledBorderColor=function(t){return t.zoomIn_d_bc?t.zoomIn_d_bc:e._DEFAULT_ZOOM_CONTROL_BORDER_COLOR},e.getZoomOutButtonBackgroundColor=function(t){return t.zoomOut_bgc?t.zoomOut_bgc:e._DEFAULT_ZOOM_CONTROL_BACKGROUND_COLOR},e.getZoomOutButtonActiveBackgroundColor=function(t){return t.zoomOut_a_bgc?t.zoomOut_a_bgc:e._DEFAULT_ZOOM_CONTROL_BACKGROUND_COLOR},e.getZoomOutButtonHoverBackgroundColor=function(t){return t.zoomOut_h_bgc?t.zoomOut_h_bgc:e._DEFAULT_ZOOM_CONTROL_BACKGROUND_COLOR},e.getZoomOutButtonDisabledBackgroundColor=function(t){return t.zoomOut_d_bgc?t.zoomOut_d_bgc:e._DEFAULT_ZOOM_CONTROL_BACKGROUND_COLOR},e.getZoomOutButtonBorderColor=function(t){return t.zoomOut_bc?t.zoomOut_bc:e._DEFAULT_ZOOM_CONTROL_BORDER_COLOR},e.getZoomOutButtonActiveBorderColor=function(t){return t.zoomOut_a_bc?t.zoomOut_a_bc:e._DEFAULT_ZOOM_CONTROL_BORDER_COLOR},e.getZoomOutButtonHoverBorderColor=function(t){return t.zoomOut_h_bc?t.zoomOut_h_bc:e._DEFAULT_ZOOM_CONTROL_BORDER_COLOR},e.getZoomOutButtonDisabledBorderColor=function(t){return t.zoomOut_d_bc?t.zoomOut_d_bc:e._DEFAULT_ZOOM_CONTROL_BORDER_COLOR},e.getFocusedDependencyLineInnerColor=function(t){return e._DEFAULT_DEPENDENCY_LINE_INNER_COLOR},e.getFocusedDependencyLineInnerWidth=function(t){return e._DEFAULT_DEPENDENCY_LINE_INNER_WIDTH},e.getSizeInPixels=function(t,e){if("string"==typeof t){if("%"==t.slice(-1))return e*Number(t.slice(0,-1))/100;if("px"==t.slice(-2))return Number(t.slice(0,-2));t=Number(t)}return"number"==typeof t?t<=1?e*t:t:0};var i=new Object;t.Obj.createSubclass(i,t.Obj),i.getDatatipColor=function(t){var e=t.getTask().getFillColor();return e?e.fill:null},i.getDatatip=function(e,n,a){var s=e.getGantt();if(s.getEventManager().isMoveScaleChanged()){var r=s.getEventManager().getMoveNavigationScale(),o=i._addDatatipRow("",s,"","MoveBy",r.charAt(0).toUpperCase()+r.slice(1),n);return i._processDatatip(o,s,n)}var l=s.getOptions().tooltip,h=l?l.renderer:null;if(n&&h){var g=s.getCtx().getTooltipManager(),d=s.getEventManager().isDnDDragging()?e.getSandboxDataContext():e.getDataContext();return g.getCustomTooltip(h,d)}var p=e.getProps().shortDesc;if(null!=p)return p;if(a&&!s.getCtx().isCustomElement()){var _=s.getOptions().valueFormats;if(!_||0==_.length){var u=e.getProps(),c=e.getTask(),f=u.start,m=u.end,T=u.baseline.start,v=u.baseline.end,S=c.getProgressValue(),y=s.getOptions(),b=c.isMilestone("main"),D=c.isMilestone("baseline"),A=!(null==f&&null==m),C=!(null==T&&null==v);if(A)if(b)var E=s.getTimeAxis().formatDate(new Date(null!=f?f:m),null,"general"),O=t.Bundle.getTranslation(y,"accessibleMilestoneInfo",t.Bundle.UTIL_PREFIX,"MILESTONE_INFO",[E]);else{var R=s.getTimeAxis().formatDate(new Date(f),null,"general"),x=s.getTimeAxis().formatDate(new Date(m),null,"general"),P=e.getDuration(f,m);O=t.Bundle.getTranslation(y,"accessibleTaskInfo",t.Bundle.UTIL_PREFIX,"TASK_INFO",[R,x,P])}if(C)if(D)var L=s.getTimeAxis().formatDate(new Date(null!=T?T:v),null,"general"),k=t.Bundle.getTranslation(s.getOptions(),"baselineDate")+": "+L;else{var w=s.getTimeAxis().formatDate(new Date(T),null,"general"),M=s.getTimeAxis().formatDate(new Date(v),null,"general");k=(k=t.Bundle.getTranslation(s.getOptions(),"baselineStart")+": "+w)+"; "+t.Bundle.getTranslation(s.getOptions(),"baselineEnd")+": "+M}if(A){var I=u.label;if(null!=I)var N=t.Bundle.getTranslation(s.getOptions(),"labelLabel")+": "+I;if(null!=S){var F=y._resources;if(F){var B=F.percentConverter;if(B){var U=B.format(S);if(null!=U)var H=t.Bundle.getTranslation(s.getOptions(),"labelProgress")+": "+U}}}}var G=e.getRow(),Y=G.getLabel();null==Y&&(Y=G.getIndex()+1);var j=t.Bundle.getTranslation(y,"accessibleRowInfo",t.Bundle.UTIL_PREFIX,"ROW_INFO",[Y]);return O&&(j=j+"; "+O),k&&(j=j+"; "+k),N&&(j=j+"; "+N),H&&(j=j+"; "+H),j}}var W="";return W=i._addRowDatatip(W,e,n),W=i._addTaskDatatip(W,e,n),i._processDatatip(W,s,n)},i._processDatatip=function(t,e,i){return""==t?null:i?'<table class="'+e.GetStyleClass("tooltipTable")+'">'+t+"</table>":t},i._addRowDatatip=function(t,e,n){var a=e.getGantt();if(a.getEventManager().isDnDDragging())var s=e.getSandboxProps().row;else s=e.getRow();var r=s.getLabel();return null==r&&(r=s.getIndex()+1),i._addDatatipRow(t,a,"row","Row",r,n)},i._addTaskDatatip=function(t,e,n){var a=e.getGantt(),s=a.getEventManager().isDnDDragging()?e.getSandboxProps():e.getProps(),r=e.getTask(),o=s.start,l=s.end,h=s.baseline.start,g=s.baseline.end,d=s.label,p=r.getProgressValue(),_=!(null==o&&null==l),u=!(null==h&&null==g),c=r.isMilestone("main"),f=r.isMilestone("baseline");return _?(c?(t=i._addDatatipRow(t,a,"date","Date",null!=o?o:l,n),f?t=i._addDatatipRow(t,a,"baselineDate","BaselineDate",null!=h?h:g,n):u&&(t=i._addDatatipRow(t,a,"baselineStart","BaselineStart",h,n),t=i._addDatatipRow(t,a,"baselineEnd","BaselineEnd",g,n))):f?(t=i._addDatatipRow(t,a,"start","Start",o,n),t=i._addDatatipRow(t,a,"end","End",l,n),t=i._addDatatipRow(t,a,"baselineDate","BaselineDate",null!=h?h:g,n)):u?(t=i._addDatatipRow(t,a,"start","Start",o,n),t=i._addDatatipRow(t,a,"baselineStart","BaselineStart",h,n),t=i._addDatatipRow(t,a,"end","End",l,n),t=i._addDatatipRow(t,a,"baselineEnd","BaselineEnd",g,n)):(t=i._addDatatipRow(t,a,"start","Start",o,n),t=i._addDatatipRow(t,a,"end","End",l,n)),t=i._addDatatipRow(t,a,"label","Label",d,n),null!=p&&(t=i._addDatatipRow(t,a,"progress","Progress",p,n))):u&&(t=i._addDatatipRow(t,a,"baselineStart","BaselineStart",h,n),t=i._addDatatipRow(t,a,"baselineEnd","BaselineEnd",g,n)),t},i._addDatatipRow=function(e,n,a,s,r,o,l){if(null==r||""===r)return e;var h,g=i.getValueFormat(n,a);return"off"==g.tooltipDisplay?e:("string"==typeof g.tooltipLabel&&(h=g.tooltipLabel),null==h&&(h=null==s?"":t.Bundle.getTranslation(n.getOptions(),"label"+s)),r=i.formatValue(n,a,g,r),o?e+'<tr><td class="'+n.GetStyleClass("tooltipLabel")+'">'+h+'</td><td class="'+n.GetStyleClass("tooltipValue")+'">'+r+"</td></tr>":(e.length>0&&(e+="<br>"),e+t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"COLON_SEP_LIST",[h,r])))},i.getValueFormat=function(t,e){var i=t.getOptions().valueFormats;if(!i)return{};if(i instanceof Array){for(var n={},a=0;a<i.length;a++){var s=i[a];n[s.type]=s}t.getOptions().valueFormats=n,i=n}return i[e]?i[e]:{}},i.formatValue=function(t,e,i,n){var a=i.converter;if("start"==e||"end"==e||"date"==e||"baselineStart"==e||"baselineEnd"==e||"baselineDate"==e)return t.getTimeAxis().formatDate(new Date(n),a,"general");if(a&&a.format)return a.format(n);if("progress"==e){var s=t.getOptions()._resources;if(s){var r=s.percentConverter;if(r)return r.format(n)}}return n};var n=function(t){this.Init(t)};t.Obj.createSubclass(n,t.Obj),n.prototype.Init=function(t){this._gantt=t},n.prototype.prepareForAnimations=function(){var i=this._gantt.getCtx();this._gantt.StopAnimation(),this._animationMode="none",this._animationDuration=e.getAnimationDuration(this._gantt.getOptions()),this._gantt.isInitialRender()?this._gantt.isIRAnimationEnabled&&(this._animationMode="onDisplay"):this._gantt.isDCAnimationEnabled&&(this._animationMode="dataChange"),"onDisplay"===this._animationMode?(this.fadeInElemsIR=[],this.fadeInPlayableIR=new t.AnimFadeIn(i,this.fadeInElemsIR,this._animationDuration,0),this.dimensionsPlayableIR=this._createCustomPlayable(t.Easing.linear),this.translationsPlayableIR=this._createCustomPlayable(t.Easing.cubicInOut)):"dataChange"===this._animationMode&&(this.fadeInElemsDC=[],this.fadeInPlayableDC=new t.AnimFadeIn(i,this.fadeInElemsDC,this._animationDuration,0),this.fadeOutElemsDC=[],this.fadeOutPlayableDC=new t.AnimFadeOut(i,this.fadeOutElemsDC,this._animationDuration,0),this.dimensionsPlayableDC=this._createCustomPlayable(t.Easing.linear),this.translationsPlayableDC=this._createCustomPlayable(t.Easing.cubicInOut)),this._onEnds=[]},n.prototype._createCustomPlayable=function(e){var i;return(i=new t.CustomAnimation(this._gantt.getCtx(),this._gantt,this._animationDuration)).setEasing(e),i},n.prototype.triggerAnimations=function(){var e,i;if(this._gantt.StopAnimation(),i=this._gantt.getCtx(),"onDisplay"===this._animationMode?(e=[this.fadeInPlayableIR,this.translationsPlayableIR,this.dimensionsPlayableIR],this._gantt.Animation=new t.ParallelPlayable(i,e,this._animationDuration,0)):"dataChange"===this._animationMode&&(e=[this.fadeInPlayableDC,this.translationsPlayableDC,this.dimensionsPlayableDC,this.fadeOutPlayableDC],this._gantt.Animation=new t.ParallelPlayable(i,e,this._animationDuration,0)),this._gantt.Animation){this._hideDepLines(),t.Playable.appendOnEnd(this._gantt.Animation,this._showDepLines,this),this._gantt.EventManager.removeListeners(this._gantt);for(var n=0;n<this._onEnds.length;n++)t.Playable.appendOnEnd(this._gantt.Animation,this._onEnds[n],this);t.Playable.appendOnEnd(this._gantt.Animation,this._onAnimationEnd,this),this._gantt.Animation.play()}},n.prototype._hideDepLines=function(){var e=this._gantt.getDependencyLines();null!=e&&t.ToolkitUtils.setAttrNullNS(e.getElem(),"display","none")},n.prototype._showDepLines=function(){var e=this._gantt.getDependencyLines();null!=e&&t.ToolkitUtils.removeAttrNullNS(e.getElem(),"display")},n.prototype._onAnimationEnd=function(){this._gantt.AnimationStopped||this._gantt.RenderComplete(),this._gantt.EventManager.addListeners(this._gantt),this._gantt.Animation=null,this._gantt.AnimationStopped=!1,this._animationMode="none"},n.prototype.preAnimateGanttIR=function(t){"onDisplay"===this._animationMode&&this.fadeInElemsIR.push(t._canvas)},n.prototype.preAnimateTaskNode=function(e,i){var n,a=e.getRenderState();"dataChange"===this._animationMode?"add"===a?(e.setTranslate(i.x,i.y),this.fadeInElemsDC.push(e)):"exist"!==a&&"migrate"!==a||((n=this.translationsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,e,e.getTranslateX,e.setTranslateX,i.x),n.addProp(t.Animator.TYPE_NUMBER,e,e.getTranslateY,e.setTranslateY,i.y)):e.setTranslate(i.x,i.y)},n.prototype.preAnimateTaskNodeRemove=function(t,e){"dataChange"===this._animationMode?(this.fadeOutElemsDC.push(t),this._onEnds.push(e)):e()},n.prototype.preAnimateTaskBaseline=function(e,i,n,a){var s,r,o=e.getRenderState("baseline");"onDisplay"===this._animationMode?(i.setDimensions(n.x,n.y,0,n.h,n.r),a(),(s=this.dimensionsPlayableIR.getAnimator()).addProp(t.Animator.TYPE_NUMBER,i,i.getWidth,i.setWidth,n.w)):"dataChange"===this._animationMode?"add"===o?(i.setDimensions(n.x,n.y,0,n.h,n.r),a(),(s=this.dimensionsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,i,i.getWidth,i.setWidth,n.w)):"exist"===o&&((r=this.translationsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,i,i.getX,i.setX,n.x),r.addProp(t.Animator.TYPE_NUMBER,i,i.getY,i.setY,n.y),(s=this.dimensionsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,i,i.getWidth,i.setWidth,n.w),s.addProp(t.Animator.TYPE_NUMBER,i,i.getHeight,i.setHeight,n.h),i.setBorderRadius(n.r),this._onEnds.push(a)):(i.setDimensions(n.x,n.y,n.w,n.h,n.r),a())},n.prototype.preAnimateTaskBaselineRemove=function(t,e){"dataChange"===this._animationMode?(this.fadeOutElemsDC.push(t),this._onEnds.push(e)):e()},n.prototype.preAnimateTaskMain=function(e,i,n){var a,s,r=e.getRenderState("main");"onDisplay"===this._animationMode?(e.setMainDimensions(i.x,i.y,0,i.h,i.r),n(),(a=this.dimensionsPlayableIR.getAnimator()).addProp(t.Animator.TYPE_NUMBER,e,e.getMainWidth,e.setMainWidth,i.w)):"dataChange"===this._animationMode?"add"===r?(e.setMainDimensions(i.x,i.y,0,i.h,i.r),n(),(a=this.dimensionsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,e,e.getMainWidth,e.setMainWidth,i.w)):"exist"===r&&((s=this.translationsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,e,e.getMainX,e.setMainX,i.x),s.addProp(t.Animator.TYPE_NUMBER,e,e.getMainY,e.setMainY,i.y),(a=this.dimensionsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,e,e.getMainWidth,e.setMainWidth,i.w),a.addProp(t.Animator.TYPE_NUMBER,e,e.getMainHeight,e.setMainHeight,i.h),e.setMainBorderRadius(i.r),this._onEnds.push(n)):(e.setMainDimensions(i.x,i.y,i.w,i.h,i.r),n())},n.prototype.preAnimateTaskMainRemove=function(t,e,i,n){"dataChange"===this._animationMode?(this.fadeOutElemsDC.push(t),e&&this.fadeOutElemsDC.push(e),i&&this.fadeOutElemsDC.push(i),this._onEnds.push(n)):n()},n.prototype.preAnimateTaskProgress=function(e,i,n,a){var s,r,o=e.getRenderState("progress");"onDisplay"===this._animationMode?(i.setDimensions(n.x,n.y,0,n.h,n.r),a(),(s=this.dimensionsPlayableIR.getAnimator()).addProp(t.Animator.TYPE_NUMBER,i,i.getWidth,i.setWidth,n.w)):"dataChange"===this._animationMode?"add"===o?(i.setDimensions(n.x,n.y,0,n.h,n.r),a(),(s=this.dimensionsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,i,i.getWidth,i.setWidth,n.w)):"exist"===o&&((r=this.translationsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,i,i.getX,i.setX,n.x),r.addProp(t.Animator.TYPE_NUMBER,i,i.getY,i.setY,n.y),(s=this.dimensionsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,i,i.getWidth,i.setWidth,n.w),s.addProp(t.Animator.TYPE_NUMBER,i,i.getHeight,i.setHeight,n.h),i.setBorderRadius(n.r),this._onEnds.push(a)):(i.setDimensions(n.x,n.y,n.w,n.h,n.r),a())},n.prototype.preAnimateTaskProgressRemove=function(t,e){"dataChange"===this._animationMode?(this.fadeOutElemsDC.push(t),this._onEnds.push(e)):e()},n.prototype.preAnimateTaskLabel=function(e,i,n){var a,s=e.getTask(),r=e.getTaskLabel(),o=r.getLabelOutputText(),l=r.getRenderState(),h=s.getRenderState("main");"onDisplay"===this._animationMode?(n(),o.setY(i.y),o.setX(s.getShape("main").getX()),(a=this.translationsPlayableIR.getAnimator()).addProp(t.Animator.TYPE_NUMBER,o,o.getX,o.setX,i.x),a.addProp(t.Animator.TYPE_NUMBER,o,o.getY,o.setY,i.y)):"dataChange"===this._animationMode?"add"===l?(o.setX(i.x),o.setY(i.y),n(),"add"===h?(o.setX(s.getShape("main").getX()),(a=this.translationsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,o,o.getX,o.setX,i.x),a.addProp(t.Animator.TYPE_NUMBER,o,o.getY,o.setY,i.y)):"exist"===h&&this.fadeInElemsDC.push(o)):"exist"===l&&((a=this.translationsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,o,o.getX,o.setX,i.x),a.addProp(t.Animator.TYPE_NUMBER,o,o.getY,o.setY,i.y),this._onEnds.push(n)):(o.setX(i.x),o.setY(i.y),n())},n.prototype.preAnimateTaskLabelRemove=function(t,e){"dataChange"===this._animationMode?(this.fadeOutElemsDC.push(t),this._onEnds.push(e)):e()},n.prototype.preAnimateHorizontalGridline=function(e,i,n){var a;"dataChange"===this._animationMode?"add"===n?(e.setY1(i.y1),e.setY2(i.y2),e.setX1(i.x1),e.setX2(i.x2),this.fadeInElemsDC.push(e)):"exist"===n&&((a=this.translationsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,e,e.getX1,e.setX1,i.x1),a.addProp(t.Animator.TYPE_NUMBER,e,e.getX2,e.setX2,i.x2),a.addProp(t.Animator.TYPE_NUMBER,e,e.getY1,e.setY1,i.y1),a.addProp(t.Animator.TYPE_NUMBER,e,e.getY2,e.setY2,i.y2)):(e.setY1(i.y1),e.setY2(i.y2),e.setX1(i.x1),e.setX2(i.x2))},n.prototype.preAnimateRowBackground=function(e,i){var n;"dataChange"===this._animationMode?((n=this.dimensionsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,e,e.getHeight,e.setHeight,i.h),n.addProp(t.Animator.TYPE_NUMBER,e,e.getWidth,e.setWidth,i.w),this.translationsPlayableDC.getAnimator().addProp(t.Animator.TYPE_NUMBER,e,e.getY,e.setY,i.y)):(e.setY(i.y),e.setHeight(i.h),e.setWidth(i.w))},n.prototype.preAnimateRowNodeRemove=function(t,e){"dataChange"===this._animationMode?(this.fadeOutElemsDC.push(t),this._onEnds.push(e)):e()},n.prototype.preAnimateRowLabel=function(e,i,n){var a,s=e.getRenderState();"dataChange"===this._animationMode?"add"===s?(i.setY(n.y),i.setX(n.x),this.fadeInElemsDC.push(i.getDisplayable())):"exist"===s&&((a=this.translationsPlayableDC.getAnimator()).addProp(t.Animator.TYPE_NUMBER,i,i.getX,i.setX,n.x),a.addProp(t.Animator.TYPE_NUMBER,i,i.getY,i.setY,n.y)):(i.setY(n.y),i.setX(n.x))},n.prototype.preAnimateRowLabelRemove=function(t,e){"dataChange"===this._animationMode?(this.fadeOutElemsDC.push(t.getDisplayable()),this._onEnds.push(e)):e()},t.Gantt=function(t,e,i){this.Init(t,e,i)},t.Obj.createSubclass(t.Gantt,t.TimeComponent),t.Gantt.newInstance=function(e,i,n){return new t.Gantt(e,i,n)},t.Gantt.prototype.Init=function(e,i,n){this._isInitialRender=!0,t.Gantt.superclass.Init.call(this,e,i,n),this.Defaults=new s,this.EventManager=new o(this,e,i,n),this.EventManager.addListeners(this),t.Agent.isTouchDevice()?this._keyboardHandler=null:(this._keyboardHandler=new l(this,this.EventManager),this.EventManager.setKeyboardHandler(this._keyboardHandler))},t.Gantt.prototype.SetOptions=function(e){null==e.taskDefaults&&(e.taskDefaults={baseline:{}}),null==e.taskDefaults.baseline&&(e.taskDefaults.baseline={}),e.taskDefaults.height=null==e.taskDefaults.height?void 0:e.taskDefaults.height,e.taskDefaults.baseline.height=null==e.taskDefaults.baseline.height?void 0:e.taskDefaults.baseline.height,t.Gantt.superclass.SetOptions.call(this,e),this.setSelectionMode(this.Options.selectionMode);var i=this.Options.dnd;if(i){var n={drag:{},drop:{}},a=i.move&&"enabled"===i.move.tasks;if(a&&(n.drag.tasks={dataTypes:[]},n.drop.rows={dataTypes:[]}),this.Options.dnd=t.JsonUtils.merge(i,n),a){var s=this.Options.dnd.drag.tasks.dataTypes;t.ArrayUtils.isArray(s)||(this.Options.dnd.drag.tasks.dataTypes=[s],s=this.Options.dnd.drag.tasks.dataTypes),s.push(o.MOVE_TASKS_DATA_TYPE);var r=this.Options.dnd.drop.rows.dataTypes;t.ArrayUtils.isArray(r)||(this.Options.dnd.drop.rows.dataTypes=[r],r=this.Options.dnd.drop.rows.dataTypes),r.push(o.MOVE_TASKS_DATA_TYPE)}}},t.Gantt.prototype.getAutomation=function(){return this.Automation||(this.Automation=new a(this)),this.Automation},t.Gantt.prototype.GetStyleClass=function(t){var e=this.getCtx().styleClasses;return null!=e?e[t]:t},t.Gantt.prototype.Parse=function(t){return this._parser=new h,this._parser.parse(t)},t.Gantt.prototype._applyParsedProperties=function(e){this._axisPosition=e.axisPosition,this._selectionMode=e.selectionMode,this._horizontalGridline=e.horizontalGridline,this._verticalGridline=e.verticalGridline,this._viewStartTime=e.viewStart,this._viewEndTime=e.viewEnd,this._rowsData=e.rows,this.isIRAnimationEnabled=e.isIRAnimationEnabled,this.isDCAnimationEnabled=e.isDCAnimationEnabled,this._rowAxisRendered=e.rowAxisRendered,this._rowAxisWidth=e.rowAxisWidth,this._rowAxisMaxWidth=e.rowAxisMaxWidth,this._referenceObjects=e.referenceObjects,t.Gantt.superclass._applyParsedProperties.call(this,e)},t.Gantt.prototype._bundleTimeAxisOptions=function(t,i){var n=this._resources;n.axisClass=this.GetStyleClass(i),n.axisSeparatorClass=this.GetStyleClass(i+"Ticks"),n.axisLabelClass=this.GetStyleClass(i+"Labels");var a,s={start:t.start,end:t.end,_resources:n,shortDesc:t.shortDesc,orientation:"horizontal"};if(t[i]){var r=t[i];r.scale&&(s.scale=r.scale),r.converter&&(s.converter=r.converter),r.zoomOrder&&(s.zoomOrder=r.zoomOrder)}return"majorAxis"==i?a=e.getMajorAxisLabelStyle(t):"minorAxis"==i&&(a=e.getMinorAxisLabelStyle(t)),s.labelStyle=a,s},t.Gantt.prototype._getPreferredSize=function(e,i){return new t.Dimension(e,i)},t.Gantt.prototype.render=function(e,i,a){if(this.getCache().clearCache(),e){this.SetOptions(e),t.Gantt.superclass.render.call(this,e,i,a),this.isDndEnabled()?this.renderAriaLiveRegion():this.removeAriaLiveRegion(),g.renderRowAxis(this,this.getParent());var s=this.getAxisPosition();if(e.minorAxis){var r=this._bundleTimeAxisOptions(this.Options,"minorAxis");null==this._minorAxis&&(this._minorAxis=new t.TimeAxis(this.getCtx(),null,null),"top"==s?this._minorAxis.setBorderVisibility(!1,!1,!0,!1):this._minorAxis.setBorderVisibility(!0,!1,!1,!1),this._masterAxis=this._minorAxis),this._minorAxis.setCanvasSize(null);var o=this._minorAxis.getPreferredLength(r,this._canvasLength)}var l=e.majorAxis;if(l)if(l.scale){r=this._bundleTimeAxisOptions(this.Options,"majorAxis"),null==this._majorAxis&&(this._majorAxis=new t.TimeAxis(this.getCtx(),null,null),"top"==s?this._majorAxis.setBorderVisibility(!1,!1,!0,!1):this._majorAxis.setBorderVisibility(!0,!1,!1,!1),this._slaveAxis=this._majorAxis),this._majorAxis.setCanvasSize(null);var h=this._majorAxis.getPreferredLength(r,this._canvasLength);o&&h>o&&(this._masterAxis=this._majorAxis,this._slaveAxis=this._minorAxis,o=h)}else this._majorAxis=null;o&&this.setContentLength(o),this._minorAxis&&this._minorAxis.hasValidOptions()&&this.prepareViewportLength(),this._animationManager=new n(this),this._animationManager.prepareForAnimations(),g.renderGantt(this),this._animationManager.triggerAnimations(),this.UpdateAriaAttributes(),this.Animation||this.RenderComplete(),this._isInitialRender=!1}else this._handleResize(i,a)},t.Gantt.prototype.getAnimationManager=function(){return this._animationManager},t.Gantt.prototype.isInitialRender=function(){return this._isInitialRender},t.Gantt.prototype.isDndEnabled=function(){return this.getEventManager().isDndSupported()&&this.getOptions().dnd},t.Gantt.prototype.renderAriaLiveRegion=function(){if(!this._ariaLiveRegion){var t=this.getCtx();this._ariaLiveRegion=document.createElement("div"),this._ariaLiveRegion.id="_dvtGanttAriaLiveRegion"+t.getStage().getId(),this._ariaLiveRegion.setAttribute("aria-live","assertive"),this._ariaLiveRegion.setAttribute("style","clip: rect(1px, 1px, 1px, 1px); height: 1px; overflow: hidden; position: absolute; white-space: nowrap; width: 1px;"),t.getContainer().appendChild(this._ariaLiveRegion)}},t.Gantt.prototype.getAriaLiveRegion=function(){return this._ariaLiveRegion},t.Gantt.prototype.updateLiveRegionText=function(t){this._ariaLiveRegion&&(this._ariaLiveRegion.textContent=t)},t.Gantt.prototype.removeAriaLiveRegion=function(){this._ariaLiveRegion&&(context.getContainer().removeChild(this._ariaLiveRegion),this._ariaLiveRegion=null)},t.Gantt.prototype.processScrollbarEvent=function(e,i){if(t.Gantt.superclass.processScrollbarEvent.call(this,e,i),i==this.contentDirScrollbar){var n=e.getNewMax();this._databody.setTranslateY(n),this.isRowAxisEnabled()&&this.getRowAxis().setTranslateY(n),null!=this._deplines&&this._deplines.setTranslateY(n)}},t.Gantt.prototype.createViewportChangeEvent=function(){return t.EventFactory.newGanttViewportChangeEvent(this._viewStartTime,this._viewEndTime,this._slaveAxis?this._slaveAxis.getScale():null,this.getTimeAxis().getScale())},t.Gantt.prototype._handleResize=function(t,e){this.Width=t,this.Height=e,this.applyStyleValues();var i=this.hasValidOptions();if(i&&g.renderRowAxis(this),this.prepareViewportLength(),g._renderBackground(this),i){this.renderTimeZoomCanvas(this._canvas),this.isRowAxisEnabled()&&this.getRowAxis().adjustPosition(),this.updateRows(),g._renderDependencies(this);var n=this.getTimeZoomCanvas();g._renderAxes(this,n),g._renderDatabodyBackground(this),g._renderVerticalGridline(this,n),g._renderReferenceObjects(this,n),g._renderZoomControls(this),this.isDndEnabled()&&g._renderDnDArtifactsContainer(this,n),(this.isTimeDirScrollbarOn()||this.isContentDirScrollbarOn())&&g._renderScrollbars(this,this)}else g._renderEmptyText(this);this.Animation||this.RenderComplete()},t.Gantt.prototype.applyStyleValues=function(){var i=t.Agent.isRightToLeft(this.getCtx()),n=this.getScrollbarPadding();this._borderWidth=e.getChartStrokeWidth(this.Options);var a=2*this._borderWidth;if(this._widthOffset=0,this.timeDirScrollbarStyles=this.getTimeDirScrollbarStyle(),this.contentDirScrollbarStyles=this.getContentDirScrollbarStyle(),this._backgroundWidth=this.Width,this._backgroundHeight=this.Height,this.isTimeDirScrollbarOn()&&(this._backgroundHeight=this._backgroundHeight-t.CSSStyle.toNumber(this.timeDirScrollbarStyles.getHeight())-3*n),this.isContentDirScrollbarOn()){var s=3*n;this._backgroundWidth=this._backgroundWidth-t.CSSStyle.toNumber(this.contentDirScrollbarStyles.getWidth())-s,i&&(this._widthOffset=s-this._borderWidth)}this.setStartXOffset(this._widthOffset+this._borderWidth),this.setStartYOffset(this._borderWidth),this._canvasLength=this._backgroundWidth-a,this._canvasSize=this._backgroundHeight-a},t.Gantt.prototype.updateRows=function(){var t=this._rows;if(null!=t&&t.length>0){this.getCache().putToCache("baseTaskLabelCSSStyle",e.getTaskLabelStyle(this.Options)),g._renderDatabody(this);for(var i=0;i<t.length;i++)t[i].render(this.getDatabody())}else g._renderEmptyText(this,!0)},t.Gantt.prototype.HandleMouseWheel=function(e){if(t.Gantt.superclass.HandleMouseWheel.call(this,e),this.hasValidOptions())if(!e||e.ctrlKey||t.Agent.isTouchDevice()){if(e.zoomWheelDelta){var i=this.getCtx().pageToStageCoords(e.pageX,e.pageY);if(this.getGraphicalAreaBounds().containsPoint(i.x,i.y)){var n=this.getContentLength()*e.zoomWheelDelta,a=e.zoomTime,s=e.zoomCompLoc;this.handleZoomWheel(n,a,s,!0)}}}else{var r=e.wheelDelta?e.wheelDelta*t.TimeComponent.SCROLL_LINE_HEIGHT:0,o=e.wheelDeltaX?e.wheelDeltaX*t.TimeComponent.SCROLL_LINE_HEIGHT:0;if(this.panBy(-o,-r),e.wheelDeltaX){var l=this.createViewportChangeEvent();this.dispatchEvent(l)}}},t.Gantt.prototype.handleZoomWheel=function(e,i,n,a){e>this._masterAxis.getMaxContentLength()?(e=this._masterAxis.getMaxContentLength(),this.disableZoomButton(!0)):this.enableZoomButton(!0),this._canvasLength>e?(e=this._canvasLength,this.disableZoomButton(!1)):this.enableZoomButton(!1);var s=this.getContentLength()<=e;t.Gantt.superclass.handleZoomWheel.call(this,e,i,n,a);var r=this._masterAxis.getZoomLevelLengths();if(s)for(;this._masterAxis.getZoomLevelOrder()>0&&(!this._slaveAxis||this._slaveAxis.getZoomLevelOrder()>0);){var o=r[this._masterAxis.getZoomLevelOrder()-1];if(!(this.getContentLength()>=o))break;this._masterAxis.setZoomLevelOrder(this._masterAxis.getZoomLevelOrder()-1),this._masterAxis.decreaseScale(),this._slaveAxis&&(this._slaveAxis.setZoomLevelOrder(this._slaveAxis.getZoomLevelOrder()-1),this._slaveAxis.decreaseScale())}else for(;this._masterAxis.getZoomLevelOrder()<r.length-1&&(!this._slaveAxis||this._slaveAxis.getZoomLevelOrder()<this._slaveAxis.getZoomLevelLengths().length-1)&&(o=r[this._masterAxis.getZoomLevelOrder()],this.getContentLength()<o);)this._masterAxis.setZoomLevelOrder(this._masterAxis.getZoomLevelOrder()+1),this._masterAxis.increaseScale(),this._slaveAxis&&(this._slaveAxis.setZoomLevelOrder(this._slaveAxis.getZoomLevelOrder()+1),this._slaveAxis.increaseScale());this.isTimeDirScrollbarOn()&&this.timeDirScrollbar&&this.timeDirScrollbar.setViewportRange(this._viewStartTime,this._viewEndTime);var l=this.getTimeZoomCanvas();if(g._renderAxes(this,l),this.updateRows(),g._renderDatabodyBackground(this),g._renderDependencies(this),g._renderVerticalGridline(this,l),g._renderReferenceObjects(this,l),this.isDndEnabled()&&g._renderDnDArtifactsContainer(this,l),a){var h=this.createViewportChangeEvent();this.dispatchEvent(h)}},t.Gantt.prototype.getMajorAxis=function(){return this._majorAxis},t.Gantt.prototype.getMinorAxis=function(){return this._minorAxis},t.Gantt.prototype.getTimeAxis=function(){return this._minorAxis?this._minorAxis:this._majorAxis},t.Gantt.prototype.getDatabody=function(){return this._databody},t.Gantt.prototype.setDatabody=function(t){this._databody=t},t.Gantt.prototype.getDatabodyBackground=function(){return this._databodyBackground},t.Gantt.prototype.setDatabodyBackground=function(t){this._databodyBackground=t},t.Gantt.prototype.getDatabodyStart=function(){return this._databodyStart},t.Gantt.prototype.setDatabodyStart=function(t){this._databodyStart=t},t.Gantt.prototype.getDatabodyHeight=function(){return this.getCanvasSize()-this.getAxesHeight()},t.Gantt.prototype.getVerticalGridlines=function(){return this._gridlines},t.Gantt.prototype.setVerticalGridlines=function(t){this._gridlines=t},t.Gantt.prototype.getReferenceObjects=function(){return this._referenceObjects},t.Gantt.prototype.getReferenceObjectsContainer=function(){return this._refObjectsContainer},t.Gantt.prototype.setReferenceObjectsContainer=function(t){this._refObjectsContainer=t},t.Gantt.prototype.getRenderedReferenceObjects=function(){return this._renderedReferenceObjects},t.Gantt.prototype.setRenderedReferenceObjects=function(t){this._renderedReferenceObjects=t},t.Gantt.prototype.getDnDArtifactsContainer=function(){return this._dndArtifactsContainer},t.Gantt.prototype.setDnDArtifactsContainer=function(t){this._dndArtifactsContainer=t},t.Gantt.prototype.setEmptyText=function(t){this._emptyText=t},t.Gantt.prototype.removeEmptyText=function(){this._emptyText&&this._emptyText.getParent()&&(this._emptyText.getParent().removeChild(this._emptyText),delete this._emptyText,this._emptyText=null)},t.Gantt.prototype.getRowsData=function(){return this._rowsData},t.Gantt.prototype.getRows=function(){return this._rows},t.Gantt.prototype.setRows=function(t){this._rows=t},t.Gantt.prototype.getCurrentRow=function(){return this._currentRow},t.Gantt.prototype.setCurrentRow=function(t){this._currentRow=t},t.Gantt.prototype.getAxisPosition=function(){return this._axisPosition},t.Gantt.prototype.getAxisHeight=function(){return e.getTimeAxisHeight()},t.Gantt.prototype.getStartTime=function(){return this._start},t.Gantt.prototype.getEndTime=function(){return this._end},t.Gantt.prototype.getHoverBehavior=function(){return"none"},t.Gantt.prototype.isHorizontalGridlinesVisible=function(){return"visible"==this._horizontalGridline},t.Gantt.prototype.isVerticalGridlinesVisible=function(){return"visible"==this._verticalGridline},t.Gantt.prototype.getContentHeight=function(){return this._contentHeight},t.Gantt.prototype.setContentHeight=function(t){this._contentHeight=t},t.Gantt.prototype.getAxesHeight=function(){if(null==this._axesHeight){var t=0;this._majorAxis&&(t+=this._majorAxis.getSize()),this._minorAxis&&(t+=this._minorAxis.getSize()),this._axesHeight=t}return this._axesHeight},t.Gantt.prototype.isRowAxisEnabled=function(){return"on"==this._rowAxisRendered},t.Gantt.prototype.getRowAxisWidth=function(){return this._rowAxisWidth},t.Gantt.prototype.getRowAxisMaxWidth=function(){return this._rowAxisMaxWidth},t.Gantt.prototype.getRowAxis=function(){return this._rowAxis},t.Gantt.prototype.setRowAxis=function(t){this._rowAxis=t},t.Gantt.prototype.getViewportDimensions=function(){return new t.Rectangle(this.getStartXOffset()-this.getTimeZoomCanvas().getTranslateX(),this._databodyStart-this._databody.getTranslateY(),this._canvasLength,this._canvasSize-this.getAxesHeight())},t.Gantt.prototype.scrollIntoView=function(e,i,n,a){var s=t.Agent.isRightToLeft(this.getCtx()),r=this.getViewportDimensions(),o=0,l=0;i=i||"auto",n=n||"auto",a=a||0;var h=Math.min(e.x-r.x-a,0),g=Math.max(0,e.x+e.w-(r.x+r.w)+a),d=s?g:h,p=s?h:g;switch(i){case"start":o=d;break;case"end":o=p;break;default:o=(s?p<0:p>0)?p:d}var _=Math.min(e.y-r.y-a,0),u=Math.max(0,e.y+e.h-(r.y+r.h)+a);switch(n){case"top":l=_;break;case"bottom":l=u;break;default:l=_<0?_:u}this.panBy(o,l,!0)},t.Gantt.prototype.autoPanOnEdgeDrag=function(t,e,i,n){var a=this.getViewportDimensions(),s=0,r=0;if(!i){var o=Math.max(t.x-a.x,0),l=Math.max(a.x+a.w-t.x,0);o<e?(s=o-e,s=Math.max(s,-a.x)):l<e&&(s=e-l,s=Math.min(s,this.getContentLength()-(a.x+a.w)))}if(!n){var h=Math.max(t.y-a.y,0),g=Math.max(a.y+a.h-t.y,0);h<e?(r=h-e,r=Math.max(r,-a.y)):g<e&&(r=e-g,r=this.getContentHeight()+this._databodyStart>=this._canvasSize?"bottom"==this.getAxisPosition()?Math.min(r,this._databody.getTranslateY()+this.getContentHeight()-a.h):Math.min(r,this._databody.getTranslateY()+this.getContentHeight()-this._canvasSize):Math.min(r,-a.y))}return this.panBy(s,r,!0),{deltaX:s,deltaY:r}},t.Gantt.prototype.panBy=function(e,i,n){if(n=void 0!==n&&n,0!=e&&(n||Math.abs(e)>Math.abs(i))&&t.Gantt.superclass.panBy.call(this,e,0),this._databody&&0!=i&&(n||Math.abs(i)>Math.abs(e))){var a=this.getBoundedContentTranslateY(this._databody.getTranslateY()-i);this._databody.setTranslateY(a),this._databodyBackground.setTranslateY(a),this.isDndEnabled()&&this._dndArtifactsContainer.setTranslateY(a),this.isRowAxisEnabled()&&this.getRowAxis().setTranslateY(a),this.isContentDirScrollbarOn()&&this.contentDirScrollbar.setViewportRange(a-this.getDatabodyHeight(),a),null!=this._deplines&&this._deplines.setTranslateY(a)}this.isTimeDirScrollbarOn()&&this.timeDirScrollbar&&this.timeDirScrollbar.setViewportRange(this._viewStartTime,this._viewEndTime)},t.Gantt.prototype.getBoundedContentTranslateY=function(t){var e=this.getContentHeight();if(null==e)return t;var i=this.getDatabodyHeight(),n=this.getDatabodyStart(),a=n+Math.min(0,i-e);return Math.min(n,Math.max(t,a))},t.Gantt.prototype.beginDragPan=function(e,i){t.Gantt.superclass.beginDragPan.call(this,e,i),this._currentViewStartTime=this._viewStartTime,this._currentViewEndTime=this._viewEndTime},t.Gantt.prototype.endDragPan=function(e,i){this._currentViewStartTime==this._viewStartTime&&this._currentViewEndTime==this._viewEndTime&&(this._triggerViewportChange=!1),t.Gantt.superclass.endDragPan.call(this,e,i)},t.Gantt.prototype.setTaskBrightness=function(t,e){null!=(t=this.findTaskNodeById(t.getId()))&&(e?t.darken():t.brighten())},t.Gantt.prototype.findTaskNodeById=function(t){var e=this._rows;if(e)for(var i=0;i<e.length;i++)for(var n=e[i].getTasks(),a=0;a<n.length;a++)if(t===n[a].getId())return n[a];return null},t.Gantt.prototype.hasValidOptions=function(){var t=!this._majorAxis||this._majorAxis.hasValidOptions(),e=this._minorAxis&&this._minorAxis.hasValidOptions(),i=this._start&&this._end&&this._end>this._start,n=!this._viewStartTime||!this._viewEndTime||this._viewEndTime>this._viewStartTime,a=!this._viewStartTime||this._viewStartTime>=this._start&&this._viewStartTime<this._end,s=!this._viewEndTime||this._viewEndTime>this._start&&this._viewEndTime<=this._end;return t&&e&&i&&n&&a&&s},t.Gantt.prototype.GetComponentDescription=function(){return t.Bundle.getTranslation(this.getOptions(),"componentName",t.Bundle.UTIL_PREFIX,"GANTT")},t.Gantt.prototype.getSelectionHandler=function(){return this._selectionHandler},t.Gantt.prototype.isSelectionSupported=function(){return!!this._selectionHandler},t.Gantt.prototype.setSelectionMode=function(e){this._selectionHandler="single"==e?new t.SelectionHandler(this.getCtx(),t.SelectionHandler.TYPE_SINGLE):"multiple"==e?new t.SelectionHandler(this.getCtx(),t.SelectionHandler.TYPE_MULTIPLE):null,this.getEventManager().setSelectionHandler(this._selectionHandler)},t.Gantt.prototype._processInitialSelections=function(){if(null!=this._rows&&0!=this._rows.length){var t=this.Options.selection;if(t&&this.isSelectionSupported()){for(var e=[],i=0;i<this._rows.length;i++){var n=this._rows[i].getTasks();if(null!=n&&n.length>0)for(var a=0;a<n.length;a++)e.push(n[a])}this.getSelectionHandler().processInitialSelections(t,e)}}},t.Gantt.prototype.getDependencyLines=function(){return this._deplines},t.Gantt.prototype.setDependencyLines=function(t){this._deplines=t},t.Gantt.prototype.setDefaultMarkerId=function(t){this._markerId=t},t.Gantt.prototype.getDefaultMarkerId=function(){return this._markerId},t.Gantt.prototype.getNavigableDependencyLinesForTask=function(t,e){return"successor"==e?t.getSuccessorDependencies():t.getPredecessorDependencies()},t.Gantt.prototype.HandleTouchStart=function(t){};var a=function(t){this._gantt=t};t.Obj.createSubclass(a,t.Automation),a.prototype.GetSubIdForDomElement=function(t){var e=this._gantt.getEventManager().GetLogicalObject(t);if(e&&e instanceof u){var i=e.getRow();return"taskbar["+this._gantt.getRows().indexOf(i)+"]["+i.getTasks().indexOf(e)+"]"}return e&&e instanceof p?"rowLabel["+e.getRowIndex()+"]":null},a.prototype.getDomElementForSubId=function(e){if(e==t.Automation.TOOLTIP_SUBID)return this.GetTooltipElement(this._gantt);var i=e.indexOf("["),n=e.indexOf("]"),a=e.substring(0,i);if(i>-1&&n>-1)if("taskbar"==a){var s=e.indexOf("[",i+1),r=e.indexOf("]",s+1);if(s>-1&&r>-1){var o=parseInt(e.substring(i+1,n)),l=parseInt(e.substring(s+1,r));if(isNaN(o)||isNaN(l))return null;if(null!=(d=this._gantt.getRows())&&d.length>o){var h=d[o].getTasks();if(null!=h&&h.length>l){var g=h[l].getTask().getShape("main");if(null!=g)return g.getElem()}}}}else if("rowLabel"==a){var d;if(o=parseInt(e.substring(i+1,n)),null!=(d=this._gantt.getRows())&&d.length>o){var p=d[o].getRowLabelContent();if(null!=p)return p.getDisplayable().getElem()}}return null};var s=function(){this.Init({alta:s.VERSION_1})};t.Obj.createSubclass(s,t.BaseComponentDefaults),s.VERSION_1={axisPosition:"top",animationOnDataChange:"none",animationOnDisplay:"none",scrollbar:{horizontal:"off",vertical:"off"},gridlines:{horizontal:"hidden",vertical:"visible"},selectionMode:"none",taskDefaults:{labelPosition:["end","innerCenter","start","max"],borderRadius:"0",height:e.getStandaloneTaskHeight(),progress:{height:"100%",borderRadius:"0"},baseline:{height:e.getBaselineTaskHeight(),borderRadius:"0"},type:"auto"},rowAxis:{rendered:"off",width:"max-content",maxWidth:"none"}},s.prototype.getNoCloneObject=function(){return{start:!0,end:!0,viewportStart:!0,viewportEnd:!0,rows:{tasks:{start:!0,end:!0}},referenceObjects:{value:!0}}},s.prototype.getAnimationDuration=function(t){return t._resources?t._resources.animationDuration:null};var r=function(t,e){this.Init(t,e)};t.Obj.createSubclass(r,t.Container),r.START_START="startStart",r.START_FINISH="startFinish",r.FINISH_START="finishStart",r.FINISH_FINISH="finishFinish",r.CONFLICT_NONE=0,r.CONFLICT_PREDECESSOR=1,r.CONFLICT_SUCCESSOR=2,r.CONFLICT_BOTH=3,r.prototype.Init=function(t,e){r.superclass.Init.call(this,t.getCtx(),null),this._gantt=t,this._props=e,this._gantt.getEventManager().associate(this,this)},r.prototype.setProps=function(t){this._props=t},r.prototype.getGantt=function(){return this._gantt},r.prototype.getId=function(){return this._props.id},r.prototype.getActiveElementId=function(){return null},r.prototype.getPredecessor=function(){return this._props.predecessorTaskId},r.prototype.getSuccessor=function(){return this._props.successorTaskId},r.prototype.getType=function(){return null==this._props.type?r.FINISH_START:this._props.type},r.prototype.getSvgStyle=function(){return this._props.svgStyle},r.prototype.getSvgClassName=function(){return this._props.svgClassName},r.prototype.getShortDesc=function(){return this._props.shortDesc},r.prototype.getPredecessorNode=function(){return this._predecessorNode},r.prototype.getSuccessorNode=function(){return this._successorNode},r._getTaskStart=function(i){var n=t.Agent.isRightToLeft(i.getGantt().getCtx()),a=i.getTask().getShape("main"),s=i.getTaskLabel(),r=s.getLabelOutputText(),o=s.getEffectiveLabelPosition();return n?null!=r&&null!=r.getParent()&&"end"==o?i.getFinalX()+a.getFinalX()-a.getFinalWidth()-a.getPhysicalEndOffset()-r.getDimensions().w-2*e.getTaskLabelPadding():i.getFinalX()+a.getFinalX()-a.getFinalWidth()-a.getPhysicalEndOffset():null!=r&&null!=r.getParent()&&"start"==o?i.getFinalX()+a.getFinalX()-a.getPhysicalStartOffset()-r.getDimensions().w-2*e.getTaskLabelPadding():i.getFinalX()+a.getFinalX()-a.getPhysicalStartOffset()},r._getTaskMiddle=function(t){var e=t.getTask(),i=e.getShape("main"),n=e.isSummary("main")?t.getProps().height:i.getFinalHeight();return r._getTaskTop(t)+i.getFinalY()+Math.round(n/2)},r._getTaskEnd=function(i){var n=t.Agent.isRightToLeft(i.getGantt().getCtx()),a=i.getTask().getShape("main"),s=i.getTaskLabel(),r=s.getLabelOutputText(),o=s.getEffectiveLabelPosition();return n?null!=r&&null!=r.getParent()&&"start"==o?i.getFinalX()+a.getFinalX()+a.getPhysicalStartOffset()+r.getDimensions().w+2*e.getTaskLabelPadding():i.getFinalX()+a.getFinalX()+a.getPhysicalStartOffset():null!=r&&null!=r.getParent()&&"end"==o?i.getFinalX()+a.getFinalX()+a.getFinalWidth()+a.getPhysicalEndOffset()+r.getDimensions().w+2*e.getTaskLabelPadding():i.getFinalX()+a.getFinalX()+a.getFinalWidth()+a.getPhysicalEndOffset()},r._getTaskTop=function(t){return t.getFinalY()},r._getTaskBottom=function(t){return r._getTaskTop(t)+t.getFinalHeight()},r._isValidType=function(t){return t===r.START_START||t===r.START_FINISH||t===r.FINISH_START||t===r.FINISH_FINISH},r.prototype.render=function(i){this.getParent()!=i&&i.addChild(this),this.setAriaRole("img");var n=this.getPredecessor(),a=this.getSuccessor(),s=this.getType();if(null!=n&&null!=a&&n!=a&&r._isValidType(s)){var o=this.getGantt(),l=o.findTaskNodeById(n),h=o.findTaskNodeById(a);if(null!=l&&null!=h){if(this._predecessorNode=l,this._successorNode=h,this._predecessorNode.addSuccessorDependency(this),this._successorNode.addPredecessorDependency(this),t.TimeAxis.supportsTouch()&&(this.setAriaProperty("label",this.getAriaLabel()),this._predecessorNode.refreshAriaLabel(),this._successorNode.refreshAriaLabel()),t.Agent.isPlatformIE()&&this._cleanup(),null!=this._line){this._line.setCmds(r._calcDepLine(o.getCtx(),this._predecessorNode,this._successorNode,s));var g=this._line.getElem()}else{var d=new t.Path(o.getCtx(),r._calcDepLine(o.getCtx(),l,h,s));0===e.getDependencyLineArcRadius()&&d.setPixelHinting(!0),g=d.getElem(),t.ToolkitUtils.setAttrNullNS(g,"marker-end",t.ToolkitUtils.getUrlById(o.getDefaultMarkerId())),this.addChild(d);var p=new t.SolidStroke(e.getFocusedDependencyLineInnerColor(),1,e.getFocusedDependencyLineInnerWidth()),_=new t.SolidStroke("#000",1,1);d.setHoverStroke(p,_),this._line=d}var u=this.getSvgStyle();u&&("string"==typeof u||u instanceof String?t.ToolkitUtils.setAttrNullNS(g,"style",u):this._line.setStyle(u));var c=o.GetStyleClass("dependencyLine"),f=this.getSvgClassName();f?t.ToolkitUtils.setAttrNullNS(g,"class",c+" "+f):t.ToolkitUtils.setAttrNullNS(g,"class",c)}else this._cleanup()}else this._cleanup()},r.prototype._cleanup=function(){null!=this._line&&(this.removeChild(this._line),this._line=null)},r.prototype._calcConflict=function(){var t=!1,e=!1,i=this.getType(),n=this.getGantt().getNavigableDependencyLinesForTask(this._predecessorNode,"predecessor");if(null!=n)for(var a=0;a<n.length;a++){var s=n[a].getType();(i!=r.START_START&&i!=r.START_FINISH||s!=r.START_START&&s!=r.FINISH_START)&&(i!=r.FINISH_FINISH&&i!=r.FINISH_START||s!=r.FINISH_FINISH&&s!=r.START_FINISH)||(t=!0)}if(null!=(n=this.getGantt().getNavigableDependencyLinesForTask(this._successorNode,"successor")))for(a=0;a<n.length;a++)s=n[a].getType(),(i!=r.START_START&&i!=r.FINISH_START||s!=r.START_START&&s!=r.START_FINISH)&&(i!=r.FINISH_FINISH&&i!=r.START_FINISH||s!=r.FINISH_FINISH&&s!=r.FINISH_START)||(e=!0);return t&&e?r.CONFLICT_BOTH:t?r.CONFLICT_PREDECESSOR:e?r.CONFLICT_SUCCESSOR:r.CONFLICT_NONE},r._calcDepLine=function(e,i,n,a){var s=t.Agent.isRightToLeft(e);switch(a){case r.START_START:return s?r._calcDepLineHelper(i,n,!0,!0):r._calcDepLineHelper(i,n,!1,!1);case r.START_FINISH:return s?r._calcDepLineHelper(i,n,!0,!1):r._calcDepLineHelper(i,n,!1,!0);case r.FINISH_START:return s?r._calcDepLineHelper(i,n,!1,!0):r._calcDepLineHelper(i,n,!0,!1);case r.FINISH_FINISH:return s?r._calcDepLineHelper(i,n,!1,!1):r._calcDepLineHelper(i,n,!0,!0)}return null},r._calcDepLineHelper=function(i,n,a,s){var o=e.getDependencyLineArcRadius(),l=e.getDependencyLineTaskFlankLength(),h=e.getDependencyLineMarkerWidth(),g=a?r._getTaskEnd(i):r._getTaskStart(i),d=s?r._getTaskEnd(n):r._getTaskStart(n),p=r._getTaskMiddle(i),_=r._getTaskMiddle(n),u=_>=p?r._getTaskBottom(i)+e.getDependencyLineTaskGap():r._getTaskTop(i)-e.getDependencyLineTaskGap();g=Math.round(g)+.5,d=Math.round(d)+.5,p=Math.round(p)+.5,_=Math.round(_)+.5,u=Math.round(u)+.5;var c=g+(a?1:-1)*l,f=s?d+l+h:d-l-h,m=t.PathUtils.moveTo(g,p);return a&&f<c||!a&&f>c?(m+=t.PathUtils.horizontalLineTo(c+(a?-1:1)*o),_>p?(m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?1:0,c,p+o),a&&s||!a&&!s?(m+=t.PathUtils.verticalLineTo(_-o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?1:0,c+(a?-1:1)*o,_)):(m+=t.PathUtils.verticalLineTo(u-o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?1:0,c+(a?-1:1)*o,u),m+=t.PathUtils.horizontalLineTo(f+(a?1:-1)*o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?0:1,f,u+o),m+=t.PathUtils.verticalLineTo(_-o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?0:1,f+(a?1:-1)*o,_))):_<p?(m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?0:1,c,p-o),a&&s||!a&&!s?(m+=t.PathUtils.verticalLineTo(_+o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?0:1,c+(a?-1:1)*o,_)):(m+=t.PathUtils.verticalLineTo(u+o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?0:1,c+(a?-1:1)*o,u),m+=t.PathUtils.horizontalLineTo(f+(a?1:-1)*o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?1:0,f,u-o),m+=t.PathUtils.verticalLineTo(_+o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?1:0,f+(a?1:-1)*o,_))):(m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?1:0,c,p+o),m+=t.PathUtils.verticalLineTo(u-o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?1:0,c+(a?-1:1)*o,u),m+=t.PathUtils.horizontalLineTo(f+(a?1:-1)*o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?1:0,f,u-o),m+=t.PathUtils.verticalLineTo(_+o),m+=s?t.PathUtils.arcTo(o,o,Math.PI/2,0,f-o,_):t.PathUtils.arcTo(o,o,Math.PI/2,1,f+o,_))):_>p?(m+=t.PathUtils.horizontalLineTo(f+(a?-1:1)*o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?1:0,f,p+o),m+=t.PathUtils.verticalLineTo(_-o),m+=s?t.PathUtils.arcTo(o,o,Math.PI/2,1,f-o,_):t.PathUtils.arcTo(o,o,Math.PI/2,0,f+o,_)):_<p?(m+=t.PathUtils.horizontalLineTo(f+(a?-1:1)*o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?0:1,f,p-o),m+=t.PathUtils.verticalLineTo(_+o),m+=s?t.PathUtils.arcTo(o,o,Math.PI/2,0,f-o,_):t.PathUtils.arcTo(o,o,Math.PI/2,1,f+o,_)):(a&&s||!a&&!s)&&(m+=t.PathUtils.horizontalLineTo(c+(a?-1:1)*o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?1:0,c,p+o),m+=t.PathUtils.verticalLineTo(u-o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?0:1,c+(a?1:-1)*o,u),m+=t.PathUtils.horizontalLineTo(f-o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?0:1,f,u-o),m+=t.PathUtils.verticalLineTo(_+o),m+=t.PathUtils.arcTo(o,o,Math.PI/2,a?0:1,f+(a?-1:1)*o,_)),m+=t.PathUtils.lineTo(d,_)},r.prototype.getNextNavigable=function(e){if(e.keyCode==t.KeyboardEvent.UP_ARROW||e.keyCode==t.KeyboardEvent.DOWN_ARROW){var i=this.getKeyboardFocusTask();i||(i=this.getPredecessorNode());var n=this,a=this.getGantt().getEventManager().getKeyboardHandler();if(a&&a.getNextNavigableDependencyLine){var s=i==this.getPredecessorNode()?"successor":"predecessor",r=this.getGantt().getNavigableDependencyLinesForTask(i,s);n=a.getNextNavigableDependencyLine(i,this,e,r)}return n.setKeyboardFocusTask(i),n}return e.keyCode==t.KeyboardEvent.RIGHT_ARROW||e.keyCode==t.KeyboardEvent.LEFT_ARROW?t.Agent.isRightToLeft(this.getGantt().getCtx())?e.keyCode==t.KeyboardEvent.LEFT_ARROW?this.getSuccessorNode():this.getPredecessorNode():e.keyCode==t.KeyboardEvent.RIGHT_ARROW?this.getSuccessorNode():this.getPredecessorNode():e.type==t.MouseEvent.CLICK?this:null},r.prototype.setKeyboardFocusTask=function(t){this._keyboardNavNode=t},r.prototype.getKeyboardFocusTask=function(){return this._keyboardNavNode},r.prototype.getKeyboardBoundingBox=function(t){return this.getDimensions(t)},r.prototype.getTargetElem=function(){return this._line.getElem()},r.prototype.showKeyboardFocusEffect=function(){if(this._line){var e=t.ToolkitUtils.getAttrNullNS(this._line.getElem(),"marker-end");t.DomUtils.addCSSClassName(this._line.getElem(),this._gantt.GetStyleClass("focus")),this._line.showHoverEffect(),null!=e&&t.ToolkitUtils.setAttrNullNS(this._line.getElem(),"marker-end",e),this._isShowingKeyboardFocusEffect=!0}},r.prototype.hideKeyboardFocusEffect=function(){this.isShowingKeyboardFocusEffect()&&(this._line.hideHoverEffect(),t.DomUtils.removeCSSClassName(this._line.getElem(),this._gantt.GetStyleClass("focus")),this._isShowingKeyboardFocusEffect=!1)},r.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},r.prototype.getDatatip=function(t,e,i){return this.getAriaLabel()},r.prototype.getAriaLabel=function(){var e=this.getShortDesc();if(null!=e)return e;var i=this._gantt.getOptions(),n=this.getPredecessor(),a=this.getSuccessor(),s=this.getType();if(null==n||null==a||!r._isValidType(s))return"";var o=t.Bundle.getTranslation(i,s+"DependencyAriaDesc");return e=t.Bundle.getTranslation(i,"accessibleDependencyInfo","","",[o,n,a])};var o=function(t){o.superclass.constructor.call(this,t),this._gantt=this._comp};t.Obj.createSubclass(o,t.TimeComponentEventManager),o.prototype.setFocus=function(t){if(o.superclass.setFocus.call(this,t),t instanceof u){var e=this._gantt.getViewportStartTime(),i=this._gantt.getViewportEndTime();t.scrollIntoView(),this._gantt.getViewportStartTime()===e&&this._gantt.getViewportEndTime()===i||this._gantt.dispatchEvent(this._gantt.createViewportChangeEvent())}},o.prototype.hideTooltip=function(){this._preventHideTooltip||o.superclass.hideTooltip.call(this),this._preventHideTooltip=!1},o.MOVE_TASKS_DATA_TYPE="text/_dvtdndmovetasks",o._HIGH_LEVEL_DND_NAVIGATION_SCALES=["milliseconds","seconds","minutes","hours","days","weeks","months","quarters","years"],o.prototype.isDndSupported=function(){return!0},o.prototype.isDnDDragging=function(){return this._isDndDragging},o.prototype._dragStartSetup=function(){this._dragInitialX=this._gantt.getTimeZoomCanvas().getTranslateX(),this._dragInitialY=this._gantt.getDatabody().getTranslateY(),this._dragInitialViewportStart=this._gantt.getViewportStartTime(),this._dragInitialViewportEnd=this._gantt.getViewportEndTime()},o.prototype._dragCancelCleanup=function(){if(this._dragInitialX){var t=this._gantt.getTimeZoomCanvas().getTranslateX()-this._dragInitialX,e=this._gantt.getDatabody().getTranslateY()-this._dragInitialY;0===t&&0===e||(this._gantt.panBy(t,e,!0),this._gantt.setViewportStartTime(this._dragInitialViewportStart),this._gantt.setViewportEndTime(this._dragInitialViewportEnd))}this._dragInitialX=null,this._dragInitialY=null,this._dragInitialViewportStart=null,this._dragInitialViewportEnd=null},o.prototype._dragEndCleanup=function(){null==this._dragInitialViewportStart||this._dragInitialViewportStart===this._gantt.getViewportStartTime()&&this._dragInitialViewportEnd===this._gantt.getViewportEndTime()||this._gantt.dispatchEvent(this._gantt.createViewportChangeEvent()),this._dragInitialX=null,this._dragInitialY=null,this._dragInitialViewportStart=null,this._dragInitialViewportEnd=null},o.prototype.isMoveInitiated=function(){return this._isMoveInitiated},o.prototype.handleMoveInitiation=function(e,i){var n=this._gantt.getOptions();if(n.dnd.move&&"enabled"===n.dnd.move.tasks){this._isMoveInitiated=!0,this._isDndDragging=!0,this._dragStartSetup(),this._gantt.registerAndConstructGlassPane();var a=this._gantt.installGlassPane();this._moveScaleRampIndex=o._HIGH_LEVEL_DND_NAVIGATION_SCALES.indexOf(this._gantt.getTimeAxis().getScale());var s=i.getTask().getShape("main");i.setDraggedObject(s),i.dragStartSetup();var r=i.localToStage({x:s.getFinalX(),y:s.getFinalY()});this._moveFeedbackLocalPos=this._gantt.getDnDArtifactsContainer().stageToLocal(r),i.showDragFeedback(e,this._moveFeedbackLocalPos,i.getRow(),{x:0,y:0},!0),a&&(this._preventHideTooltip=!0),this._moveSourceObj=i,this._moveTargetObj=i.getRow();var l=i.getProps(),h=l.start,g=l.end;h=h||g,g=g||h;var d=l.baseline?l.baseline.start:null,p=l.baseline?l.baseline.end:null;d=d||p,p=p||d,this._moveFeedbackTime={start:h,end:g,baselineStart:d,baselineEnd:p};var _=t.Bundle.getTranslation(n,"taskMoveInitiated");if(this._gantt.isSelectionSupported()&&this._moveSourceObj.isSelected()){var u=this._gantt.getSelectionHandler().getSelectedCount();u>1&&(_+=". "+t.Bundle.getTranslation(n,"taskMoveSelectionInfo","","",[u-1]))}_+=". "+t.Bundle.getTranslation(n,"taskMoveInitiatedInstruction")+".",this._gantt.updateLiveRegionText(_)}},o.prototype._handleMoveChronologically=function(e,n){if(this._isMoveInitiated){var a=t.Agent.isRightToLeft(this._gantt.getCtx()),s=this.getMoveNavigationScale(),r=this._gantt.getStartTime(),o=this._gantt.getEndTime(),l=this._gantt.getContentLength(),h=t.TimeAxis.getDatePosition(r,o,this._moveFeedbackTime.start,l);h=a?l-h:h;var g=this._gantt.getTimeAxis(),d="forward"===n?"next":"previous",p=g.getAdjacentDate(this._moveFeedbackTime.start,s,d).getTime(),_=g.getAdjacentDate(this._moveFeedbackTime.end,s,d).getTime();if("forward"===n&&p<=o||"backward"===n&&_>=r){this._moveFeedbackTime.start=p,this._moveFeedbackTime.end=_,this._moveFeedbackTime.baselineStart&&(this._moveFeedbackTime.baselineStart=g.getAdjacentDate(this._moveFeedbackTime.baselineStart,s,d).getTime(),this._moveFeedbackTime.baselineEnd=g.getAdjacentDate(this._moveFeedbackTime.baselineEnd,s,d).getTime());var u=t.TimeAxis.getDatePosition(r,o,this._moveFeedbackTime.start,l);u=a?l-u:u,this._moveFeedbackLocalPos.x+=u-h}this._moveSourceObj.showDragFeedback(e,this._moveFeedbackLocalPos,this._moveTargetObj,{x:0,y:0},!0),this._moveSourceObj.scrollIntoView("auto","auto"),this._gantt.updateLiveRegionText(t.StringUtils.processAriaLabel(i.getDatatip(this._moveSourceObj,!1)))}},o.prototype.handleMoveForward=function(t){this._handleMoveChronologically(t,"forward")},o.prototype.handleMoveBackward=function(t){this._handleMoveChronologically(t,"backward")},o.prototype._handleMoveScaleChange=function(e,n){this._isMoveInitiated&&(this._isMoveScaleChanged=!0,this._moveScaleRampIndex=Math.max(0,Math.min(this._moveScaleRampIndex+n,o._HIGH_LEVEL_DND_NAVIGATION_SCALES.length-1)),this._moveSourceObj.showDragFeedback(e,this._moveFeedbackLocalPos,this._moveTargetObj,{x:0,y:0},!0),this._gantt.updateLiveRegionText(t.StringUtils.processAriaLabel(i.getDatatip(this._moveSourceObj,!1))),this._isMoveScaleChanged=!1)},o.prototype.isMoveScaleChanged=function(){return this._isMoveScaleChanged},o.prototype.getMoveNavigationScale=function(){return o._HIGH_LEVEL_DND_NAVIGATION_SCALES[this._moveScaleRampIndex]},o.prototype.handleMoveScaleUp=function(t){this._handleMoveScaleChange(t,1)},o.prototype.handleMoveScaleDown=function(t){this._handleMoveScaleChange(t,-1)},o.prototype._handleMoveRowDirection=function(n,a){if(this._isMoveInitiated){var s=this._gantt.getRows(),r=s.indexOf(this._moveTargetObj);if("above"===a&&r>0)var o=s[r-1];else"below"===a&&r<s.length-1&&(o=this._moveTargetObj=s[r+1]);if(o){this._moveTargetObj=o;this._moveSourceObj.getTask().getShape("main");var l=this._moveTargetObj.localToStage({x:0,y:this._moveTargetObj.getTop()+e.getTaskPadding()});this._moveFeedbackLocalPos.y=this._gantt.getDnDArtifactsContainer().stageToLocal(l).y}this._moveSourceObj.showDragFeedback(n,this._moveFeedbackLocalPos,this._moveTargetObj,{x:0,y:0},!0),this._moveSourceObj.scrollIntoView("auto","below"===a?"bottom":"top"),this._gantt.updateLiveRegionText(t.StringUtils.processAriaLabel(i.getDatatip(this._moveSourceObj,!1)))}},o.prototype.handleMoveRowAbove=function(t){this._handleMoveRowDirection(t,"above")},o.prototype.handleMoveRowBelow=function(t){this._handleMoveRowDirection(t,"below")},o.prototype.handleMoveFinalize=function(e){this._dragEndCleanup();var i=this._getDragDataContexts(this._moveSourceObj),n=new Date(this._moveFeedbackTime.start).toISOString(),a=new Date(this._moveFeedbackTime.end).toISOString(),s=null==this._moveFeedbackTime.baselineStart?null:new Date(this._moveFeedbackTime.baselineStart).toISOString(),r=null==this._moveFeedbackTime.baselineEnd?null:new Date(this._moveFeedbackTime.baselineEnd).toISOString(),o=n,l=this._moveTargetObj.getDataContext(),h=t.EventFactory.newGanttMoveEvent(i,o,n,a,s,r,l);this._gantt.dispatchEvent(h),this._moveCleanup(),this._gantt.updateLiveRegionText(t.Bundle.getTranslation(this._gantt.getOptions(),"taskMoveFinalized"))},o.prototype.handleDnDCancel=function(){this._isMoveInitiated&&this._gantt.updateLiveRegionText(t.Bundle.getTranslation(this._gantt.getOptions(),"taskMoveCancelled")),this._dragCancelCleanup(),this._moveCleanup()},o.prototype._moveCleanup=function(){this._isMoveInitiated&&(this._isMoveInitiated=!1,this._isDndDragging=!1,this._moveSourceObj.dragEndCleanup(),this._moveSourceObj=null,this._moveTargetObj=null,this._moveFeedbackTime=null,this._moveScaleRampIndex=null,this._gantt.unregisterAndDestroyGlassPane())},o.prototype.getDnDTaskSubType=function(t){if(t instanceof m){var e=t.getType();if("main"===e||"progress"===e)return"tasks";if("baseline"===e)return null}return"tasks"},o.prototype.GetDragSourceType=function(e){if(this.isMoveInitiated())return this.IsDragSupported("tasks")?"tasks":null;var i=this.DragSource.getDragObject();if(i instanceof u){if(e&&"dragstart"===e.getNativeEvent().type){var n=e.getNativeEvent().clientX,a=e.getNativeEvent().clientY;if(null!=n&&null!=a)var s=t.SvgDocumentUtils.elementFromPoint(e.getNativeEvent().clientX,e.getNativeEvent().clientY);else s=i.getTask().getShape("main");i.setDraggedObject(s)}var r=this.getDnDTaskSubType(i.getDraggedObject());return this.IsDragSupported(r)?r:null}return null},o.prototype._getDragDataContexts=function(t){if(t instanceof u){var e=t.getDraggedObject();if(e instanceof m)if("baseline"===e.getType())return null;if(this._gantt.isSelectionSupported()&&t.isSelected()&&this._gantt.getSelectionHandler().getSelectedCount()>1){for(var i=this._gantt.getSelectionHandler().getSelection(),n=[t.getDataContext()],a=0;a<i.length;a++){var s=i[a];s instanceof u&&s!==t&&n.push(s.getDataContext())}return n}return[t.getDataContext()]}return null},o.prototype.GetDragDataContexts=function(){var t=this.DragSource.getDragObject();return this._getDragDataContexts(t)},o.prototype.GetDropOffset=function(e){var i=this.DragSource.getDragObject();if(i instanceof u&&"tasks"===this.getDnDTaskSubType(i.getDraggedObject())){var n=i.getProps().start,a=i.getProps().end,s=i.getTask().getTimeSpanDimensions(n,a),r=this._context.pageToStageCoords(e.pageX,e.pageY),o=this._gantt.getDnDArtifactsContainer().stageToLocal(r);return new t.Point(s.startPos-o.x,i.getFinalY()-o.y)}return new t.Point(0,0)},o.prototype._getDropObject=function(t){if(t){var e=this.GetCurrentTargetForEvent(t),i=this.GetLogicalObject(e),n=this._gantt.getOptions(),a=n.dnd.move&&"enabled"===n.dnd.move.tasks,s=n.dnd.tasks&&(n.dnd.tasks.dataTypes||n.dnd.tasks.dragStart);this._dropObj=i instanceof u&&a&&!s?i.getRow():i}return this._dropObj},o.prototype.GetDropTargetType=function(t){var e=this.GetCurrentTargetForEvent(t),i=this._getDropObject(t);if(i instanceof _)return"rows";if(i instanceof u&&("tasks"===this.getDnDTaskSubType(e)||"baseline"===e.getType()))return"tasks";return null},o.prototype.GetDropEventPayload=function(e){var i=e.getNativeEvent().dataTransfer,n=Number(i.getData(t.EventManager.DROP_OFFSET_X_DATA_TYPE))||0,a=t.Agent.isRightToLeft(this._gantt.getCtx()),s=this._getDropObject(e);if(s instanceof _||s instanceof u){var r=this._context.pageToStageCoords(e.pageX,e.pageY),o=this._gantt.getTimeZoomCanvas().stageToLocal(r),l=this._gantt.getStartTime(),h=this._gantt.getEndTime(),g=this._gantt.getContentLength(),d={value:new Date(t.TimeAxis.getPositionDate(l,h,a?g-o.x:o.x,g)).toISOString(),start:null,end:null,baselineStart:null,baselineEnd:null,dataContext:s.getDataContext()},p=this.DragSource.getDragObject();if(p instanceof u){var c=p.getProps(),f=c.start,m=c.end;f=f||m,m=m||f;var T=c.baseline?c.baseline.start:null,v=c.baseline?c.baseline.end:null;T=T||v,v=v||T;var S=p.getDraggedObject();"tasks"===this.getDnDTaskSubType(S)&&(d.start=t.TimeAxis.getPositionDate(l,h,a?g-(o.x+n):o.x+n,g),d.end=d.start+(m-f),null==T&&null==v||(d.baselineStart=new Date(T-f+d.start).toISOString(),d.baselineEnd=new Date(v-m+d.end).toISOString()),d.start=new Date(d.start).toISOString(),d.end=new Date(d.end).toISOString())}return d}return null},o.prototype.ShowDropEffect=function(e){var i=this._getDropObject(e);if(i&&i instanceof _){var n=i.getBackground().getElem();t.ToolkitUtils.addClassName(n,this._gantt.GetStyleClass("activeDrop"))}},o.prototype.ShowRejectedDropEffect=function(e){var i=this._getDropObject(e);if(i&&i instanceof _){var n=i.getBackground().getElem();t.ToolkitUtils.addClassName(n,this._gantt.GetStyleClass("invalidDrop"))}},o.prototype.ClearDropEffect=function(){var e=this._getDropObject();if(e&&e instanceof _){var i=e.getBackground().getElem();t.ToolkitUtils.removeClassName(i,this._gantt.GetStyleClass("invalidDrop")),t.ToolkitUtils.removeClassName(i,this._gantt.GetStyleClass("activeDrop"))}},o.prototype.OnDndDragStart=function(e){o.superclass.OnDndDragStart.call(this,e),this._isDndDragging&&e.preventDefault();var i=e.getNativeEvent();if(i.defaultPrevented)this._gantt.SetPanningEnabled(!0);else{this._isDndDragging=!0,this._dragStartSetup();var n=this.DragSource.getDragObject();if(n instanceof u){n.dragStartSetup(e);var a=i.dataTransfer;this._dropOffset=new t.Point(Number(a.getData(t.EventManager.DROP_OFFSET_X_DATA_TYPE))||0,Number(a.getData(t.EventManager.DROP_OFFSET_Y_DATA_TYPE))||0)}else this._dropOffset=new t.Point(0,0)}},o.prototype.OnDndDragOver=function(e){if(o.superclass.OnDndDragOver.call(this,e),!this._prevDragOverEvent||this._prevDragOverEvent.pageX!==e.pageX||this._prevDragOverEvent.pageY!==e.pageY){this._isDndDragging=!0;var n=this.DragSource.getDragObject();if(n instanceof u)if(e.getNativeEvent().defaultPrevented){var a=this._gantt.getCtx().pageToStageCoords(e.pageX,e.pageY),s=this._gantt.getDnDArtifactsContainer().stageToLocal(a);if(n.showDragFeedback(e,s,this._getDropObject(),this._dropOffset),t.Agent.isTouchDevice()){var r=t.StringUtils.processAriaLabel(i.getDatatip(n,!1));if(this._gantt.isSelectionSupported()&&n.isSelected()){var l=this._gantt.getSelectionHandler().getSelectedCount();l>1&&(r+=". "+t.Bundle.getTranslation(this._gantt.getOptions(),"taskMoveSelectionInfo","","",[l-1]))}this._prevScreenReaderDragText&&this._prevScreenReaderDragText===r||this._gantt.updateLiveRegionText(r),this._prevScreenReaderDragText=r}}else n.removeDragFeedbacks();this._prevDragOverEvent=e}},o.prototype.OnDndDragEnd=function(e){o.superclass.OnDndDragEnd.call(this,e);var i=this.DragSource.getDragObject();i instanceof u&&i.dragEndCleanup(),this._isDndDragging=!1,this._dropOffset=new t.Point(0,0),"none"===e.getNativeEvent().dataTransfer.dropEffect&&this.handleDnDCancel(),this._gantt.SetPanningEnabled(!0)},o.prototype.OnDndDrop=function(e){o.superclass.OnDndDrop.call(this,e),this._dragEndCleanup();var i=e.getNativeEvent(),n=this._gantt.getOptions();if(i.defaultPrevented&&n.dnd.move&&"enabled"===n.dnd.move.tasks){t.Agent.isTouchDevice()&&this._gantt.updateLiveRegionText(t.Bundle.getTranslation(this._gantt.getOptions(),"taskMoveFinalized"));var a=this.GetDropEventPayload(e),s=JSON.parse(i.dataTransfer.getData(o.MOVE_TASKS_DATA_TYPE)),r=a.value,l=a.start,h=a.end,g=a.baselineStart,d=a.baselineEnd,p=a.dataContext,_=t.EventFactory.newGanttMoveEvent(s,r,l,h,g,d,p);this._gantt.dispatchEvent(_)}},o.prototype.IsDragSupported=function(t){if(this.isDndSupported()){var e=this._gantt.getOptions(),i=e.dnd&&e.dnd.drag?e.dnd.drag:null;return i&&i[t]&&i[t].dataTypes}return!1},o.prototype.IsDropSupported=function(t){if(this.isDndSupported()){var e=this._gantt.getOptions(),i=e.dnd&&e.dnd.drop?e.dnd.drop:null;return i&&i[t]&&i[t].dataTypes}return!1},o.prototype.OnMouseDown=function(t){var e=this.GetCurrentTargetForEvent(t);if(this.GetLogicalObject(e)instanceof u){var i=this.getDnDTaskSubType(e);this.IsDragSupported(i)&&this._gantt.SetPanningEnabled(!1)}o.superclass.OnMouseDown.call(this,t)},o.prototype.HandleImmediateTouchStartInternal=function(t){if(1==t.targetTouches.length){var e=this.GetCurrentTargetForEvent(t);if(this.GetLogicalObject(e)instanceof u){var i=this.getDnDTaskSubType(e);this.IsDragSupported(i)&&this._gantt.SetPanningEnabled(!1)}}};var l=function(t,e){this.Init(t,e)};t.Obj.createSubclass(l,t.TimeComponentKeyboardHandler),l.prototype.Init=function(t,e){l.superclass.Init.call(this,e),this._gantt=t},l._findPreviousTask=function(t,e,i){var n=e.getTasks();return null==n||0==n.length?0==i?null:l._findPreviousTask(t,t[i-1],i-1):n[n.length-1]},l._findNextTask=function(t,e,i){var n=e.getTasks();return null==n||0==n.length?i==t.length-1?null:l._findNextTask(t,t[i+1],i+1):n[0]},l.getNextNavigable=function(e,i,n,a){if(i instanceof u){var s=i.getRow(),r=e.getRows(),o=s.getTasks();if(null==o||0==o.length)return;var h=t.Agent.isRightToLeft(e.getCtx()),g=r.indexOf(s);switch(n.keyCode){case h?t.KeyboardEvent.RIGHT_ARROW:t.KeyboardEvent.LEFT_ARROW:var d=o.indexOf(i);if(0!=d)return o[d-1];if(g>0)return l._findPreviousTask(r,r[g-1],g-1);break;case h?t.KeyboardEvent.LEFT_ARROW:t.KeyboardEvent.RIGHT_ARROW:if((d=o.indexOf(i))!=o.length-1)return o[d+1];if(g<r.length-1)return l._findNextTask(r,r[g+1],g+1);break;case t.KeyboardEvent.UP_ARROW:if(g>0&&null!=(i=l._findPreviousTask(r,r[g-1],g-1)))return i.getRow().getTasks()[0];break;case t.KeyboardEvent.DOWN_ARROW:if(g<r.length-1&&null!=(i=l._findNextTask(r,r[g+1],g+1)))return i.getRow().getTasks()[0]}return i}return null},l.prototype.isNavigationEvent=function(e){var i=!1;switch(e.keyCode){case t.KeyboardEvent.OPEN_ANGLED_BRACKET:case t.KeyboardEvent.CLOSE_ANGLED_BRACKET:i=!!e.altKey;break;default:i=l.superclass.isNavigationEvent.call(this,e)}return i},l.prototype._getDistance=function(t){var e=t.getType(),i=t.getPredecessorNode(),n=t.getSuccessorNode(),a=e==r.START_START||e==r.START_FINISH?i.getProps().start:i.getProps().end;if(e==r.START_START||e==r.FINISH_START)var s=n.getProps().start;else s=n.getProps().end;return Math.abs(s-a)},l.prototype._getDependencyComparator=function(){var t=this;return function(e,i){var n=t._getDistance(e),a=t._getDistance(i);return n<a?-1:n>a?1:0}},l.prototype.getFirstNavigableDependencyLine=function(e,i,n){var a=i.keyCode;if(!n||n.length<1||!e)return null;for(var s=t.Agent.isRightToLeft(this._gantt.getCtx()),r=null,o=0,l=0;l<n.length;l++){var h=n[l];if(a==t.KeyboardEvent.CLOSE_ANGLED_BRACKET)var g=s?h.getPredecessor():h.getSuccessor();else g=s?h.getSuccessor():h.getPredecessor();if(e.getId()!=g){var d=this._getDistance(h);(null==r||d<o)&&(o=d,r=h)}}return r},l.prototype.getNextNavigableDependencyLine=function(e,i,n,a){if(!a)return null;if(!i)return a[0];if(!e)return i;a.sort(this._getDependencyComparator());for(var s=n.keyCode==t.KeyboardEvent.DOWN_ARROW,r=0,o=0;o<a.length;o++){if(a[o]===i){r=s?o==a.length-1?0:o+1:0==o?a.length-1:o-1;break}}return a[r]},l.prototype.isMoveInitiationEvent=function(e){return e.keyCode==t.KeyboardEvent.M&&e.ctrlKey},l.prototype.isMoveScaleUpEvent=function(e){return this._eventManager.isMoveInitiated()&&e.keyCode==t.KeyboardEvent.PAGE_UP},l.prototype.isMoveScaleDownEvent=function(e){return this._eventManager.isMoveInitiated()&&e.keyCode==t.KeyboardEvent.PAGE_DOWN},l.prototype.isMoveForwardEvent=function(e){var i=t.Agent.isRightToLeft(this._gantt.getCtx());return this._eventManager.isMoveInitiated()&&e.keyCode==(i?t.KeyboardEvent.LEFT_ARROW:t.KeyboardEvent.RIGHT_ARROW)},l.prototype.isMoveBackwardEvent=function(e){var i=t.Agent.isRightToLeft(this._gantt.getCtx());return this._eventManager.isMoveInitiated()&&e.keyCode==(i?t.KeyboardEvent.RIGHT_ARROW:t.KeyboardEvent.LEFT_ARROW)},l.prototype.isMoveRowAboveEvent=function(e){return this._eventManager.isMoveInitiated()&&e.keyCode==t.KeyboardEvent.UP_ARROW},l.prototype.isMoveRowBelowEvent=function(e){return this._eventManager.isMoveInitiated()&&e.keyCode==t.KeyboardEvent.DOWN_ARROW},l.prototype.isMoveFinalizeEvent=function(e){return this._eventManager.isMoveInitiated()&&e.keyCode==t.KeyboardEvent.ENTER},l.prototype.isDnDCancelEvent=function(e){return this._eventManager.isDnDDragging()&&e.keyCode==t.KeyboardEvent.ESCAPE},l.prototype.processKeyDown=function(e){if(e.keyCode==t.KeyboardEvent.TAB){var i;if(i=this._eventManager.getFocus())return t.EventManager.consumeEvent(e),i;var n=this._gantt.getRows();if(null!=n&&n.length>0){var a=n[0].getTasks();if(null!=a&&a.length>0)return t.EventManager.consumeEvent(e),a[0]}}if(this.isMoveInitiationEvent(e)&&(i=this._eventManager.getFocus()))return this._eventManager.handleMoveInitiation(e,i),t.EventManager.consumeEvent(e),null;return this.isDnDCancelEvent(e)?(this._eventManager.handleDnDCancel(),t.EventManager.consumeEvent(e),null):this.isMoveScaleUpEvent(e)?(this._eventManager.handleMoveScaleUp(e),t.EventManager.consumeEvent(e),null):this.isMoveScaleDownEvent(e)?(this._eventManager.handleMoveScaleDown(e),t.EventManager.consumeEvent(e),null):this.isMoveForwardEvent(e)?(this._eventManager.handleMoveForward(e),t.EventManager.consumeEvent(e),null):this.isMoveBackwardEvent(e)?(this._eventManager.handleMoveBackward(e),t.EventManager.consumeEvent(e),null):this.isMoveRowAboveEvent(e)?(this._eventManager.handleMoveRowAbove(e),t.EventManager.consumeEvent(e),null):this.isMoveRowBelowEvent(e)?(this._eventManager.handleMoveRowBelow(e),t.EventManager.consumeEvent(e),null):this.isMoveFinalizeEvent(e)?(this._eventManager.handleMoveFinalize(e),t.EventManager.consumeEvent(e),null):l.superclass.processKeyDown.call(this,e)};var h=function(){};t.Obj.createSubclass(h,t.Obj),h.prototype.parse=function(t){var e=new Object,i=function(e){var i=typeof t[e];if("number"===i||"string"===i){var n=new Date(t[e]).getTime();if(!isNaN(n))return n}return null};return e.start=i("start"),e.end=i("end"),t.viewportStart&&(e.viewStart=i("viewportStart")),t.viewportEnd&&(e.viewEnd=i("viewportEnd")),e.rows=t.rows,e.dependencies=t.dependencies,e.axisPosition="top",null!=t.axisPosition&&(e.axisPosition=t.axisPosition),e.selectionMode="none",null!=t.selectionMode&&(e.selectionMode=t.selectionMode),e.horizontalGridline="hidden",e.verticalGridline="hidden",null!=t.gridlines&&(null!=t.gridlines.horizontal&&(e.horizontalGridline=t.gridlines.horizontal),null!=t.gridlines.vertical&&(e.verticalGridline=t.gridlines.vertical)),e.xScrollbar="off",e.yScrollbar="off",t.scrollbars&&(t.scrollbars.horizontal&&(e.xScrollbar=t.scrollbars.horizontal),t.scrollbars.vertical&&(e.yScrollbar=t.scrollbars.vertical)),e.isIRAnimationEnabled="auto"==t.animationOnDisplay,e.isDCAnimationEnabled="auto"==t.animationOnDataChange,null!=t.rowAxis&&(e.rowAxisRendered=t.rowAxis.rendered,e.rowAxisWidth=t.rowAxis.width,e.rowAxisMaxWidth=t.rowAxis.maxWidth),e.referenceObjects=t.referenceObjects,e.styleClass=t.className,e.inlineStyle=t.style,e};var g={};t.Obj.createSubclass(g,t.Obj),g.renderGantt=function(t){if(g._renderBackground(t),g._renderScrollableCanvas(t),t.getAnimationManager().preAnimateGanttIR(t),t.removeEmptyText(),t.hasValidOptions()){g._prepareTaskFillFilters(t),t.renderTimeZoomCanvas(t._canvas);var e=t.getTimeZoomCanvas();g._renderAxes(t,e),g._renderDatabodyBackground(t,e),g._renderVerticalGridline(t,e),t.isRowAxisEnabled()&&t.getRowAxis().adjustPosition(),g._renderRows(t,e),g._renderDependencies(t,e),g._renderReferenceObjects(t,e),g._renderZoomControls(t),t.isDndEnabled()&&g._renderDnDArtifactsContainer(t,e),t._processInitialSelections(),(t.isTimeDirScrollbarOn()||t.isContentDirScrollbarOn())&&g._renderScrollbars(t,t)}else g._renderEmptyText(t)},g._prepareTaskFillFilters=function(i){if(!document.getElementById(e.getTaskTintFilterId())){var n=e.getTaskTintAlpha(),a=t.SvgShapeUtils.createElement("filter",e.getTaskTintFilterId()),s=t.SvgShapeUtils.createElement("feColorMatrix");s.setAttribute("color-interpolation-filters","sRGB"),s.setAttribute("type","matrix"),s.setAttribute("values",1-n+" 0 0 0 "+n+" 0 "+(1-n)+" 0 0 "+n+" 0 0 "+(1-n)+" 0 "+n+" 0 0 0 1 0"),a.appendChild(s);var r=e.getTaskShadeAlpha(),o=t.SvgShapeUtils.createElement("filter",e.getTaskShadeFilterId()),l=t.SvgShapeUtils.createElement("feColorMatrix");l.setAttribute("color-interpolation-filters","sRGB"),l.setAttribute("type","matrix"),l.setAttribute("values",1-r+" 0 0 0 0 0 "+(1-r)+" 0 0 0 0 0 "+(1-r)+" 0 0 0 0 0 1 0"),o.appendChild(l),i.appendSharedDefs(a),i.appendSharedDefs(o)}},g._prerenderTimeDirScrollbar=function(e,i,n){var a=n.w,s=t.CSSStyle.toNumber(e.timeDirScrollbarStyles.getHeight());return e.setTimeDirScrollbar(new t.SimpleScrollbar(e.getCtx(),e.HandleEvent,e)),i.addChild(e.timeDirScrollbar),t.LayoutUtils.position(n,"bottom",e.timeDirScrollbar,a,s,0),new t.Dimension(a,s)},g._prerenderContentDirScrollbar=function(e,i,n){var a=t.CSSStyle.toNumber(e.contentDirScrollbarStyles.getWidth()),s=n.h;return e.setContentDirScrollbar(new t.SimpleScrollbar(e.getCtx(),e.HandleEvent,e)),i.addChild(e.contentDirScrollbar),t.LayoutUtils.position(n,t.Agent.isRightToLeft(e.getCtx())?"left":"right",e.contentDirScrollbar,a,s,0),new t.Dimension(a,s)},g._renderScrollbars=function(e,i){var n=e.getDatabody();if(null!=n){var a=e.getDatabodyStart(),s=e.getCtx(),r=e.getScrollbarPadding();if(null==e._scrollbarsCanvas?(e._scrollbarsCanvas=new t.Container(s,"sbCanvas"),i.addChild(e._scrollbarsCanvas)):e._scrollbarsCanvas.removeChildren(),e.isTimeDirScrollbarOn())var o=e.getCanvasLength(),l=e.Height-r,h=g._prerenderTimeDirScrollbar(e,e._scrollbarsCanvas,new t.Rectangle(0,0,o,l));if(e.isContentDirScrollbarOn()){o=e.Width-r,l=e.getCanvasSize()-e.getAxesHeight();var d=g._prerenderContentDirScrollbar(e,e._scrollbarsCanvas,new t.Rectangle(0,0,o,l))}if(e.timeDirScrollbar){var p={};p.color=e.timeDirScrollbarStyles.getStyle(t.CSSStyle.COLOR),p.backgroundColor=e.timeDirScrollbarStyles.getStyle(t.CSSStyle.BACKGROUND_COLOR),p.min=e._start,p.max=e._end,p.isHorizontal=!0,p.isReversed=t.Agent.isRightToLeft(e.getCtx()),e.timeDirScrollbar.setTranslateX(e.getStartXOffset()),e.timeDirScrollbar.render(p,h.w,h.h),e.timeDirScrollbar.setViewportRange(e._viewStartTime,e._viewEndTime)}if(e.contentDirScrollbar){(p={}).color=e.contentDirScrollbarStyles.getStyle(t.CSSStyle.COLOR),p.backgroundColor=e.contentDirScrollbarStyles.getStyle(t.CSSStyle.BACKGROUND_COLOR),p.min=-(Math.max(e.getContentHeight(),d.h)-a),p.max=a,p.isHorizontal=!1,p.isReversed=!0,e.contentDirScrollbar.setTranslateY(a+e.getStartYOffset()),e.contentDirScrollbar.render(p,d.w,d.h);var _=0;"bottom"==e.getAxisPosition()&&(_=e.getAxesHeight()),e.contentDirScrollbar.setViewportRange(n.getTranslateY()-(e.getCanvasSize()-a-_),n.getTranslateY())}}else null!=e._scrollbarsCanvas&&e._scrollbarsCanvas.removeChildren()},g.renderRowAxis=function(i,n){var a=t.Agent.isRightToLeft(i.getCtx()),s=i.getRowAxis();if(i.isRowAxisEnabled()){s||((s=new d(i)).setPixelHinting(!0),n.addChild(s),i.setRowAxis(s)),s.render(i.Width-e.getRowAxisGap(),null==n);var r=s.getWidth()+e.getRowAxisGap();i._backgroundWidth=i._backgroundWidth-r,a||(i._widthOffset=i._widthOffset+r,i.setStartXOffset(i.getStartXOffset()+r)),i._canvasLength=i._canvasLength-r}else n&&n.removeChild(s)},g._renderBackground=function(e){var i=e._backgroundWidth,n=e._backgroundHeight;e._background?(e._background.setClipPath(null),e._background.setWidth(i),e._background.setHeight(n),e._background.setX(e._widthOffset)):e._background=new t.Rect(e.getCtx(),e._widthOffset,0,i,n,"bg"),e._background.SetSvgProperty("style","stroke-width:"+2*e._borderWidth+"px"),e._background.setClassName(e.GetStyleClass("databody")),e._background.setPixelHinting(!0);var a=new t.ClipPath;a.addRect(e._widthOffset,0,i,n),e._background.setClipPath(a),e._background.getParent()!=e&&e.addChild(e._background)},g._renderDatabodyBackground=function(e,i){var n=e.getDatabodyBackground();null==n&&(n=new t.Container(e.getCtx()),i.addChild(n),e.setDatabodyBackground(n),n.setTranslateY(e.getDatabodyStart()));var a=new t.ClipPath;a.addRect(0,e.getDatabodyStart(),e.getContentLength(),e.getDatabodyHeight()),n.setClipPath(a),n.setTranslateY(e.getBoundedContentTranslateY(n.getTranslateY()))},g._renderDnDArtifactsContainer=function(e,i){var n=e.getDnDArtifactsContainer();null==n&&(n=new t.Container(e.getCtx()),e.setDnDArtifactsContainer(n),n.setTranslateY(e.getDatabodyStart())),i.addChild(n);var a=new t.ClipPath;a.addRect(0,e.getDatabodyStart(),e.getContentLength(),e.getDatabodyHeight()),n.setClipPath(a),n.setTranslateY(e.getBoundedContentTranslateY(n.getTranslateY()))},g._renderScrollableCanvas=function(e){e._canvas||(e._canvas=new t.Container(e.getCtx(),"canvas"),e.addChild(e._canvas))},g._renderAxes=function(t,e){var i=t.getMajorAxis(),n=t.getMinorAxis();if("top"==t.getAxisPosition()){var a=0;i&&(g._renderAxis(t,e,i,a,t.getAxisHeight()),a+=i.getSize()),n&&(g._renderAxis(t,e,n,a,t.getAxisHeight()),a+=n.getSize()),t.setDatabodyStart(a)}else a=t._canvasSize,i&&(g._renderAxis(t,e,i,null,t.getAxisHeight()),a-=i.getSize(),g._positionAxis(i,a)),n&&(g._renderAxis(t,e,n,a,t.getAxisHeight()),a-=n.getSize(),g._positionAxis(n,a)),t.setDatabodyStart(0)},g._renderAxis=function(t,e,i,n,a){i.getParent()!==e&&e.addChild(i),i.render(null,t.getContentLength(),a),null!=n&&g._positionAxis(i,n)},g._positionAxis=function(e,i){var n=new t.Matrix(1,0,0,1,0,i);e.setMatrix(n)},g._renderZoomControls=function(i){var n=i.getCtx(),a=i._resources,s=t.Agent.isRightToLeft(n),r={zoomInProps:{imageSize:16,cssUrl:a.zoomIn,cssUrlHover:a.zoomIn_h,cssUrlActive:a.zoomIn_a,cssUrlDisabled:a.zoomIn_d,enabledBackgroundColor:e.getZoomInButtonBackgroundColor(a),enabledBorderColor:e.getZoomInButtonBorderColor(a),hoverBackgroundColor:e.getZoomInButtonHoverBackgroundColor(a),hoverBorderColor:e.getZoomInButtonHoverBorderColor(a),activeBackgroundColor:e.getZoomInButtonActiveBackgroundColor(a),activeBorderColor:e.getZoomInButtonActiveBorderColor(a),disabledBackgroundColor:e.getZoomInButtonDisabledBackgroundColor(a),disabledBorderColor:e.getZoomInButtonDisabledBorderColor(a)},zoomOutProps:{imageSize:16,cssUrl:a.zoomOut,cssUrlHover:a.zoomOut_h,cssUrlActive:a.zoomOut_a,cssUrlDisabled:a.zoomOut_d,enabledBackgroundColor:e.getZoomOutButtonBackgroundColor(a),enabledBorderColor:e.getZoomOutButtonBorderColor(a),hoverBackgroundColor:e.getZoomOutButtonHoverBackgroundColor(a),hoverBorderColor:e.getZoomOutButtonHoverBorderColor(a),activeBackgroundColor:e.getZoomOutButtonActiveBackgroundColor(a),activeBorderColor:e.getZoomOutButtonActiveBorderColor(a),disabledBackgroundColor:e.getZoomOutButtonDisabledBackgroundColor(a),disabledBorderColor:e.getZoomOutButtonDisabledBorderColor(a)}};if(s)var o=i.getStartXOffset()+e._DEFAULT_ZOOM_CONTROL_PADDING;else o=i.getCanvasLength()+i.getStartXOffset()-(e._DEFAULT_ZOOM_CONTROL_PADDING+e._DEFAULT_ZOOM_CONTROL_DIAMETER);r.zoomInProps.posX=o,r.zoomOutProps.posX=o;var l=i._startY+e._DEFAULT_ZOOM_CONTROL_PADDING;if("top"==i.getAxisPosition())var h=l;else h=i._backgroundHeight-l;if("top"==i.getAxisPosition())var g=h,d=h+e._DEFAULT_ZOOM_CONTROL_DIAMETER+e._DEFAULT_ZOOM_CONTROL_SPACING;else g=h-2*e._DEFAULT_ZOOM_CONTROL_DIAMETER-e._DEFAULT_ZOOM_CONTROL_SPACING,d=h-e._DEFAULT_ZOOM_CONTROL_DIAMETER;r.zoomInProps.posY=g,r.zoomOutProps.posY=d,i.renderZoomControls(r)},g._renderEmptyText=function(e,i){if(i){var n=e.getDatabody();n&&n.getParent()&&(n.getParent().removeChild(n),e.setDatabody(null)),e.setRows(null);var a=t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"NO_DATA",null);e.removeEmptyText()}else a=t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"INVALID_DATA",null),e.clearComponent();var s=t.TextUtils.renderEmptyText(e._canvas,a,new t.Rectangle(0,0,e._backgroundWidth,e._backgroundHeight),e.EventManager,null);s.setClassName(e.GetStyleClass("nodata")),e.setEmptyText(s)},g._renderDatabody=function(e,i){var n=e.getDatabody();null==n&&(n=new t.Container(e.getCtx(),"db"),i.addChild(n),e.setDatabody(n),n.setTranslateY(e.getDatabodyStart()),e.isRowAxisEnabled()&&e.getRowAxis().setTranslateY(e.getDatabodyStart()+e.getStartYOffset()));var a=new t.ClipPath;a.addRect(0,e.getDatabodyStart(),e.getContentLength(),e.getDatabodyHeight()),n.setClipPath(a),n.setTranslateY(e.getBoundedContentTranslateY(n.getTranslateY()))},g._renderVerticalGridline=function(e,i){var n=e.getVerticalGridlines();if(null!=n&&n.removeChildren(),e.isVerticalGridlinesVisible()){null==n&&(n=new t.Container(e.getCtx()),i.addChild(n),e.setVerticalGridlines(n));var a=e.GetStyleClass("vgridline"),s=e.getMajorAxis();(null==s||e.getOptions().minorGridline)&&(s=e.getMinorAxis());for(var r=s.getElem().getElementsByTagName("line"),o=0;o<r.length;o++){var l=t.ToolkitUtils.getAttrNullNS(r[o],"x1"),h=new t.Line(e.getCtx(),l,e.getDatabodyStart(),l,e.getDatabodyStart()+e._canvasSize-e.getAxesHeight());h.setPixelHinting(!0),h.setClassName(a,!0),n.addChild(h)}}},g._renderReferenceObjects=function(e,i){var n=e.getCtx(),a=t.Agent.isRightToLeft(n),s=e.getStartTime(),r=e.getEndTime(),o=e.getContentLength(),l=e.getReferenceObjects(),h=e.getReferenceObjectsContainer(),g=e.getRenderedReferenceObjects();if(l){var d=[],p=Math.min(1,l.length);null==h&&(h=new t.Container(n),e.setReferenceObjectsContainer(h),g=[]),i.addChild(h);for(var _=0;_<p;_++){var u=l[_];if(u){var c=u.value,f=new Date(c).getTime();if(null!=c&&!isNaN(f)&&("number"==typeof c||"string"==typeof c)){var m=t.TimeAxis.getDatePosition(s,r,f,o);a&&(m=o-m);var T=g.pop();null!=T?(T.setX1(m),T.setY1(e.getDatabodyStart()),T.setX2(m),T.setY2(e.getDatabodyStart()+e._canvasSize-e.getAxesHeight())):(T=new t.Line(e.getCtx(),m,e.getDatabodyStart(),m,e.getDatabodyStart()+e._canvasSize-e.getAxesHeight())).setPixelHinting(!0),T.getParent()!=h&&h.addChild(T),d.push(T);var v=u.svgStyle;v&&("string"==typeof v||v instanceof String?t.ToolkitUtils.setAttrNullNS(T.getElem(),"style",v):T.setStyle(v));var S=e.GetStyleClass("referenceObject"),y=u.svgClassName;y=y?S+" "+y:S,T.setClassName(y,!0)}}}for(var b=0;b<g.length;b++){var D=g[b];D.getParent().removeChild(D)}e.setRenderedReferenceObjects(d)}else h&&h.removeChildren(),e.setRenderedReferenceObjects([])},g._renderRows=function(t,i){var n=t.getOptions(),a=n.rows,s=null!=a&&g._prerenderRows(a);if(t.isRowAxisEnabled())var r=t.getRowAxis().getRowLabelContents();if(s&&0!=a.length){g._renderDatabody(t,i);var o=0,l=t.getDatabody(),h=0;if(t.isHorizontalGridlinesVisible()&&(h=e.getHorizontalGridlineWidth(n)),t.getCache().putToCache("baseTaskLabelCSSStyle",e.getTaskLabelStyle(n)),t.getRows()){for(d=g._generateRowNodes(t,i),p=0;p<d.length;p++){if((u=d[p]).setTop(o),r){c=r[p];u.setRowLabelContent(c)}t.isDCAnimationEnabled?u.render(l,p):u.render(l),o=o+u.getRowHeight()+h}o-=h}else{for(var d=[],p=0;p<a.length;p++){var u=new _(t,a[p],p,o);if(r){var c=r[p];u.setRowLabelContent(c)}u.render(l),d.push(u),o=o+u.getRowHeight()+h}o-=h}t.setRows(d),t.setContentHeight(o);var f=t.getDnDArtifactsContainer(),m=t.getDatabodyBackground(),T=t.getRowAxis();l.setTranslateY(t.getBoundedContentTranslateY(l.getTranslateY())),m.setTranslateY(t.getBoundedContentTranslateY(m.getTranslateY())),t.isDndEnabled()&&f&&f.setTranslateY(t.getBoundedContentTranslateY(f.getTranslateY())),t.isRowAxisEnabled()&&T&&T.setTranslateY(t.getBoundedContentTranslateY(T.getTranslateY()))}else g._renderEmptyText(t,!0)},g._prerenderRows=function(t){for(var e=0;e<t.length;e++){var i=t[e];if(null==i.id){var n=i.tasks;if(1!=n.length)return!1;i.id=n[0].id}}return!0},g._generateRowNodes=function(t){for(var e=t.getRows(),i=t.getRowsData(),n=[],a={},s={},r=0;r<e.length;r++){(D=e[r]).setRenderState("delete"),a[D.getId()]=D;for(var o=D.getTasks(),l=0;l<o.length;l++){(C=o[l]).setRenderState("delete"),C.isSelected()&&C.setSelected(!1),s[C.getProps().id]=[D.getId(),C]}}var h=t.getOptions().taskDefaults,g={};for(r=0;r<i.length;r++){var d=i[r],p=d.id,c=d.tasks,f=a[p];if(f){f.setRenderState("exist");for(l=0;l<c.length;l++){var m=(y=c[l]).id;if(f.isTaskVisible(y)){var T=f.mergeTaskDefaults(y,h);if(b=s[m]){var v=b[0],S=b[1];v===p?S.setRenderState("exist"):(S.setRenderState("migrate"),a[v].removeTask(S),f.addTask(S)),S.setProps(T),S.setRow(f)}else{(A=g[p])?A.push(T):g[p]=[T]}}}}else{(f=new _(t,d,r)).setRenderState("add");for(l=0;l<c.length;l++){var y;m=(y=c[l]).id;if(f.isTaskVisible(y)){var b;T=f.mergeTaskDefaults(y,h);if(b=s[m]){v=b[0];(S=b[1])&&(S.setRenderState("migrate"),a[v].removeTask(S))}else(S=new u(t,f,T)).setRenderState("add");f.addTask(S),S.setProps(T),S.setRow(f)}}}f.setIndex(r),f.setProps(d),n.push(f)}for(r=e.length-1;r>=0;r--){var D;if("delete"===(D=e[r]).getRenderState())D.remove();else{var A=g[D.getId()];for(l=(o=D.getTasks()).length-1;l>=0;l--){var C;if("delete"===(C=o[l]).getRenderState()){if(A&&A.length>0){var E=A.pop();C.setRenderState("refurbish"),C.setProps(E)}else D.removeTask(C);C.remove()}}if(A&&A.length>0)for(var O=0;O<A.length;O++)E=A[O],(S=new u(t,D,E)).setRenderState("add"),D.addTask(S)}}return n},g._renderDependencies=function(e,i){var n=e.getDependencyLines();null!=n&&null!=i&&n.removeChildren();var a=e.getOptions().dependencies;if(null!=a&&0!=a.length){null==n&&((n=new t.Container(e.getCtx())).setTranslateY(e.getDatabodyStart()),e.setDependencyLines(n),e.setDefaultMarkerId(g._createDefaultMarker(e))),i&&i.addChild(n);var s=new t.ClipPath;s.addRect(0,e.getDatabodyStart(),e.getContentLength(),e.getDatabodyHeight()),n.setClipPath(s),n.setTranslateY(e.getBoundedContentTranslateY(n.getTranslateY()));var o=n.getNumChildren();if(o>0)for(var l=0;l<o;l++){var h=n.getChildAt(l);h.render(n)}else for(l=0;l<a.length;l++)(h=new r(e,a[l])).render(n)}},g._createDefaultMarker=function(i){var n=i.getCtx(),a=t.SvgShapeUtils.getUniqueId("mrk"),s=t.SvgShapeUtils.createElement("marker",a);t.ToolkitUtils.setAttrNullNS(s,"class",i.GetStyleClass("dependencyLineConnector")),t.ToolkitUtils.setAttrNullNS(s,"markerUnits","userSpaceOnUse");var r=t.SvgShapeUtils.createElement("path"),o=e.getDependencyLineMarkerWidth(),l=e.getDependencyLineMarkerHeight();return t.ToolkitUtils.setAttrNullNS(s,"viewBox","0 0 "+o+" "+l),t.ToolkitUtils.setAttrNullNS(s,"refX",o),t.ToolkitUtils.setAttrNullNS(s,"refY",l/2),t.ToolkitUtils.setAttrNullNS(s,"markerWidth",o),t.ToolkitUtils.setAttrNullNS(s,"markerHeight",l),t.ToolkitUtils.setAttrNullNS(s,"orient","auto"),t.ToolkitUtils.setAttrNullNS(r,"d","M0,0L"+o+","+l/2+",0,"+l+"V0Z"),s.appendChild(r),n.appendDefs(s),a};var d=function(t){this.Init(t)};t.Obj.createSubclass(d,t.Container),d.prototype.Init=function(t){d.superclass.Init.call(this,t.getCtx()),this._gantt=t},d.prototype._getLabelContentType=function(){var t=this._gantt.getOptions().rowAxis;return t.label&&t.label.renderer?"custom":"text"},d.prototype._getAvailableWidth=function(t){var i,n,a=this._gantt.getRowAxisMaxWidth(),s=this._gantt.getRowAxisWidth();return null!=a&&"none"!==a&&(i=Math.min(e.getSizeInPixels(a,t),t)),i=null==i||isNaN(i)?t:i,null!=s&&"max-content"!==s&&(n=e.getSizeInPixels(this._gantt.getRowAxisWidth(),t)),{maxWidth:i,width:n=null==n||isNaN(n)?-1:n,calculatedWidth:-1!==n?Math.min(n,i):i}},d.prototype.getWidth=function(){return this._width},d.prototype.render=function(t,i){i||(this.removeChildren(),this._rowLabelContents=[]);var n=this._gantt.getRowsData(),a=this._getAvailableWidth(t),s=this._getLabelContentType(),r=this._gantt.getOptions(),o=e.getRowLabelStyle(r);this._width=-1!==a.width?a.calculatedWidth:0;for(var l=0;l<n.length;l++){var h=n[l],g=i?this._rowLabelContents[l]:new p(this,s);g.setRowIndex(l),g.render(h,o,a),-1==a.width&&(this._width=Math.min(Math.max(this._width,g.getWidth()),a.maxWidth)),this._rowLabelContents.push(g)}this._width=Math.ceil(this._width)},d.prototype.getRowLabelContents=function(){return this._rowLabelContents},d.prototype.adjustPosition=function(){var i=t.Agent.isRightToLeft(this._gantt.getCtx()),n=this._width,a=this._gantt.getCanvasSize()-this._gantt.getAxesHeight();i?this.setTranslateX(this._gantt.getStartXOffset()+this._gantt.getCanvasLength()+this._gantt._borderWidth+e.getRowAxisGap()):this.setTranslateX(0);var s=new t.ClipPath;s.addRect(this.getTranslateX(),this._gantt.getDatabodyStart()+this._gantt.getStartYOffset(),n,a),this.setClipPath(s)};var p=function(t,e){this.Init(t,e)};t.Obj.createSubclass(p,t.Obj),p.prototype.Init=function(t,e){this._rowAxis=t,this._gantt=t._gantt,this._contentType=e},p.prototype.render=function(i,n,a){this._labelString=null!=i.label?i.label:"";var s=this._getAvailableHeight(i),r=t.Agent.isRightToLeft(this._gantt.getCtx());if("custom"===this._contentType){if(!this._contentDisplayable){this._contentDisplayable=new t.Container(this._gantt.getCtx()),this._contentDisplayable.setClassName(this._gantt.GetStyleClass("rowLabel"));var o=i.labelStyle;null!=o&&this._contentDisplayable.setStyle(o),this._rowAxis.addChild(this._contentDisplayable),this._customContent=null,this._gantt.getEventManager().associate(this._contentDisplayable,this)}var l=this._gantt.getOptions().rowAxis.label.renderer,h=this._gantt.getRowAxisMaxWidth(),g=-1===a.width&&null!=h&&"none"===h?-1:a.calculatedWidth,d=l(this.getRendererContext(i,g,s));d=null!=d?d.insert:null,this._customContent&&d!=this._customContent&&(this._contentDisplayable.getContainerElem().removeChild(this._customContent),this._customContent=null),d&&!this._customContent&&(t.ToolkitUtils.appendChildElem(this._contentDisplayable.getContainerElem(),d),this._customContent=d)}else{if(!this._contentDisplayable){if(this._contentDisplayable=new t.OutputText(this._gantt.getCtx(),this._labelString,0,0),this._contentDisplayable.setClassName(this._gantt.GetStyleClass("rowLabel")),null!=(o=i.labelStyle)){var p=e.getRowLabelStyle(this._gantt.getOptions());p.parseInlineStyle(o),"string"==typeof o||o instanceof String?t.ToolkitUtils.setAttrNullNS(this._contentDisplayable.getElem(),"style",o):this._contentDisplayable.setStyle(o),this._contentDisplayable.setCSSStyle(p)}else this._contentDisplayable.setCSSStyle(n);this._gantt.getEventManager().associate(this._contentDisplayable,this)}this._contentDisplayable.isTruncated()&&this._contentDisplayable.setTextString(this._contentDisplayable.getUntruncatedTextString()),t.TextUtils.fitText(this._contentDisplayable,a.calculatedWidth,s,this._rowAxis,1)}var _=this._contentDisplayable.getDimensions();"custom"===this._contentType?(this._width=r?-Math.min(0,_.x):_.x+_.w,this._width=Math.max(0,this._width),this._height=_.y+_.h):(this._width=_.w,this._height=_.h)},p.prototype._getAvailableHeight=function(t){var i=0,n=t.tasks;if(n)for(var a=0;a<n.length;a++){var s=n[a],r=s.start,o=s.end;if((null!=r||null!=o)&&(null==r&&(o=r),null==o&&(o=r),(r=new Date(r).getTime())<=(o=new Date(o).getTime())&&r>=this._gantt.getStartTime()&&o<=this._gantt.getEndTime())){var l=s.baseline,h=!1,g=!(null==l||null==l.start&&null==l.end),d=null==s.height?g?e.getActualTaskHeight():e.getStandaloneTaskHeight():s.height;if(g)if(h="milestone"===s.type||null==l.start||null==l.end||l.start==l.end)var p=null==l.height?e.getActualTaskHeight():l.height;else p=null==l.height?e.getBaselineTaskHeight():l.height;else p=0;var _=h?e.getMilestoneBaselineYOffset()+Math.max(p,d):d+p;i=Math.max(i,_)}}return 0==i&&(i=e.getStandaloneTaskHeight()),i+2*e.getTaskPadding()},p.prototype.getRendererContext=function(t,e,i){var n={component:this._gantt.getOptions()._widgetConstructor,parentElement:this._contentDisplayable.getContainerElem(),rowData:t,maxWidth:e,maxHeight:i};return this._gantt.getCtx().fixRendererContext(n)},p.prototype.getRow=function(){return this._rowNode},p.prototype.setRow=function(t){this._rowNode=t},p.prototype.getRowIndex=function(){return this._rowIndex},p.prototype.setRowIndex=function(t){this._rowIndex=t},p.prototype.getDisplayable=function(){return this._contentDisplayable},p.prototype.getLabelString=function(){return this._labelString},p.prototype.getContentType=function(){return this._contentType},p.prototype.getX=function(){return"text"===this._contentType?this._contentDisplayable.getX():this._contentDisplayable.getTranslateX()},p.prototype.setX=function(t){"text"===this._contentType?this._contentDisplayable.setX(t):this._contentDisplayable.setTranslateX(t)},p.prototype.getY=function(){return"text"===this._contentType?this._contentDisplayable.getY():this._contentDisplayable.getTranslateY()},p.prototype.setY=function(t){"text"===this._contentType?this._contentDisplayable.setY(t):this._contentDisplayable.setTranslateY(t)},p.prototype.getWidth=function(){return this._width},p.prototype.getHeight=function(){return this._height};var _=function(t,e,i,n){this.Init(t,e,i,n)};t.Obj.createSubclass(_,t.Container),_.prototype.Init=function(t,e,i,n){_.superclass.Init.call(this,t.getCtx(),null),this._gantt=t,this._props=e,this._index=i,this._top=n,this._rowHeight=0,this._renderState="add",this._gantt.getEventManager().associate(this,this)},_.prototype.getGantt=function(){return this._gantt},_.prototype.getProps=function(){return this._props},_.prototype.setProps=function(t){this._props=t},_.prototype.getIndex=function(){return this._index},_.prototype.setIndex=function(t){this._index=t},_.prototype.getTop=function(){return this._top},_.prototype.setTop=function(t){this._top=t},_.prototype.getId=function(){return this._props.id},_.prototype.getRenderState=function(){return this._renderState},_.prototype.setRenderState=function(t){this._renderState=t},_.prototype.getLabel=function(){return this._props.label},_.prototype.setRowLabelContent=function(t){this._rowLabelContent=t},_.prototype.getRowLabelContent=function(){return this._rowLabelContent},_.prototype.isTaskVisible=function(t){var e=this._isElementVisible(t),i=this._isElementVisible(t.baseline);return e||i},_.prototype._isElementVisible=function(t){if(t){var e=typeof t.start,i=typeof t.end;if(!(null!=t.start&&"string"!==e&&"number"!==e||null!=t.end&&"string"!==i&&"number"!==i)&&(t.start=this._getDate(t.start),t.end=this._getDate(t.end),null!=t.start||null!=t.end)){var n=this._gantt.getStartTime(),a=this._gantt.getEndTime(),s=t.end?t.end:t.start,r=t.start;return!(s<n||r>a||a<n)}}return!1},_.prototype.mergeTaskDefaults=function(i,n){var a=i.baseline,s=i.progress;if(null==a&&(i.baseline=void 0),null==s&&(i.progress=void 0),a&&(null!=a.start||null!=a.end)){null==i.height&&n.height===e.getStandaloneTaskHeight()&&(i.height=e.getActualTaskHeight());var r=i.type?i.type:n.type;("milestone"===r||"auto"===r&&(a.start==a.end||null==a.start||null==a.end))&&null==a.height&&n.baseline.height===e.getBaselineTaskHeight()&&(a.height=e.getActualTaskHeight())}return t.JsonUtils.merge(i,n)},_.prototype.getTasks=function(){var t=this._props.tasks;if(null==t&&(this._tasks=[]),t&&null==this._tasks){this._tasks=[];for(var e=0;e<t.length;e++){var i=t[e];this.isTaskVisible(i)&&(i=this.mergeTaskDefaults(i,this._gantt.getOptions().taskDefaults),this._tasks.push(new u(this._gantt,this,i)))}this.sortTasks()}return this._tasks},_.prototype.addTask=function(t){null==this._tasks?this._tasks=[t]:this._tasks.push(t)},_.prototype.removeTask=function(t){if(null!=this._tasks){var e=this._tasks.indexOf(t);e>-1&&this._tasks.splice(e,1)}},_.prototype.sortTasks=function(){null!=this._tasks&&this._tasks.sort(function(t,e){var i=t.getProps(),n=e.getProps();return(i.start?i.start:i.end)-(n.start?n.start:n.end)})},_.prototype.assignRowLevel=function(t){var i,n,a,s,r,o,l,h,g,d=[],p=[],_=[];if(0==t.length)return[e.getStandaloneTaskHeight()+2*e.getTaskPadding()];for(a=0;a<t.length;a++){if(n=(i=t[a]).getFinalHeight()+2*e.getTaskPadding(),r=0,l=null,0===p.length)p.push(i),_.push(n);else{for(o=!0,s=0;s<p.length;s++){if(!i.overlaps(p[s])){l=p[s],p[s]=i,n>_[s]&&(_[s]=n),o=!1;break}r+=1}o&&(p.push(i),_.push(n))}i.setRowLevel(r),h=i.getPreviousAdjacentTaskNode(),g=i.getNextAdjacentTaskNode(),h&&h.setNextAdjacentTaskNode(null),g&&g.setPreviousAdjacentTaskNode(null),i.setPreviousAdjacentTaskNode(null),i.setNextAdjacentTaskNode(null),l&&(i.setPreviousAdjacentTaskNode(l),l.setNextAdjacentTaskNode(i))}for(i.setPrevAdjMilestoneBaselineTaskNode(null),i.setNextAdjMilestoneBaselineTaskNode(null),s=0;s<p.length;s++)d.push([]);for(a=0;a<t.length;a++)(i=t[a]).getTask().isMilestone("baseline")&&d[i.getRowLevel()].push(i);for(s=0;s<p.length;s++)d[s].sort(function(t,e){var i=t.getProps().baseline,n=e.getProps().baseline,a=i.start?i.start:i.end;return(n.start?n.start:n.end)-a});for(a=0;a<t.length;a++){var u=d[(i=t[a]).getRowLevel()],c=u.length;if(c>0){var f=u[c-1],m=f.getProps().baseline,T=m.start?m.start:m.end,v=i.getProps(),S=v.start?v.start:v.end,y=v.end?v.end:v.start;T<S?(i.setPrevAdjMilestoneBaselineTaskNode(f),u.pop()):T>y&&null==i.getNextAdjMilestoneBaselineTaskNode()?i.setNextAdjMilestoneBaselineTaskNode(f):T!=S&&T!=y||u.pop()}}return _.reduce(function(t,e,i){return t.push((t[i-1]||0)+e),t},[])},_.prototype.render=function(t,i){this.sortTasks();for(var n=this.getTasks(),a=this.assignRowLevel(n),s=0;s<n.length;s++){var r=n[s],o=r.getProps(),l=(_=r.getTask()).getTimeSpanDimensions(o.start,o.end);l||(l=_.getTimeSpanDimensions(o.baseline.start,o.baseline.end));var h=l.startPos,g=0;r.getRowLevel()>0&&(g=a[r.getRowLevel()-1]),r.setFinalY(g+this.getTop()+e.getTaskPadding()),r.setFinalX(h),r.render(this)}for(var d=0;d<n.length;d++){var p=(r=n[d]).getTaskLabel(),_=r.getTask();p.setAssociatedShape(_.getShape("main")),p.render()}this.setRowHeight(a[a.length-1]),this._gantt.isRowAxisEnabled()&&this._finalizeRowLabelRender(this._gantt),this.getParent()!=t&&(null!=i?t.addChildAt(this,i):t.addChild(this)),this._renderBackground(this._gantt,this._gantt.getDatabodyBackground(),this),this._renderHorizontalGridline(this._gantt,this,this)},_.prototype._finalizeRowLabelRender=function(e){var i=t.Agent.isRightToLeft(e.getCtx()),n=this.getRowLabelContent(),a=e.getRowAxis();if("custom"===n.getContentType())var s=i?a.getWidth():0;else i?s=0:(n.getDisplayable().alignRight(),s=a.getWidth());var r=(this.getTop()+(this.getTop()+this.getRowHeight())-n.getHeight())/2;n.setRow(this);var o={x:s,y:r},l=this.getLabelState();l&&(n.setY(l.y),n.setX(l.x)),this.recordLabelState(o),this._gantt.getAnimationManager().preAnimateRowLabel(this,n,o)},_.prototype._renderBackground=function(e,i,n){var a,s=n.getTop(),r=e.getContentLength(),o=n.getRowHeight(),l="exist";this._background||(this._background=new t.Rect(e.getCtx(),0,s,r,o),this._background.setPixelHinting(!0),this._background.setClassName(e.GetStyleClass("row")),i.addChild(this._background),l="add",this._gantt.getEventManager().associate(this._background,this)),a={y:s,w:r,h:o},this._gantt.getAnimationManager().preAnimateRowBackground(this._background,a,l)},_.prototype.getBackground=function(){return this._background},_.prototype._renderHorizontalGridline=function(i,n,a){var s,r,o,l,h="exist",g=i.GetStyleClass("hgridline"),d=e.getHorizontalGridlineWidth(i.getOptions())%2*.5;i.isHorizontalGridlinesVisible()?(o=r=a.getTop()+a.getRowHeight()+d,0,s=i.getContentLength(),this._horizontalLine||(this._horizontalLine=new t.Line(i.getCtx(),0,r,s,o),this._horizontalLine.setPixelHinting(!0),this._horizontalLine.setClassName(g,!0),n.addChild(this._horizontalLine),h="add"),l={x1:0,x2:s,y1:r,y2:o},this._gantt.getAnimationManager().preAnimateHorizontalGridline(this._horizontalLine,l,h)):(this._horizontalLine&&n.removeChild(this._horizontalLine),this._horizontalLine=null)},_.prototype.recordLabelState=function(t){this._rowLabelState=t},_.prototype.getLabelState=function(){return this._rowLabelState},_.prototype.remove=function(){var t,e=this;t=function(){if(e._background){var t=e._background.getParent();t&&t.removeChild(e._background)}var i=e.getParent();i&&i.removeChild(e)},this._gantt.getAnimationManager().preAnimateRowNodeRemove(this,t),this._removeRowLabel()},_.prototype._removeRowLabel=function(){var t,e,i=this.getRowLabelContent();i&&(t=i.getDisplayable())&&(null==t.getParent()&&this._gantt.getRowAxis().addChild(t),e=function(){t.getParent()&&t.getParent().removeChild(t)},this._gantt.getAnimationManager().preAnimateRowLabelRemove(i,e))},_.prototype.getRowHeight=function(){return this._rowHeight},_.prototype.setRowHeight=function(t){this._rowHeight=t},_.prototype._getDate=function(t){return null==t?null:t.getTime?t.getTime():isNaN(t)?new Date(t).getTime():t},_.prototype.getDataContext=function(){return{rowData:this.getProps(),component:this._gantt.getOptions()._widgetConstructor}};var u=function(t,e,i){this.Init(t,e,i)};t.Obj.createSubclass(u,t.Container),u.prototype.Init=function(t,e,i){u.superclass.Init.call(this,t.getCtx(),null),this._gantt=t,this._row=e,this._props=i,this._renderState="add",this._task=new c(t,this),this._taskLabel=new f(t,this),this._gantt.getEventManager().associate(this,this)},u.prototype.getProps=function(){return this._props},u.prototype.getSandboxProps=function(){return this._sandboxProps||(this._sandboxProps=t.JsonUtils.merge(this._props,{}),this._sandboxProps.row=this.getRow()),this._sandboxProps},u.prototype.setProps=function(t){this._props=t},u.prototype.getId=function(){return this._props.id},u.prototype.getActiveElementId=function(){return null},u.prototype.getRow=function(){return this._row},u.prototype.setRow=function(t){this._row=t},u.prototype.getGantt=function(){return this._gantt},u.prototype.getRenderState=function(){return this._renderState},u.prototype.setRenderState=function(t){this._renderState=t},u.prototype.getRowLevel=function(){return this._rowLevel},u.prototype.setRowLevel=function(t){this._rowLevel=t},u.prototype.getPreviousAdjacentTaskNode=function(){return this._previousAdjacentTaskNode},u.prototype.setPreviousAdjacentTaskNode=function(t){this._previousAdjacentTaskNode=t},u.prototype.getNextAdjacentTaskNode=function(){return this._nextAdjacentTaskNode},u.prototype.setNextAdjacentTaskNode=function(t){this._nextAdjacentTaskNode=t},u.prototype.getPrevAdjMilestoneBaselineTaskNode=function(){return this._previousAdjacentMilestoneBaselineTaskNode},u.prototype.setPrevAdjMilestoneBaselineTaskNode=function(t){this._previousAdjacentMilestoneBaselineTaskNode=t},u.prototype.getNextAdjMilestoneBaselineTaskNode=function(){return this._nextAdjacentMilestoneBaselineTaskNode},u.prototype.setNextAdjMilestoneBaselineTaskNode=function(t){this._nextAdjacentMilestoneBaselineTaskNode=t},u.prototype.overlaps=function(t){var e=this.getOverallStartTime(),i=this.getOverallEndTime(),n=t.getOverallStartTime();return e<t.getOverallEndTime()&&n<i},u.prototype.getOverallStartTime=function(){var t=this._props.start?this._props.start:this._props.end,e=null;return this._props.baseline&&(e=this._props.baseline.start?this._props.baseline.start:this._props.baseline.end),null==t?e:null==e?t:Math.min(t,e)},u.prototype.getOverallEndTime=function(){var t=this._props.end?this._props.end:this._props.start,e=null;return this._props.baseline&&(e=this._props.baseline.end?this._props.baseline.end:this._props.baseline.start),null==t?e:null==e?t:Math.max(t,e)},u.prototype.getTaskShapePhysicalBounds=function(i,n){var a=t.Agent.isRightToLeft(this._gantt.getCtx())?-1:1,s=this._task.getShape(i),r=s.getFinalX()+this.getFinalX(),o=s.getFinalWidth()+s.getPhysicalEndOffset(),l=r-a*s.getPhysicalStartOffset(),h=r+a*o;if(n){var g=this._taskLabel.getLabelOutputText();if(g&&null!=g.getParent()){var d=this._taskLabel.getEffectiveLabelPosition();"end"===d?h+=a*(e.getTaskLabelPadding()+g.getDimensions().w):"start"===d&&(l-=a*(e.getTaskLabelPadding()+g.getDimensions().w))}}return{startPos:l,endPos:h}},u.prototype.scrollIntoView=function(i,n){var a,s,r,o,l=t.Agent.isRightToLeft(this._gantt.getCtx()),h=this._gantt.getDatabody();if(this._gantt.getEventManager().isMoveInitiated()&&this._mainDragFeedbacks&&this._mainDragFeedbacks.length>0)var g=this._mainDragFeedbacks[0],d=this._gantt.getDnDArtifactsContainer();else g=(g=this.getTask().getShape("main"))||this.getTask().getShape("baseline"),d=this;r=g.getWidth()+g.getPhysicalStartOffset()+g.getPhysicalEndOffset(),o=g.getHeight(),a=l?g.getX()-r+g.getPhysicalStartOffset():g.getX()-g.getPhysicalStartOffset(),s=g.getY();var p=h.stageToLocal(d.localToStage({x:a,y:s})),_=new t.Rectangle(p.x,p.y,r,o);this._gantt.scrollIntoView(_,i,n,e.getTaskPadding())},u.prototype.getDraggedObject=function(){return this._draggedObj},u.prototype.setDraggedObject=function(t){this._draggedObj=t},u.prototype.dragStartSetup=function(){this.hideDnDArtifacts(this._draggedObj)},u.prototype.dragEndCleanup=function(){this.hideDnDArtifacts()},u.prototype.showDragFeedback=function(i,n,a,s,r){if(this._draggedObj){var o=this._gantt.getEventManager().getDnDTaskSubType(this._draggedObj),l=t.Agent.isRightToLeft(this._gantt.getCtx()),h=this._gantt.getDnDArtifactsContainer(),g=this._gantt.getStartTime(),d=this._gantt.getEndTime(),p=this._gantt.getContentLength();switch(o){case"tasks":var c=r?{deltaX:0,deltaY:0}:this._gantt.autoPanOnEdgeDrag(n,e.getAutoPanEdgeThreshold(),!1,!1),f=s.x+n.x+c.deltaX,T=s.y+n.y+c.deltaY,v=this.getTask().getShape("main");if(this._mainDragFeedbacks)for(var S=0;S<this._mainDragFeedbacks.length;S++){var y=this._mainDragFeedbacks[S],b=this._mainDragFeedbackOffsets[S],D=f+b.x;y.setX(D),y.setY(T+b.y),this._mainDragFeedbacksStartTime[S]=t.TimeAxis.getPositionDate(g,d,l?p-D:D,p)}else{var A=new m(this._gantt.getCtx(),f,T,v.getFinalWidth(),v.getFinalHeight(),v.getBorderRadius(),this.getTask(),"mainDragFeedback");if(this._mainDragFeedbacks=[A],this._mainDragFeedbackOffsets=[new t.Point(0,0)],this._mainDragFeedbacksStartTime=[null!=this.getProps().start?this.getProps().start:this.getProps().end],h.addChild(A),this._gantt.isSelectionSupported()&&this.isSelected()&&this._gantt.getSelectionHandler().getSelectedCount()>1){var C=this._gantt.getSelectionHandler().getSelection();for(S=0;S<C.length;S++){var E=C[S];if(E instanceof u&&E!==this){var O=E.getTask().getShape("main"),R=O.getX()+E.getTranslateX()-(v.getX()+this.getTranslateX()),x=O.getY()+E.getTranslateY()-(v.getY()+this.getTranslateY()),P=f+R,L=T+x;y=new m(this._gantt.getCtx(),P,L,O.getFinalWidth(),O.getFinalHeight(),O.getBorderRadius(),E.getTask(),"mainDragFeedback"),this._mainDragFeedbacks.push(y),this._mainDragFeedbackOffsets.push(new t.Point(R,x)),this._mainDragFeedbacksStartTime.push(null!=E.getProps().start?E.getProps().start:E.getProps().end),h.addChild(y)}}}}var k=this.getSandboxProps();a&&(a instanceof _?k.row=a:a instanceof u&&(k.row=a.getRow()));var w=l?p-f:f,M=l?p-(f-v.getFinalWidth()):f+v.getFinalWidth();k.start=t.TimeAxis.getPositionDate(g,d,w,p),k.end=t.TimeAxis.getPositionDate(g,d,M,p);var I=this._mainDragFeedbacks[0].getDimensions(this.getCtx().getStage()).getCenter(),N=this.getCtx().stageToPageCoords(I.x,I.y);this._gantt.getEventManager().ProcessObjectTooltip(i,N.x,N.y,this,this._mainDragFeedbacks[0].getElem())}}},u.prototype._updateDragFeedbacks=function(){var e=t.Agent.isRightToLeft(this._gantt.getCtx());if(this._mainDragFeedbacks){var i=this._gantt.getStartTime(),n=this._gantt.getEndTime(),a=this._gantt.getContentLength(),s=t.TimeAxis.getDatePosition(i,n,this._mainDragFeedbacksStartTime[0],a);s=e?a-s:s;for(var r=0;r<this._mainDragFeedbacks.length;r++){var o=this._mainDragFeedbacks[r],l=t.TimeAxis.getDatePosition(i,n,this._mainDragFeedbacksStartTime[r],a);l=e?a-l:l,this._mainDragFeedbackOffsets[r].x=l-s,o.setX(l),o.setWidth(this.getTask().getShape("main").getFinalWidth()),0==r&&this._gantt.getEventManager()._moveFeedbackLocalPos&&(this._gantt.getEventManager()._moveFeedbackLocalPos.x=l)}}},u.prototype.removeDragFeedbacks=function(){if(this._mainDragFeedbacks){for(var t=0;t<this._mainDragFeedbacks.length;t++)this._mainDragFeedbacks[t].getParent().removeChild(this._mainDragFeedbacks[t]);this._mainDragFeedbacks=null,this._mainDragFeedbackOffsets=null,this._mainDragFeedbacksStartTime=null}this._gantt.getEventManager().hideTooltip()},u.prototype.hideDnDArtifacts=function(t){this.getTask();this.removeDragFeedbacks()},u.prototype.getTask=function(){return this._task},u.prototype.getTaskLabel=function(){return this._taskLabel},u.prototype.render=function(e){var i;this._successors=null,this._predecessors=null,this.isSelectable()&&this.setCursor(t.SelectionEffectUtils.getSelectingCursor()),this.getParent()!=e&&e.addChild(this),this.setAriaRole("img"),t.TimeAxis.supportsTouch()&&this.refreshAriaLabel(),this._task.render(),this._updateDragFeedbacks(),i={x:this._finalX,y:this._finalY},this._gantt.getAnimationManager().preAnimateTaskNode(this,i)},u.prototype.remove=function(){var t,e=this;t=function(){"delete"===e.getRenderState()&&e._row.removeChild(e)},this._gantt.getAnimationManager().preAnimateTaskNodeRemove(this,t)},u.prototype.addPredecessorDependency=function(t){null==this._predecessors&&(this._predecessors=[]),this._predecessors.push(t)},u.prototype.getPredecessorDependencies=function(){return this._predecessors},u.prototype.addSuccessorDependency=function(t){null==this._successors&&(this._successors=[]),this._successors.push(t)},u.prototype.getSuccessorDependencies=function(){return this._successors},u.prototype.getFinalX=function(){return this._finalX},u.prototype.setFinalX=function(t){this._finalX=t},u.prototype.getFinalY=function(){return this._finalY},u.prototype.setFinalY=function(t){this._finalY=t},u.prototype.getFinalHeight=function(t){return this._task.getFinalHeight(t)},u.prototype.getDuration=function(e,i){var n=this._gantt.getOptions(),a=i-e,s=this._gantt.getMinorAxis().getScale();return"hours"==s||"minutes"==s||"seconds"==s?(a=Math.round(a/36e5*100)/100,t.Bundle.getTranslation(n,"accessibleDurationHours",t.Bundle.UTIL_PREFIX,"DURATION_HOURS",[a])):(a=Math.round(a/864e5*100)/100,t.Bundle.getTranslation(n,"accessibleDurationDays",t.Bundle.UTIL_PREFIX,"DURATION_DAYS",[a]))},u.prototype.getAriaLabel=function(){var e=[],n=this._gantt.getOptions();this.isSelectable()&&e.push(t.Bundle.getTranslation(n,this.isSelected()?"stateSelected":"stateUnselected",t.Bundle.UTIL_PREFIX,this.isSelected()?"STATE_SELECTED":"STATE_UNSELECTED"));var a=i.getDatatip(this,!1,!0);if(this._task.isMilestone("main")?a=t.Bundle.getTranslation(n,"accessibleTaskTypeMilestone")+", "+a:this._task.isSummary("main")&&(a=t.Bundle.getTranslation(n,"accessibleTaskTypeSummary")+", "+a),null!=this._predecessors||null!=this._successors){var s="";if(null!=this._predecessors&&this._predecessors.length>0&&(s=t.Bundle.getTranslation(n,"accessiblePredecessorInfo",t.Bundle.UTIL_PREFIX,"PREDECESSOR_INFO",[this._predecessors.length]),t.TimeAxis.supportsTouch()))for(var r=0;r<this._predecessors.length;r++)s=s+", "+this._predecessors[r].getAriaLabel();if(null!=this._successors&&this._successors.length>0&&(s.length>0&&(s+=", "),s+=t.Bundle.getTranslation(n,"accessibleSuccessorInfo",t.Bundle.UTIL_PREFIX,"SUCCESSOR_INFO",[this._successors.length]),t.TimeAxis.supportsTouch()))for(r=0;r<this._successors.length;r++)s=s+", "+this._successors[r].getAriaLabel();s.length>0&&(a=a+", "+s)}var o=t.Displayable.generateAriaLabel(a,e),l=this.getAriaProperty("label");return null!=l&&l.indexOf(o)>-1?null:o},u.prototype.refreshAriaLabel=function(){this._updateAriaLabel()},u.prototype._updateAriaLabel=function(){this.setAriaProperty("label",this.getAriaLabel()),this.applyAriaProperties()},u.prototype.getDataContext=function(){return{data:this.getProps(),rowData:this._row.getProps(),color:i.getDatatipColor(this),component:this._gantt.getOptions()._widgetConstructor}},u.prototype.getSandboxDataContext=function(){return{data:this.getSandboxProps(),rowData:this.getSandboxProps().row.getProps(),color:i.getDatatipColor(this),component:this._gantt.getOptions()._widgetConstructor}},u.prototype.getDatatip=function(){return i.getDatatip(this,!0)},u.prototype.getDatatipColor=function(){return i.getDatatipColor(this)},u.prototype.isSelectable=function(){return"none"!=this._gantt.getOptions().selectionMode},u.prototype.isSelected=function(){return this._selected},u.prototype.setSelected=function(t){this._selected=t,this._selected?this._task.showEffect("selected"):this._task.removeEffect("selected"),this._updateAriaLabel(),this._gantt.setCurrentRow(this.getRow().getId())},u.prototype.showHoverEffect=function(){this._task.showEffect("hover")},u.prototype.hideHoverEffect=function(){this._task.removeEffect("hover")},u.prototype.getNextNavigable=function(e){var i=null,n=this._gantt.getEventManager().getKeyboardHandler();if(e.type==t.MouseEvent.CLICK||n.isMultiSelectEvent(e))i=this;else if((e.keyCode==t.KeyboardEvent.OPEN_ANGLED_BRACKET||t.KeyboardEvent.CLOSE_ANGLED_BRACKET)&&e.altKey){if((n=this._gantt.getEventManager().getKeyboardHandler())&&n.getFirstNavigableDependencyLine){if(t.Agent.isRightToLeft(this.getGantt().getCtx()))var a=e.keyCode==t.KeyboardEvent.CLOSE_ANGLED_BRACKET?"predecessor":"successor";else a=e.keyCode==t.KeyboardEvent.OPEN_ANGLED_BRACKET?"predecessor":"successor";var s=this._gantt.getNavigableDependencyLinesForTask(this,a);i=n.getFirstNavigableDependencyLine(this,e,s)}i?i.setKeyboardFocusTask(this):i=this}else n.isNavigationEvent(e)&&!this._gantt.getEventManager().isMoveInitiated()&&(i=l.getNextNavigable(this._gantt,this,e));return i},u.prototype.getTargetElem=function(){return this._task.getShape("main").getElem()},u.prototype.getKeyboardBoundingBox=function(t){return this.getDimensions(t)},u.prototype.showKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!0,this._task.showEffect("focus")},u.prototype.hideKeyboardFocusEffect=function(){this.isShowingKeyboardFocusEffect()&&(this._isShowingKeyboardFocusEffect=!1,this.hideHoverEffect())},u.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},u.prototype.isDragAvailable=function(t){return!0},u.prototype.getDragTransferable=function(t,e){return[this.getProps().id]},u.prototype.getDragFeedback=function(t,e){return null};var c=function(t,e){this.Init(t,e)};t.Obj.createSubclass(c,t.Obj),c.prototype.Init=function(t,e){this._gantt=t,this._container=e},c.prototype.getGantt=function(){return this._gantt},c.prototype.getContainer=function(){return this._container},c.prototype.getShape=function(t){return"main"===t?this._mainShape:"progress"===t?this._progressShape:"baseline"===t?this._baselineShape:void 0},c.prototype.getSvgStyle=function(t){return t.svgStyle?t.svgStyle:t.style},c.prototype.getSvgClassName=function(t){return t.svgClassName?t.svgClassName:t.className},c.prototype._applyStyles=function(e,i){var n=this.getSvgClassName(i),a=this.getSvgStyle(i);n&&e.setClassName(e.getClassName()+" "+n),"string"==typeof a?t.ToolkitUtils.setAttrNullNS(e.getElem(),"style",a):e.setStyle(a)},c.prototype.isMilestone=function(t){var e,i,n=this._container.getProps(),a=n.baseline;return"milestone"===n.type||"auto"===n.type&&("mainDragFeedback"===t||m.MAIN_TYPES.indexOf(t)>-1?(e=n.start,i=n.end):m.BASELINE_TYPES.indexOf(t)>-1&&(e=a.start,i=a.end),null!=e&&e==i||null!=e&&null==i||null==e&&null!=i)},c.prototype.isSummary=function(t){var e=this._container.getProps();return"main"===t&&"summary"===e.type},c.prototype.getTimeSpanDimensions=function(e,i){var n,a,s=this._gantt.getStartTime(),r=this._gantt.getEndTime(),o=this._gantt.getContentLength(),l=t.Agent.isRightToLeft(this._gantt.getCtx());return null!=e||null!=i?(null==e?e=i:null==i&&(i=e),n=t.TimeAxis.getDatePosition(s,r,e,o),a=t.TimeAxis.getDatePosition(s,r,i,o),l&&(n=o-n,a=o-a),{startPos:n,endPos:a,distance:a-n}):null},c.prototype.getFillColor=function(){if(null==this._fillColor){if(null==this._mainShape)return null;this._fillColor=this._mainShape.getFillColor()}return this._fillColor},c.prototype.getFinalHeight=function(t){var i=this._container.getProps(),n=i.baseline,a=i.height,s=0;!n||null==n.start&&null==n.end||(s=n.height);var r=this.isMilestone("baseline")?e.getMilestoneBaselineYOffset()+Math.max(s,a):a+s;if(!t){var o=null!==this.getProgressValue()?this.getProgressHeight():0;if(a<o)return Math.max(o,(o-a)/2+r)}return r},c.prototype.showEffect=function(t){this.showMainEffect(t)},c.prototype.removeEffect=function(t){this.removeMainEffect(t)},c.prototype.render=function(){var t=null!==this.getProgressValue()?this.getProgressHeight():0;this.renderBaseline(t),this.renderMain(t),this.renderProgress(t),"summary"===this._container.getProps().type&&this._mainShape&&this._container.addChild(this._mainShape)},c.prototype.getRenderState=function(t){return"main"===t?this._mainShape.getRenderState():"progress"===t?this._progressShape.getRenderState():"baseline"===t?this._baselineShape.getRenderState():void 0},c.prototype.renderBaseline=function(t){var i,n,a,s,r,o,l,h,g,d,p,_=this._container.getProps(),u=_.baseline,c=this;u&&(o=this.getTimeSpanDimensions(u.start,"milestone"===_.type&&null!=u.start&&u.start!=u.end?u.start:u.end))?(s=this.getTimeSpanDimensions(_.start?_.start:_.end,u.start),i=this.isMilestone("baseline"),l=s?s.distance:0,g=Math.abs(o.distance),d=u.height,n=i?Math.max(_.height,d)+e.getMilestoneBaselineYOffset()-d:_.height,h=Math.max(0,(t-_.height)/2)+n,p=u.borderRadius,null==this._baselineShape?(this._baselineShape=new m(this._gantt.getCtx(),l,h,g,d,p,this,"baseline"),i?this._container.addChildAt(this._baselineShape,0):this._container.addChild(this._baselineShape),this._baselineShape.setRenderState("add")):(this._baselineShape.setRenderState("refurbish"===this._container.getRenderState()?"add":"exist"),i&&this._container.addChildAt(this._baselineShape,0)),this._baselineShape.setFinalWidth(g),this._baselineShape.setFinalHeight(d),this._baselineShape.setFinalX(l),this._baselineShape.setFinalY(h),r=function(){c._applyStyles(c._baselineShape,u)},a={x:l,y:h,w:g,h:d,r:p},this._gantt.getAnimationManager().preAnimateTaskBaseline(this,this._baselineShape,a,r)):this.removeBaseline()},c.prototype.removeBaseline=function(){var t,e=this;this._baselineShape&&(t=function(){e._container.removeChild(e._baselineShape),e._baselineShape=null},this._gantt.getAnimationManager().preAnimateTaskBaselineRemove(this._baselineShape,t))},c.prototype.renderMain=function(t){var e,i,n,a,s,r,o,l=this._container.getProps(),h=l.height,g=this;l&&(n=this.getTimeSpanDimensions(l.start,"milestone"===l.type&&null!=l.start&&l.start!=l.end?l.start:l.end))?(0,a=Math.max(0,(t-h)/2),s=Math.abs(n.distance),r=this.isSummary("main")?this._container.getFinalHeight(!0):h,o=l.borderRadius,null==this._mainShape?(this._mainShape=new m(this._gantt.getCtx(),0,a,s,r,o,this,"main"),this._container.addChild(this._mainShape),this._mainShape.setRenderState("add")):this._mainShape.setRenderState("refurbish"===this._container.getRenderState()?"add":"exist"),this._mainShape.setFinalWidth(s),this._mainShape.setFinalHeight(r),this._mainShape.setFinalX(0),this._mainShape.setFinalY(a),i=function(){g._fillColor=null,g._applyStyles(g._mainShape,l)},e={x:0,y:a,w:s,h:r,r:o},this._gantt.getAnimationManager().preAnimateTaskMain(this,e,i)):this.removeMain()},c.prototype.showMainEffect=function(t){var e=this._mainShape.getX(),i=this._mainShape.getY(),n=this._mainShape.getWidth(),a=this._mainShape.getHeight(),s=this._mainShape.getBorderRadius();"selected"===t?null==this._mainSelectShape&&(this._mainSelectShape=new m(this._gantt.getCtx(),e,i,n,a,s,this,"mainSelect"),this._container.addChildAt(this._mainSelectShape,0),this._container.getParent().addChild(this._container)):"hover"!==t&&"focus"!==t||null==this._mainHoverShape&&(this._mainHoverShape=new m(this._gantt.getCtx(),e,i,n,a,s,this,"mainHover"),this._container.addChildAt(this._mainHoverShape,this._container.getChildIndex(this._mainShape)),this._container.getParent().addChild(this._container))},c.prototype.removeMainEffect=function(t){"selected"===t?(null!=this._mainSelectShape&&this._container.removeChild(this._mainSelectShape),this._mainSelectShape=null):"hover"!==t&&"focus"!==t||(null!=this._mainHoverShape&&(this._container.removeChild(this._mainHoverShape),this._container.isSelected()||this._container.getParent().addChildAt(this._container,0)),this._mainHoverShape=null)},c.prototype.getMainWidth=function(){return this._mainShape.getWidth()},c.prototype.setMainWidth=function(t){this._mainShape.setWidth(t),this._mainSelectShape&&this._mainSelectShape.setWidth(t),this._mainHoverShape&&this._mainHoverShape.setWidth(t)},c.prototype.getMainHeight=function(){return this._mainShape.getHeight()},c.prototype.setMainHeight=function(t){this._mainShape.setHeight(t),this._mainSelectShape&&this._mainSelectShape.setHeight(t),this._mainHoverShape&&this._mainHoverShape.setHeight(t)},c.prototype.getMainX=function(){return this._mainShape.getX()},c.prototype.setMainX=function(t){this._mainShape.setX(t),this._mainSelectShape&&this._mainSelectShape.setX(t),this._mainHoverShape&&this._mainHoverShape.setX(t)},c.prototype.getMainY=function(){return this._mainShape.getY()},c.prototype.setMainY=function(t){this._mainShape.setY(t),this._mainSelectShape&&this._mainSelectShape.setY(t),this._mainHoverShape&&this._mainHoverShape.setY(t)},c.prototype.getMainBorderRadius=function(){return this._mainShape.getY()},c.prototype.setMainBorderRadius=function(t){this._mainShape.setBorderRadius(t),this._mainSelectShape&&this._mainSelectShape.setBorderRadius(t),this._mainHoverShape&&this._mainHoverShape.setBorderRadius(t)},c.prototype.setMainDimensions=function(t,e,i,n,a){this._mainShape.setDimensions(t,e,i,n,a),this._mainSelectShape&&this._mainSelectShape.setDimensions(t,e,i,n,a),this._mainHoverShape&&this._mainHoverShape.setDimensions(t,e,i,n,a)},c.prototype.removeMain=function(){var t,e=this;this._mainShape&&(t=function(){e.removeMainEffect("selected"),e._container.removeChild(e._mainShape),e._mainShape=null,e.removeProgress()},this._gantt.getAnimationManager().preAnimateTaskMainRemove(this._mainShape,this._mainSelectShape,this._mainHoverShape,t))},c.prototype.getProgressValue=function(){var t=this._container.getProps().progress;return!this.isMilestone("main")&&t&&"number"==typeof t.value?t.value:null},c.prototype.getProgressHeight=function(){var t,i,n=this._container.getProps(),a=n.progress;return a&&!this.isMilestone("main")?(t=a.height,i=n.height,"100%"===t?i:e.getSizeInPixels(t,i)):0},c.prototype.renderProgress=function(t){var e,i,n,a,s,r=this._container.getProps(),o=r.progress,l=r.height,h=this.getProgressValue(),g=this;null!==h&&this._mainShape&&!this.isMilestone("main")?(0,n=Math.max(0,(l-t)/2),a=h*this._mainShape.getFinalWidth(),s=o.borderRadius,null==this._progressShape?(this._progressShape=new m(this._gantt.getCtx(),0,n,a,t,s,this,"progress"),this._container.addChild(this._progressShape),this._progressShape.setRenderState("add")):this._progressShape.setRenderState("refurbish"===this._container.getRenderState()?"add":"exist"),this._progressShape.setFinalWidth(a),this._progressShape.setFinalHeight(t),this._progressShape.setFinalX(0),this._progressShape.setFinalY(n),e=function(){g._applyStyles(g._progressShape,o)},i={x:0,y:n,w:a,h:t,r:s},this._gantt.getAnimationManager().preAnimateTaskProgress(this,this._progressShape,i,e)):this.removeProgress()},c.prototype.removeProgress=function(){var t,e=this;this._progressShape&&(t=function(){e._container.removeChild(e._progressShape),e._progressShape=null},this._gantt.getAnimationManager().preAnimateTaskProgressRemove(this._progressShape,t))};var f=function(t,e,i){this.Init(t,e,i)};t.Obj.createSubclass(f,t.Obj),f.prototype.Init=function(t,e,i){this._gantt=t,this._container=e,this._associatedShape=i,this._renderState="add"},f.prototype.getGantt=function(){return this._gantt},f.prototype.getAssociatedShape=function(){return this._associatedShape},f.prototype.setAssociatedShape=function(t){this._associatedShape=t},f.prototype.getLabelOutputText=function(){return this._labelOutputText},f.prototype.getEffectiveLabelPosition=function(){return this._effectiveLabelPosition},f.prototype.getRenderState=function(){return this._renderState},f.prototype._applyStyles=function(i){var n;null!=i?((n=e.getTaskLabelStyle(this._gantt.getOptions())).parseInlineStyle(i),"string"==typeof i?t.ToolkitUtils.setAttrNullNS(this._labelOutputText.getElem(),"style",i):this._labelOutputText.setStyle(i)):n=this._gantt.getCache().getFromCache("baseTaskLabelCSSStyle"),this._labelOutputText.setCSSStyle(n)},f.prototype._placeLabel=function(i){var n,a,s,r,o,l,h=this._labelOutputText.getDimensions(),g=t.Agent.isRightToLeft(this._gantt.getCtx()),d=e.getTaskLabelPadding();switch("progress"!==i&&"progressStart"!==i||this.setAssociatedShape(this._container.getTask().getShape("progress")),l="main"===this._associatedShape.getType()&&this._container.getTask().isSummary("main")?this._container.getProps().height:this._associatedShape.getFinalHeight(),o=this._associatedShape.getFinalY()+(l-h.h)/2,this.setFinalY(o),s=this._associatedShape.getFinalWidth(),n=g?this._associatedShape.getPhysicalEndOffset():this._associatedShape.getPhysicalStartOffset(),a=g?this._associatedShape.getPhysicalStartOffset():this._associatedShape.getPhysicalEndOffset(),i){case"end":g?this._labelOutputText.alignRight():this._labelOutputText.alignLeft(),r=s+a+d;break;case"progress":g?this._labelOutputText.alignLeft():this._labelOutputText.alignRight(),r=s-d;break;case"oProgress":g?this._labelOutputText.alignRight():this._labelOutputText.alignLeft(),r=this._container.getTask().getShape("progress").getFinalWidth()+d;break;case"innerStart":case"progressStart":g?this._labelOutputText.alignRight():this._labelOutputText.alignLeft(),r=-n+d;break;case"innerEnd":g?this._labelOutputText.alignLeft():this._labelOutputText.alignRight(),r=s+a-d;break;case"innerCenter":this._labelOutputText.alignCenter(),r=s/2;break;case"start":g?this._labelOutputText.alignLeft():this._labelOutputText.alignRight(),r=-(n+d)}g&&(r=-r),this.setFinalX(r),this._effectiveLabelPosition=i},f.prototype._getAvailableWidth=function(i){var n,a,s,r,o,l,h,g,d,p,_,u,c,f,m,T,v,S,y,b,D=e.getTaskLabelPadding(),A=t.Agent.isRightToLeft(this._gantt.getCtx()),C=this._gantt.getContentLength();switch(b=C-(y=A?C:0),i){case"end":a=b,r=this._container.getNextAdjacentTaskNode(),l=this._container.getNextAdjMilestoneBaselineTaskNode(),r&&(a=r.getTaskShapePhysicalBounds("main").startPos),l&&(a=A?Math.max(a,l.getTaskShapePhysicalBounds("baseline").startPos):Math.min(a,l.getTaskShapePhysicalBounds("baseline").startPos)),f=Math.abs(this._container.getTaskShapePhysicalBounds("main").endPos-a)-2*D,m="end";break;case"innerCenter":case"innerStart":case"innerEnd":if(S="number"==typeof((v=this._container.getProps()).progress?v.progress.value:null),!(o=this._container.getTask()).isMilestone("main")){if(g=this._container.getTaskShapePhysicalBounds("main"),u=Math.abs(g.endPos-g.startPos),S){if(T=this._labelOutputText.getDimensions(),(d=o.getShape("progress"))?(p=d.getFinalWidth(),_=d.getFinalHeight()):(p=0,_=0),c=u-p,"innerStart"===i){if(f=p-2*D,T.w<=f&&T.h<=_){m="progressStart";break}}else if("innerEnd"===i&&(f=c-2*D,T.w<f)){m="innerEnd";break}T.h<=_&&p>c?(f=p-2*D,m="progress"):(f=c-2*D,m="oProgress");break}f=u-2*D,m=i;break}f=0,m=i;break;case"start":n=y,s=this._container.getPreviousAdjacentTaskNode(),h=this._container.getPrevAdjMilestoneBaselineTaskNode(),s&&(n=s.getTaskShapePhysicalBounds("main",!0).endPos),h&&(n=A?Math.min(n,h.getTaskShapePhysicalBounds("baseline").endPos):Math.max(n,h.getTaskShapePhysicalBounds("baseline").endPos)),f=Math.abs(n-this._container.getTaskShapePhysicalBounds("main").startPos)-2*D,m="start";break;default:return null}return[m,f]},f.prototype._preprocessLabelPosition=function(t){var e=this._container.getTask().isMilestone("main");if("string"==typeof t){if(e)switch(t){case"innerCenter":case"innerEnd":t="end";break;case"innerStart":t="start"}return[t]}return Array.isArray(t)?e?t.map(function(t){switch(t){case"innerCenter":case"innerEnd":return"end";case"innerStart":return"start";default:return t}}):t:[]},f.prototype._evaluatePosition=function(e){for(var i,n,a,s={},r=this._labelOutputText.getDimensions(),o=r.w,l=(r.h,e=this._preprocessLabelPosition(e),0),h=0;h<e.length;h++){var g=e[h];if("max"!==g){if(s[g]?d=s[g]:(d=this._getAvailableWidth(g),s[g]=d),d){if(i=d[0],o<=(n=d[1]))break;n>l&&(l=n,a=g)}}else if(null!=a){var d=s[a];i=d[0],n=d[1];break}}return null!=i&&(o>n&&t.TextUtils.fitText(this._labelOutputText,n,1/0,this._container,1),this._placeLabel(i),!0)},f.prototype.render=function(){var e,i,n,a,s,r=this._container.getProps(),o=this,l=this._gantt.GetStyleClass("taskLabel");this._renderState="refurbish"===this._container.getRenderState()?"add":"exist",r&&(e=r.label,i=r.labelPosition,n=r.labelStyle),null!=e&&e.length>0&&"none"!==i&&this._associatedShape?(null==this._labelOutputText&&(this._labelOutputText=new t.OutputText(this._gantt.getCtx(),e,0,0),this._gantt.getEventManager().IsDragSupported("tasks")&&(l+=" "+this._gantt.GetStyleClass("draggable")),this._labelOutputText.setClassName(l),this._renderState="add"),null==this._labelOutputText.getParent()&&this._container.addChild(this._labelOutputText),this._labelOutputText.setTextString(e),this._applyStyles(n),this._evaluatePosition(i)?(s=function(){var e,i;switch(o._effectiveLabelPosition){case"innerCenter":case"innerEnd":case"innerStart":case"progressStart":case"progress":case"oProgress":i=o._associatedShape.getFillColor(),null!=(e=t.ColorUtils.getContrastingTextColor(i?i.computedFill:null))&&o._labelOutputText.setFill(new t.SolidFill(e))}},a={x:this.getFinalX(),y:this.getFinalY()},this._gantt.getAnimationManager().preAnimateTaskLabel(this._container,a,s)):this.remove()):this.remove()},f.prototype.remove=function(){var t,e=this;this._labelOutputText&&(t=function(){e._container.removeChild(e._labelOutputText),e._labelOutputText=null,e._effectiveLabelPosition=null},this._gantt.getAnimationManager().preAnimateTaskLabelRemove(this._labelOutputText,t))},f.prototype.getFinalX=function(){return this._finalX},f.prototype.setFinalX=function(t){this._finalX=t},f.prototype.getFinalY=function(){return this._finalY},f.prototype.setFinalY=function(t){this._finalY=t};var m=function(t,e,i,n,a,s,r,o,l){this.Init(t,e,i,n,a,s,r,o,l)};t.Obj.createSubclass(m,t.Path),m.MAIN_TYPES=["main","mainSelect","mainHover"],m.MAIN_EFFECT_TYPES=["mainSelect","mainHover"],m.BASELINE_TYPES=["baseline","baselineSelect","baselineHover"],m.BASELINE_EFFECT_TYPES=["baselineSelect","baselineHover"],m.prototype.Init=function(e,i,n,a,s,r,o,l,h){var g;switch(this._x=i,this._y=n,this._w=a,this._h=s,this._r=null!=r?r:"0",this._task=o,this._type=l,this._renderState="add",this._typeCmdGeneratorMap={main:this._generateRepShapeCmd,mainSelect:this._generateRepShapeCmd,mainHover:this._generateRepShapeCmd,mainDragFeedback:this._generateRepShapeCmd,progress:this._generateRectCmd,baseline:this._generateRepShapeCmd,baselineSelect:this._generateRepShapeCmd,baselineHover:this._generateRepShapeCmd},this._isRTL=t.Agent.isRightToLeft(e),g=this._typeCmdGeneratorMap[this._type].call(this,this._x,this._y,this._w,this._h,this._r),m.superclass.Init.call(this,e,g,h),this._applyDefaultStyleClasses(),this._type){case"mainDragFeedback":o.getGantt().getEventManager().associate(this,o.getContainer()),this.setMouseEnabled(!1);case"main":case"progress":case"baseline":this.setPixelHinting(!0)}},m.prototype._generateRepShapeCmd=function(t,i,n,a,s){var r,o=(m.MAIN_EFFECT_TYPES.indexOf(this._type)>-1||m.BASELINE_EFFECT_TYPES.indexOf(this._type)>-1)*e.getTaskEffectMargin();return this._task.isMilestone(this._type)&&0==n?(r=o*Math.sqrt(2),this._generateDiamondCmd(t,i-r,a+2*r,s)):this._task.isSummary(this._type)&&"main"===this._type?this._generateSummaryCmd(t,i,n,a,s):this._generateRectCmd(this._isRTL?t+o:t-o,i-o,n+2*o,a+2*o,s)},m.prototype._generateRectCmd=function(e,i,n,a,s){return"0"===s||"0px"===s?t.PathUtils.moveTo(e,i)+t.PathUtils.horizontalLineTo(this._isRTL?e-n:e+n)+t.PathUtils.verticalLineTo(i+a)+t.PathUtils.horizontalLineTo(e)+t.PathUtils.closePath():t.PathUtils.rectangleWithBorderRadius(e-this._isRTL*n,i,n,a,s,Math.min(n,a),"0")},m.prototype._generateSummaryCmd=function(i,n,a,s,r){var o=e.getSummaryThickness();if("0"===r||"0px"===r)return a>2*o?t.PathUtils.moveTo(i,n+s)+t.PathUtils.verticalLineTo(n)+t.PathUtils.horizontalLineTo(this._isRTL?i-a:i+a)+t.PathUtils.verticalLineTo(n+s)+t.PathUtils.horizontalLineTo(this._isRTL?i-a+o:i+a-o)+t.PathUtils.verticalLineTo(n+o)+t.PathUtils.horizontalLineTo(this._isRTL?i-o:i+o)+t.PathUtils.verticalLineTo(n+s)+t.PathUtils.closePath():this._generateRectCmd(i,n,a,s,r);var l=Math.min(new t.CSSStyle({"border-radius":r}).getBorderRadius(),Math.min(a,s)),h=Math.max(l-o,0);return a>2*o?t.PathUtils.moveTo(i,n+s)+t.PathUtils.verticalLineTo(n+l)+t.PathUtils.arcTo(l,l,Math.PI/2,this._isRTL?0:1,this._isRTL?i-l:i+l,n)+t.PathUtils.horizontalLineTo(this._isRTL?i-a+l:i+a-l)+t.PathUtils.arcTo(l,l,Math.PI/2,this._isRTL?0:1,this._isRTL?i-a:i+a,n+l)+t.PathUtils.verticalLineTo(n+s)+t.PathUtils.horizontalLineTo(this._isRTL?i-a+o:i+a-o)+t.PathUtils.verticalLineTo(n+o+h)+t.PathUtils.arcTo(h,h,Math.PI/2,this._isRTL?1:0,this._isRTL?i-a+o+h:i+a-o-h,n+o)+t.PathUtils.horizontalLineTo(this._isRTL?i-o-h:i+o+h)+t.PathUtils.arcTo(h,h,Math.PI/2,this._isRTL?1:0,this._isRTL?i-o:i+o,n+o+h)+t.PathUtils.verticalLineTo(n+s)+t.PathUtils.closePath():t.PathUtils.rectangleWithBorderRadius(i-this._isRTL*a,n,a,s,l+"px "+l+"px 0px 0px",Math.min(a,s),"0")},m.prototype._generateDiamondCmd=function(e,i,n,a){var s=n/2;if("0"===a||"0px"===a)return t.PathUtils.moveTo(e,i)+t.PathUtils.lineTo(e+s,i+s)+t.PathUtils.lineTo(e,i+n)+t.PathUtils.lineTo(e-s,i+s)+t.PathUtils.closePath();var r=Math.min(new t.CSSStyle({"border-radius":a}).getBorderRadius(),n/(2*Math.sqrt(2))),o=r/Math.sqrt(2),l=r,h=r;return t.PathUtils.moveTo(e-o,i+o)+t.PathUtils.arcTo(l,h,0,1,e+o,i+o)+t.PathUtils.lineTo(e+s-o,i+s-o)+t.PathUtils.arcTo(l,h,0,1,e+s-o,i+s+o)+t.PathUtils.lineTo(e+o,i+n-o)+t.PathUtils.arcTo(l,h,0,1,e-o,i+n-o)+t.PathUtils.lineTo(e-s+o,i+s+o)+t.PathUtils.arcTo(l,h,0,1,e-s+o,i+s-o)+t.PathUtils.closePath()},m.prototype._applyDefaultStyleClasses=function(){var e,i,n,a,s,r,o=this._task.getGantt(),l=o.getEventManager().IsDragSupported("tasks");"progress"===this._type?(e=o.GetStyleClass("taskProgress"),l&&(e+=" "+o.GetStyleClass("draggable")),this.setClassName(e)):m.MAIN_TYPES.indexOf(this._type)>-1?(e=o.GetStyleClass("task"),i=o.GetStyleClass("taskMilestone"),n=o.GetStyleClass("taskBar"),a=o.GetStyleClass("taskSummary"),this._task.isMilestone(this._type)&&0==this._w?e+=" "+i:this._task.isSummary(this._type)?e+=" "+a:e+=" "+n,"mainSelect"===this._type?(this.setStyle({fill:"none",filter:"none"}),e+=" "+o.GetStyleClass("selected")):"mainHover"===this._type?(e+=" "+o.GetStyleClass("hover"),r={fill:"none"},null!=(s=this._task.getFillColor())&&(this.setStroke(t.SelectionEffectUtils.createSelectingStroke(s.fill)),"none"===s.filter&&(r.filter="none")),this.setStyle(r)):"main"===this._type&&l&&(e+=" "+o.GetStyleClass("draggable")),this.setClassName(e)):m.BASELINE_TYPES.indexOf(this._type)>-1?(e=o.GetStyleClass("baseline"),i=o.GetStyleClass("baselineMilestone"),n=o.GetStyleClass("baselineBar"),this._task.isMilestone(this._type)&&0==this._w?e+=" "+i:e+=" "+n,this.setClassName(e)):"mainDragFeedback"===this._type&&(e=o.GetStyleClass("taskDragImage"),this.setClassName(e))},m.prototype.getFillColor=function(){var i,n,a,s,r,o,l;i=this.getElem().cloneNode(!1),(n=this._task.getGantt().getCtx().getSvgDocument()).appendChild(i);try{if(s=(a=window.getComputedStyle(i)).fill,o=a.filter,!(String.prototype.startsWith?s.startsWith("url("):0==s.indexOf("url("))){switch(o){case"url("+JSON.stringify("#"+e.getTaskTintFilterId())+")":case"url(#"+e.getTaskTintFilterId()+")":r=t.ColorUtils.getBrighter(s,e.getTaskTintAlpha());break;case"url("+JSON.stringify("#"+e.getTaskShadeFilterId())+")":case"url(#"+e.getTaskShadeFilterId()+")":r=t.ColorUtils.getDarker(s,e.getTaskShadeAlpha());break;default:r=s}l={fill:s,computedFill:r,filter:o}}}finally{n.removeChild(i)}return l},m.prototype.getType=function(){return this._type},m.prototype.getTask=function(){return this._task},m.prototype.getPhysicalStartOffset=function(){return(m.MAIN_TYPES.indexOf(this._type)>-1||m.BASELINE_TYPES.indexOf(this._type)>-1)&&this._task.isMilestone(this._type)?this._finalHeight/2:0},m.prototype.getPhysicalEndOffset=function(){return(m.MAIN_TYPES.indexOf(this._type)>-1||m.BASELINE_TYPES.indexOf(this._type)>-1)&&this._task.isMilestone(this._type)?this._finalHeight/2:0},m.prototype.getType=function(){return this._type},m.prototype.getRenderState=function(){return this._renderState},m.prototype.setRenderState=function(t){this._renderState=t},m.prototype.getWidth=function(){return this._w},m.prototype.getFinalWidth=function(){return this._finalWidth},m.prototype.setWidth=function(t){var e;!(m.MAIN_TYPES.indexOf(this._type)>-1||m.BASELINE_TYPES.indexOf(this._type)>-1)||0!==this._w&&0!==t||(this._w=t,this._applyDefaultStyleClasses()),this._w=t,e=this._typeCmdGeneratorMap[this._type].call(this,this._x,this._y,this._w,this._h,this._r),this.setCmds(e)},m.prototype.setFinalWidth=function(t){this._finalWidth=t},m.prototype.getHeight=function(){return this._h},m.prototype.getFinalHeight=function(){return this._finalHeight},m.prototype.setHeight=function(t){var e;this._h=t,e=this._typeCmdGeneratorMap[this._type].call(this,this._x,this._y,this._w,this._h,this._r),this.setCmds(e)},m.prototype.setFinalHeight=function(t){this._finalHeight=t},m.prototype.getX=function(){return this._x},m.prototype.getFinalX=function(){return this._finalX},m.prototype.setX=function(t){var e;this._x=t,e=this._typeCmdGeneratorMap[this._type].call(this,this._x,this._y,this._w,this._h,this._r),this.setCmds(e)},m.prototype.setFinalX=function(t){this._finalX=t},m.prototype.getY=function(){return this._y},m.prototype.getFinalY=function(){return this._finalY},m.prototype.setY=function(t){var e;this._y=t,e=this._typeCmdGeneratorMap[this._type].call(this,this._x,this._y,this._w,this._h,this._r),this.setCmds(e)},m.prototype.setFinalY=function(t){this._finalY=t},m.prototype.getBorderRadius=function(){return this._r},m.prototype.setBorderRadius=function(t){var e;this._r=null!=t?t:0,e=this._typeCmdGeneratorMap[this._type].call(this,this._x,this._y,this._w,this._h,this._r),this.setCmds(e)},m.prototype.setDimensions=function(t,e,i,n,a){var s;!(m.MAIN_TYPES.indexOf(this._type)>-1||m.BASELINE_TYPES.indexOf(this._type)>-1)||0!==this._w&&0!==i||(this._w=i,this._applyDefaultStyleClasses()),this._x=t,this._y=e,this._w=i,this._h=n,this._r=null!=a?a:"0",s=this._typeCmdGeneratorMap[this._type].call(this,this._x,this._y,this._w,this._h,this._r),this.setCmds(s)},t.exportProperty(t,"Gantt",t.Gantt),t.exportProperty(t.Gantt,"newInstance",t.Gantt.newInstance),t.exportProperty(t.Gantt.prototype,"destroy",t.Gantt.prototype.destroy),t.exportProperty(t.Gantt.prototype,"getAutomation",t.Gantt.prototype.getAutomation),t.exportProperty(t.Gantt.prototype,"render",t.Gantt.prototype.render),t.exportProperty(a.prototype,"getDomElementForSubId",a.prototype.getDomElementForSubId),t.exportProperty(a.prototype,"GetSubIdForDomElement",a.prototype.GetSubIdForDomElement)}(dvt);
  return dvt;
});
