/**
 * @license
 * Copyright (c) 2014, 2018, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";define(["ojs/ojcore","jquery","ojs/ojcomponentcore","ojs/ojdvt-base","ojs/internal-deps/dvt/DvtChart"],function(e,t,r,n,o){e.ChartDataProviderHandler=function(t,r,n){this._component=t,this._templateEngine=n,this._templates=t.getTemplates(),this._data=r,this._templates.itemTemplate?this.Init():e.Logger.error("No itemTemplate slot specified.")},e.Object.createSubclass(e.ChartDataProviderHandler,e.Object,"oj.ChartDataProviderHandler"),e.ChartDataProviderHandler.prototype.Init=function(){this._parentElement=this._component.element[0],this._itemTemplate=this._templates.itemTemplate[0],this._seriesTemplate=this._templates.seriesTemplate?this._templates.seriesTemplate[0]:null,this._groupTemplate=this._templates.groupTemplate?this._templates.groupTemplate[0]:null,this._alias=this._component.options.as,this._seriesComparator=this._component.options.seriesComparator,this._groupComparator=this._component.options.groupComparator,this._itemMap={},this._seriesContexts={},this._groupContexts={},this._itemContexts={};var t=this._data.data,r=this._data.keys,n=0,o=0,i=Object.keys(e.CustomElementBridge.getMetadata("oj-chart-item").properties),a=[],s=document.createElement("div");s.setAttribute("data-oj-context","");for(var l=document.createDocumentFragment(),p=0;p<t.length;p++){var u,g;u={data:t[p],key:r[p],index:p,componentElement:this._parentElement};try{for(var y=this._templateEngine.execute(this._parentElement,this._itemTemplate,u,this._alias),d=0;d<y.length;d++)if(y[d].tagName&&"oj-chart-item"===y[d].tagName.toLowerCase()){g=y[d];break}}catch(t){e.Logger.error(t),a=[];break}this._itemContexts[p]=u,a.push(g),l.appendChild(g)}s.appendChild(l),document.body.appendChild(s);var m=this,c=e.Context.getContext(s).getBusyContext().whenReady().then(function(){for(var e=[],l=0;l<a.length;l++){for(var p=a[l],u=m._itemContexts[l],g={id:r[l],_itemData:t[l]},y=0;y<i.length;y++){var d=p.getProperty(i[y]);void 0!==d&&(g[i[y]]=d)}if(!m._itemMap[g.seriesId]||!m._itemMap[g.seriesId][g.groupId]){e.push(g),delete u.componentElement;var c=g.seriesId;if(m._seriesContexts[c])m._seriesContexts[c].items.push(u);else{var h;h={componentElement:m._parentElement,id:c,items:[u],index:n},m._seriesContexts[c]=h,n++}var b=g.groupId,v=o;m._groupContexts[b.slice(0,b.length-1)]||o++,m._groupContexts=m._addToGroupContexts(m._groupContexts,u,b,1,v),m._itemMap[g.seriesId]||(m._itemMap[g.seriesId]={}),m._itemMap[g.seriesId][g.groupId]=g}}return m._templateEngine.clean(s),document.body.removeChild(s),s=null,e});this._groups=c.then(function(e){return m._createGroups(e).then(function(e){return m._groupComparator&&(e=m._sortGroups(e)),e})}),this._series=this._groups.then(function(e){return m._createSeries(e).then(function(e){return m._seriesComparator&&(e=m._sortSeries(e)),e})})},e.ChartDataProviderHandler.prototype.getSeries=function(){return this._series||Promise.resolve([])},e.ChartDataProviderHandler.prototype.getGroups=function(){return this._groups||Promise.resolve([])},e.ChartDataProviderHandler.prototype._addToGroupContexts=function(e,t,r,n,o){var i=n-1;if(i<r.length){var a=r[i],s=e[a];s?s.items.push(t):(e[a]={},e[a]={ids:r,componentElement:this._parentElement,items:[t],depth:n,leaf:n==r.length,index:o}),o=s?s.items.length-1:0,e=this._addToGroupContexts(e,t,r,n+1,o)}return e},e.ChartDataProviderHandler.prototype._createSeries=function(t){var r,n,o=Object.keys(this._seriesContexts),i=Object.keys(e.CustomElementBridge.getMetadata("oj-chart-series").properties),a=[];if(this._seriesTemplate){(r=document.createElement("div")).setAttribute("data-oj-context","");for(var s=document.createDocumentFragment(),l=0;l<o.length;l++){var p,u=o[l],g=this._seriesContexts[u];try{for(var y=this._templateEngine.execute(this._parentElement,this._seriesTemplate,g,this._alias),d=0;d<y.length;d++)if(y[d].tagName&&"oj-chart-series"===y[d].tagName.toLowerCase()){p=y[d];break}}catch(t){e.Logger.error(t),a=[];break}a.push(p),s.appendChild(p)}r.appendChild(s),document.body.appendChild(r),n=e.Context.getContext(r).getBusyContext().whenReady()}else n=Promise.resolve();var m=this;return n.then(function(){for(var e=[],n=0;n<o.length;n++){var s=o[n],l={id:s,name:s};if(a.length>0)for(var p=a[n],u=0;u<i.length;u++){var g=p.getProperty(i[u]);void 0!==g&&(l[i[u]]=g)}e.push(l)}return r&&(m._templateEngine.clean(r),document.body.removeChild(r),r=null),m._addItemsToSeries(e,t)})},e.ChartDataProviderHandler.prototype._addItemsToSeries=function(e,t){for(var r=function(e){if(e.groups){for(var t=[],n=0;n<e.groups.length;n++)t.push([e.id].concat(r(e.groups[n])));return t}return[e.id]},n=[],o=0;o<t.length;o++){var i=t[o],a=r(i);n=n.concat(a)}for(o=0;o<e.length;o++){for(var s=e[o],l=[],p=0;p<n.length;p++){var u=n[p],g=this._itemMap[s.id][u]||null;g&&(delete g.groupId,delete g.seriesId),l.push(g)}e[o].items=l}return e},e.ChartDataProviderHandler.prototype._createGroups=function(t){var r,n,o=Object.keys(e.CustomElementBridge.getMetadata("oj-chart-group").properties),i={};if(this._groupTemplate){(r=document.createElement("div")).setAttribute("data-oj-context","");for(var a=document.createDocumentFragment(),s=Object.keys(this._groupContexts),l=0;l<s.length;l++){var p,u=s[l],g=this._groupContexts[u];try{for(var y=this._templateEngine.execute(this._parentElement,this._groupTemplate,g,this._alias),d=0;d<y.length;d++)if(y[d].tagName&&"oj-chart-group"===y[d].tagName.toLowerCase()){p=y[d];break}}catch(t){e.Logger.error(t),i={};break}r.appendChild(p),i[u]=p}r.appendChild(a),document.body.appendChild(r),n=e.Context.getContext(r).getBusyContext().whenReady()}else n=Promise.resolve();var m=this;return n.then(function(){for(var e=[],n=0;n<t.length;n++){var a=t[n];e=m._addGroupItem(a,a.groupId,e,o,i)}return r&&(m._templateEngine.clean(r),document.body.removeChild(r),r=null),e})},e.ChartDataProviderHandler.prototype._addGroupItem=function(e,t,r,n,o){r||(r=[]);for(var i,a=t[0],s=null,l=0;l<r.length;l++)r[l].id==a&&(s=l);if(null!=s)i=r[s];else{i={id:a,name:a};var p=o[a];if(p)for(var u=0;u<n.length;u++){var g=p.getProperty(n[u]);void 0!==g&&(i[n[u]]=g)}r.push(i)}return t.length>1&&(i.groups=this._addGroupItem(e,t.slice(1),i.groups,n,o)),r},e.ChartDataProviderHandler.prototype._sortSeries=function(e){var t,r;e.sort((t=this._seriesContexts,r=this._seriesComparator,function(e,n){return r(t[e.id],t[n.id])}));for(var n=0;n<e.length;n++){var o=e[n].id;this._seriesContexts[o].index=n}return e},e.ChartDataProviderHandler.prototype._sortGroups=function(e){var t,r;e.sort((t=this._groupContexts,r=this._groupComparator,function(e,n){var o=e.id,i=n.id,a=t[o],s=t[i];return r(a,s)}));for(var n=0;n<e.length;n++){var o=e[n].id;this._groupContexts[o].index=n,e[n].groups&&(e[n].groups=this._sortGroups(e[n].groups))}return e},e.__registerWidget("oj.ojChart",t.oj.dvtBaseComponent,{widgetEventPrefix:"oj",options:{data:null,selectInput:null,viewportChange:null,viewportChangeInput:null,drill:null},_CreateDvtComponent:function(e,t,r){return o.Chart.newInstance(e,t,r)},_ConvertLocatorToSubId:function(e){var t=e.subId;return"oj-chart-item"===t?t="dataItem["+e.seriesIndex+"]["+e.itemIndex+"]":"oj-chart-group"===t?t="group"+this._GetStringFromIndexPath(e.indexPath):"oj-chart-series"===t?t="series["+e.index+"]":"oj-chart-axis-title"===t?t=e.axis+":title":"oj-chart-reference-object"===t?t=e.axis+":referenceObject["+e.index+"]":"oj-legend-item"===t?(t="legend:section"+this._GetStringFromIndexPath(e.sectionIndexPath),t+=":item["+e.itemIndex+"]"):"oj-chart-tooltip"===t?t="tooltip":"oj-chart-pie-center-label"===t&&(t="pieCenterLabel"),t},_ProcessTemplates:function(t,r){var n=new e.ChartDataProviderHandler(this,t,r);return Promise.all([n.getSeries(),n.getGroups(),t]).then(function(e){return{paths:["series","groups","data"],values:e}})},_ProcessOptions:function(){this._super();var e=this.options.pieCenter;e&&e._renderer&&(e.renderer=this._GetTemplateRenderer(e._renderer,"center"));var t=this.options.selection;this._IsCustomElement()&&t&&"object"==typeof t[0]&&!this.options.data&&(this.options.selection=null)},_ConvertSubIdToLocator:function(e){var t={};if(0===e.indexOf("dataItem")){var r=this._GetIndexPath(e);t.subId="oj-chart-item",t.seriesIndex=r[0],t.itemIndex=r[1]}else if(0===e.indexOf("group"))t.subId="oj-chart-group",t.indexPath=this._GetIndexPath(e);else if(0===e.indexOf("series"))t.subId="oj-chart-series",t.index=this._GetFirstIndex(e);else if(e.indexOf("Axis:title")>0)t.subId="oj-chart-axis-title",t.axis=e.substring(0,e.indexOf(":"));else if(e.indexOf("Axis:referenceObject")>0)t.subId="oj-chart-reference-object",t.axis=e.substring(0,e.indexOf(":")),t.index=this._GetFirstIndex(e);else if(0===e.indexOf("legend")){if(e.indexOf(":item")>0){var n=e.indexOf(":item"),o=e.substring(0,n),i=e.substring(n);t.subId="oj-legend-item",t.sectionIndexPath=this._GetIndexPath(o),t.itemIndex=this._GetFirstIndex(i)}}else"tooltip"===e?t.subId="oj-chart-tooltip":"pieCenterLabel"===e&&(t.subId="oj-chart-pie-center-label");return t},_ProcessStyles:function(){if(this._super(),this.options.styleDefaults||(this.options.styleDefaults={}),!this.options.styleDefaults.colors){var t=new e.ColorAttributeGroupHandler;this.options.styleDefaults.colors=t.getValueRamp()}},_GetComponentRendererOptions:function(){return["tooltip/renderer","pieCenter/renderer"]},_GetComponentStyleClasses:function(){var e=this._super();return e.push("oj-chart"),e},_GetChildStyleClasses:function(){var e=this._super();return e["oj-chart-data-label"]={path:"styleDefaults/dataLabelStyle",property:"TEXT"},e["oj-chart-data-cursor-line"]={path:"styleDefaults/dataCursor/lineColor",property:"color"},e["oj-chart-stack-label"]={path:"styleDefaults/stackLabelStyle",property:"TEXT"},e["oj-chart-pie-center-label"]={path:"pieCenter/labelStyle",property:"TEXT"},e["oj-chart-slice-label"]={path:"styleDefaults/sliceLabelStyle",property:"TEXT"},e["oj-chart-stock-falling"]={path:"styleDefaults/stockFallingColor",property:"background-color"},e["oj-chart-stock-range"]={path:"styleDefaults/stockRangeColor",property:"background-color"},e["oj-chart-stock-rising"]={path:"styleDefaults/stockRisingColor",property:"background-color"},e["oj-chart-tooltip-label"]={path:"styleDefaults/tooltipLabelStyle",property:"TEXT"},e["oj-chart-xaxis-tick-label"]={path:"xAxis/tickLabel/style",property:"TEXT"},e["oj-chart-xaxis-title"]={path:"xAxis/titleStyle",property:"TEXT"},e["oj-chart-yaxis-tick-label"]={path:"yAxis/tickLabel/style",property:"TEXT"},e["oj-chart-yaxis-title"]={path:"yAxis/titleStyle",property:"TEXT"},e["oj-chart-y2axis-tick-label"]={path:"y2Axis/tickLabel/style",property:"TEXT"},e["oj-chart-y2axis-title"]={path:"y2Axis/titleStyle",property:"TEXT"},e["oj-legend"]={path:"legend/textStyle",property:"TEXT"},e["oj-legend-title"]={path:"legend/titleStyle",property:"TEXT"},e},_GetEventTypes:function(){return["drill","optionChange","selectInput","viewportChange","viewportChangeInput"]},_GetTranslationMap:function(){var e=this.options.translations,t=this._super();return t["DvtChartBundle.DEFAULT_GROUP_NAME"]=e.labelDefaultGroupName,t["DvtChartBundle.LABEL_SERIES"]=e.labelSeries,t["DvtChartBundle.LABEL_GROUP"]=e.labelGroup,t["DvtChartBundle.LABEL_VALUE"]=e.labelValue,t["DvtChartBundle.LABEL_TARGET_VALUE"]=e.labelTargetValue,t["DvtChartBundle.LABEL_X"]=e.labelX,t["DvtChartBundle.LABEL_Y"]=e.labelY,t["DvtChartBundle.LABEL_Z"]=e.labelZ,t["DvtChartBundle.LABEL_PERCENTAGE"]=e.labelPercentage,t["DvtChartBundle.LABEL_LOW"]=e.labelLow,t["DvtChartBundle.LABEL_HIGH"]=e.labelHigh,t["DvtChartBundle.LABEL_OPEN"]=e.labelOpen,t["DvtChartBundle.LABEL_CLOSE"]=e.labelClose,t["DvtChartBundle.LABEL_VOLUME"]=e.labelVolume,t["DvtChartBundle.LABEL_Q1"]=e.labelQ1,t["DvtChartBundle.LABEL_Q2"]=e.labelQ2,t["DvtChartBundle.LABEL_Q3"]=e.labelQ3,t["DvtChartBundle.LABEL_MIN"]=e.labelMin,t["DvtChartBundle.LABEL_MAX"]=e.labelMax,t["DvtChartBundle.LABEL_OTHER"]=e.labelOther,t["DvtChartBundle.PAN"]=e.tooltipPan,t["DvtChartBundle.MARQUEE_SELECT"]=e.tooltipSelect,t["DvtChartBundle.MARQUEE_ZOOM"]=e.tooltipZoom,t["DvtUtilBundle.CHART"]=e.componentName,t},_HandleEvent:function(e){var t=e.type;if("selection"===t){var r=e.selection;if(r){for(var n=[],o=[],i=0;i<r.length;i++){var a;a=this._IsCustomElement()?r[i].id:{id:r[i].id,series:r[i].series,group:r[i].group};var s={data:r[i].data,seriesData:r[i].seriesData,groupData:r[i].groupData,itemData:r[i].itemData};n.push(a),o.push(s)}var l={endGroup:e.endGroup,startGroup:e.startGroup,xMax:e.xMax,xMin:e.xMin,yMax:e.yMax,yMin:e.yMin,y2Max:e.y2Max,y2Min:e.y2Min,selectionData:o};this._IsCustomElement()||(l.component=e.component),e.complete?this._UserOptionChange("selection",n,l):(l.items=n,this._trigger("selectInput",null,l))}}else if("viewportChange"===t){var p={endGroup:e.endGroup,startGroup:e.startGroup,xMax:e.xMax,xMin:e.xMin,yMax:e.yMax,yMin:e.yMin};e.complete&&(this.options.xAxis||(this.options.xAxis={}),this.options.yAxis||(this.options.yAxis={}),this.options.xAxis.viewportStartGroup=null,this.options.xAxis.viewportEndGroup=null,null!=e.xMin&&null!=e.xMax&&(this.options.xAxis.viewportMin=e.xMin,this.options.xAxis.viewportMax=e.xMax),null!=e.yMin&&null!=e.yMax&&(this.options.yAxis.viewportMin=e.yMin,this.options.yAxis.viewportMax=e.yMax)),this._trigger(e.complete?"viewportChange":"viewportChangeInput",null,p)}else"drill"===t?this._trigger("drill",null,{id:e.id,series:e.series,group:e.group,data:e.data,seriesData:e.seriesData,groupData:e.groupData,itemData:e.itemData,component:e.component}):this._super(e)},_LoadResources:function(){null==this.options._resources&&(this.options._resources={});var t=this.options._resources;t.overviewGrippy=e.Config.getResourceUrl("resources/internal-deps/dvt/chart/drag_horizontal.png"),t.panCursorDown=e.Config.getResourceUrl("resources/internal-deps/dvt/chart/hand-closed.cur"),t.panCursorUp=e.Config.getResourceUrl("resources/internal-deps/dvt/chart/hand-open.cur"),t.panUp="oj-chart-pan-icon",t.panUpHover="oj-chart-pan-icon oj-hover",t.panDown="oj-chart-pan-icon oj-active",t.panDownHover="oj-chart-pan-icon oj-hover oj-active",t.selectUp="oj-chart-select-icon",t.selectUpHover="oj-chart-select-icon oj-hover",t.selectDown="oj-chart-select-icon oj-active",t.selectDownHover="oj-chart-select-icon oj-hover oj-active",t.zoomUp="oj-chart-zoom-icon",t.zoomUpHover="oj-chart-zoom-icon oj-hover",t.zoomDown="oj-chart-zoom-icon oj-active",t.zoomDownHover="oj-chart-zoom-icon oj-hover oj-active"},getTitle:function(){return this._component.getAutomation().getTitle()},getGroup:function(e){return this._component.getAutomation().getGroup(e)},getSeries:function(e){return this._component.getAutomation().getSeries(e)},getGroupCount:function(){return this._component.getAutomation().getGroupCount()},getSeriesCount:function(){return this._component.getAutomation().getSeriesCount()},getDataItem:function(e,t){return this._component.getAutomation().getDataItem(e,t)},getLegend:function(){return this._component.getAutomation().getLegend()},getPlotArea:function(){return this._component.getAutomation().getPlotArea()},getXAxis:function(){return this._component.getAutomation().getXAxis()},getYAxis:function(){return this._component.getAutomation().getYAxis()},getY2Axis:function(){return this._component.getAutomation().getY2Axis()},getValuesAt:function(e,t){return this._component.getValuesAt(e,t)},getContextByNode:function(e){var t=this.getSubIdByNode(e);return t&&"oj-chart-tooltip"!==t.subId?t:null},_GetComponentDeferredDataPaths:function(){return{root:["groups","series","data"]}},_CompareOptionValues:function(t,r,n){return"dataCursorPosition"===t?e.Object.compareValues(r,n):this._super(t,r,n)}}),e.__registerWidget("oj.ojSparkChart",t.oj.dvtBaseComponent,{widgetEventPrefix:"oj",options:{data:null,items:null,referenceObjects:[],tooltip:{renderer:null},type:"line",color:"#267DB3",areaColor:"",areaSvgClassName:"",areaSvgStyle:{},svgClassName:"",svgStyle:{},firstColor:"",lastColor:"",highColor:"",lowColor:"",animationDuration:void 0,animationOnDataChange:"none",animationOnDisplay:"none",visualEffects:"auto",baselineScaling:"min",lineWidth:1,lineStyle:"solid",lineType:"straight",markerShape:"auto",markerSize:5,barGapRatio:.25},_CreateDvtComponent:function(e,t,r){return this._focusable({element:this.element,applyHighlight:!0}),o.SparkChart.newInstance(e,t,r)},_GetComponentStyleClasses:function(){var e=this._super();return e.push("oj-sparkchart"),e},_GetChildStyleClasses:function(){var e=this._super();return e["oj-dvtbase oj-sparkchart"]={path:"animationDuration",property:"ANIM_DUR"},e},_GetTranslationMap:function(){var e=this.options.translations,t=this._super();return t["DvtUtilBundle.CHART"]=e.componentName,t},_Render:function(){this.element.attr("title")?(this.options.shortDesc=this.element.attr("title"),this.element.data(this.element,"title",this.element.attr("title")),this.element.removeAttr("title")):this.element.data("title")&&(this.options.shortDesc=this.element.data("title")),this._super()},getDataItem:function(e){var t=this._component.getAutomation().getDataItem(e);return this._AddAutomationGetters(t),t&&(t.getFloatValue=t.getLow),t},_GetComponentDeferredDataPaths:function(){return{root:["items","data"]}},_AddAutomationGetters:function(e){if(e){var t={};for(var r in e)this._addGetter(e,r,t);Object.defineProperties(e,t)}},_addGetter:function(e,t,r){r[("selected"==t?"is":"get")+t.charAt(0).toUpperCase()+t.slice(1)]={value:function(){return e[t]}}}}),function(){e.CustomElementBridge.registerMetadata("oj-chart","dvtBaseComponent",{properties:{animationOnDataChange:{type:"string",enumValues:["auto","slideToLeft","slideToRight","none"]},animationOnDisplay:{type:"string",enumValues:["auto","alphaFade","zoom","none"]},as:{type:"string"},coordinateSystem:{type:"string",enumValues:["polar","cartesian"]},data:{type:"DataProvider"},dataCursor:{type:"string",enumValues:["on","off","auto"]},dataCursorBehavior:{type:"string",enumValues:["smooth","snap","auto"]},dataCursorPosition:{type:"object",properties:{x:{type:"number|string"},y:{type:"number"},y2:{type:"number"}},writeback:!0},dataLabel:{},dnd:{type:"object",properties:{drag:{type:"object",properties:{groups:{type:"object",properties:{dataTypes:{type:"Array<string>"},drag:{},dragEnd:{},dragStart:{}}},items:{type:"object",properties:{dataTypes:{type:"Array<string>"},drag:{},dragEnd:{},dragStart:{}}},series:{type:"object",properties:{dataTypes:{type:"Array<string>"},drag:{},dragEnd:{},dragStart:{}}}}},drop:{type:"object",properties:{legend:{type:"object",properties:{dataTypes:{type:"Array<string>"},dragEnter:{},dragLeave:{},dragOver:{},drop:{}}},plotArea:{type:"object",properties:{dataTypes:{type:"Array<string>"},dragEnter:{},dragLeave:{},dragOver:{},drop:{}}},xAxis:{type:"object",properties:{dataTypes:{type:"Array<string>"},dragEnter:{},dragLeave:{},dragOver:{},drop:{}}},y2Axis:{type:"object",properties:{dataTypes:{type:"Array<string>"},dragEnter:{},dragLeave:{},dragOver:{},drop:{}}},yAxis:{type:"object",properties:{dataTypes:{type:"Array<string>"},dragEnter:{},dragLeave:{},dragOver:{},drop:{}}}}}}},dragMode:{type:"string",enumValues:["pan","zoom","select","off","user"]},drilling:{type:"string",enumValues:["on","seriesOnly","groupsOnly","off"]},groupComparator:{},groups:{type:"Array<any>|Promise"},hiddenCategories:{type:"Array<string>",writeback:!0},hideAndShowBehavior:{type:"string",enumValues:["withRescale","withoutRescale","none"]},highlightedCategories:{type:"Array<string>",writeback:!0},highlightMatch:{type:"string",enumValues:["any","all"]},hoverBehavior:{type:"string",enumValues:["dim","none"]},initialZooming:{type:"string",enumValues:["first","last","none"]},legend:{type:"object",properties:{backgroundColor:{type:"string"},borderColor:{type:"string"},maxSize:{type:"string"},position:{type:"string",enumValues:["start","end","bottom","top","auto"]},referenceObjectSection:{type:"object",properties:{title:{type:"string"},titleHalign:{type:"string",enumValues:["center","end","start"]},titleStyle:{type:"object"}}},rendered:{type:"string",enumValues:["on","off","auto"]},scrolling:{type:"string",enumValues:["off","asNeeded"]},sections:{type:"Array<object>"},seriesSection:{type:"object",properties:{title:{type:"string"},titleHalign:{type:"string",enumValues:["center","end","start"]},titleStyle:{type:"object"}}},size:{type:"string"},symbolHeight:{type:"number"},symbolWidth:{type:"number"},textStyle:{type:"object"},title:{type:"string"},titleHalign:{type:"string",enumValues:["center","end","start"]},titleStyle:{type:"object"}}},orientation:{type:"string",enumValues:["horizontal","vertical"]},otherThreshold:{type:"number"},overview:{type:"object",properties:{content:{type:"object"},height:{type:"string"},rendered:{type:"string",enumValues:["on","off"]}}},pieCenter:{type:"object",properties:{converter:{type:"object"},label:{type:"string"},labelStyle:{type:"object"},renderer:{},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]}}},pieCenterLabel:{type:"object",properties:{style:{type:"object"},text:{type:"string"}}},plotArea:{type:"object",properties:{backgroundColor:{type:"string"},borderColor:{type:"string"},borderWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off"]}}},polarGridShape:{type:"string",enumValues:["polygon","circle"]},selection:{type:"Array<any>",writeback:!0},selectionMode:{type:"string",enumValues:["single","multiple","none"]},seriesComparator:{},series:{type:"Array<object>|Promise"},sorting:{type:"string",enumValues:["ascending","descending","off"]},splitDualY:{type:"string",enumValues:["on","off","auto"]},splitterPosition:{type:"number"},stack:{type:"string",enumValues:["on","off"]},stackLabel:{type:"string",enumValues:["on","off"]},styleDefaults:{type:"object",properties:{animationDownColor:{type:"string"},animationDuration:{type:"number"},animationIndicators:{type:"string",enumValues:["none","all"]},animationUpColor:{type:"string"},barGapRatio:{type:"number"},borderColor:{type:"string"},borderWidth:{type:"number"},boxPlot:{type:"object",properties:{medianSvgClassName:{type:"string"},medianSvgStyle:{type:"object"},whiskerSvgClassName:{type:"string"},whiskerEndSvgClassName:{type:"string"},whiskerEndLength:{type:"string"},whiskerEndSvgStyle:{type:"object"},whiskerSvgStyle:{type:"object"}}},colors:{type:"Array<string>"},dataCursor:{type:"object",properties:{lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},markerColor:{type:"string"},markerDisplayed:{type:"string",enumValues:["on","off"]},markerSize:{type:"number"}}},dataItemGaps:{type:"string"},dataLabelPosition:{type:"string|Array<string>",enumValues:["center","outsideSlice","aboveMarker","belowMarker","beforeMarker","afterMarker","insideBarEdge","outsideBarEdge","none","auto"]},dataLabelStyle:{type:"object|Array<object>"},funnelBackgroundColor:{type:"string"},groupSeparators:{type:"object",properties:{color:{type:"string"},rendered:{type:"string",enumValues:["auto","off"]}}},hoverBehaviorDelay:{type:"number"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineType:{type:"string",enumValues:["straight","curved","stepped","centeredStepped","segmented","centeredSegmented","none","auto"]},lineWidth:{type:"number"},markerColor:{type:"string"},markerDisplayed:{type:"string",enumValues:["on","off","auto"]},markerShape:{type:"string"},markerSize:{type:"number"},marqueeBorderColor:{type:"string"},marqueeColor:{type:"string"},maxBarWidth:{type:"number"},otherColor:{type:"string"},patterns:{type:"Array<string>"},pieFeelerColor:{type:"string"},pieInnerRadius:{type:"number"},selectionEffect:{type:"string",enumValues:["explode","highlightAndExplode","highlight"]},seriesEffect:{type:"string",enumValues:["color","pattern","gradient"]},shapes:{type:"Array<string>"},stackLabelStyle:{type:"object"},stockFallingColor:{type:"string"},stockRangeColor:{type:"string"},stockRisingColor:{type:"string"},stockVolumeColor:{type:"string"},threeDEffect:{type:"string",enumValues:["on","off"]},tooltipLabelStyle:{type:"object"},tooltipValueStyle:{type:"object"}}},timeAxisType:{type:"string",enumValues:["enabled","mixedFrequency","skipGaps","disabled","auto"]},tooltip:{type:"object",properties:{renderer:{}}},touchResponse:{type:"string",enumValues:["touchStart","auto"]},translations:{type:"Object",properties:{componentName:{type:"string",value:"Chart"},labelAndValue:{type:"string",value:"{0}: {1}"},labelClearSelection:{type:"string",value:"Clear Selection"},labelClose:{type:"string",value:"Close"},labelCountWithTotal:{type:"string",value:"{0} of {1}"},labelDataVisualization:{type:"string",value:"Data Visualization"},labelDate:{type:"string",value:"Value"},labelDefaultGroupName:{type:"string",value:"Group {0}"},labelGroup:{type:"string",value:"Group"},labelHigh:{type:"string",value:"High"},labelInvalidData:{type:"string",value:"Invalid data"},labelLow:{type:"string",value:"Low"},labelNoData:{type:"string",value:"No data to display"},labelOpen:{type:"string",value:"Open"},labelOther:{type:"string",value:"Other"},labelPercentage:{type:"string",value:"Percentage"},labelQ1:{type:"string",value:"Q1"},labelQ2:{type:"string",value:"Q2"},labelQ3:{type:"string",value:"Q3"},labelSeries:{type:"string",value:"Series"},labelTargetValue:{type:"string",value:"Target"},labelValue:{type:"string",value:"Value"},labelVolume:{type:"string",value:"Volume"},labelX:{type:"string",value:"X"},labelY:{type:"string",value:"Y"},labelZ:{type:"string",value:"Z"},stateCollapsed:{type:"string",value:"Collapsed"},stateDrillable:{type:"string",value:"Drillable"},stateExpanded:{type:"string",value:"Expanded"},stateHidden:{type:"string",value:"Hidden"},stateIsolated:{type:"string",value:"Isolated"},stateMaximized:{type:"string",value:"Maximized"},stateMinimized:{type:"string",value:"Minimized"},stateSelected:{type:"string",value:"Selected"},stateUnselected:{type:"string",value:"Unselected"},stateVisible:{type:"string",value:"Visible"},tooltipPan:{type:"string",value:"Pan"},tooltipSelect:{type:"string",value:"Marquee select"},tooltipZoom:{type:"string",value:"Marquee zoom"}}},type:{type:"string",enumValues:["line","area","lineWithArea","stock","boxPlot","combo","pie","scatter","bubble","funnel","pyramid","bar"]},valueFormats:{type:"object",properties:{series:{type:"object",properties:{tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},group:{type:"object",properties:{tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},x:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},y:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},y2:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},z:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},value:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},targetValue:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},low:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},high:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},open:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},close:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},volume:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},q1:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},q2:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},q3:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},label:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}}}},xAxis:{type:"object",properties:{axisLine:{type:"object",properties:{lineColor:{type:"string"},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off"]}}},baselineScaling:{type:"string",enumValues:["min","zero"]},dataMax:{type:"number"},dataMin:{type:"number"},majorTick:{type:"object",properties:{baselineColor:{type:"string",enumValues:["inherit","auto"]},baselineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},baselineWidth:{type:"number"},lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off","auto"]}}},max:{type:"number|string"},maxSize:{type:"string"},min:{type:"number|string"},minorStep:{type:"number"},minorTick:{type:"object",properties:{lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off","auto"]}}},minStep:{type:"number"},referenceObjects:{type:"Array<object>"},rendered:{type:"string",enumValues:["off","on"]},scale:{type:"string",enumValues:["log","linear"]},size:{type:"string"},step:{type:"number"},tickLabel:{type:"object",properties:{converter:{type:"object"},rendered:{type:"string",enumValues:["off","on"]},rotation:{type:"string",enumValues:["none","auto"]},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},style:{type:"object"}}},title:{type:"string"},titleStyle:{type:"object"},viewportEndGroup:{type:"number|string"},viewportMax:{type:"number|string"},viewportMin:{type:"number|string"},viewportStartGroup:{type:"number|string"}}},y2Axis:{type:"object",properties:{alignTickMarks:{type:"string",enumValues:["off","on"]},axisLine:{type:"object",properties:{lineColor:{type:"string"},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off","auto"]}}},baselineScaling:{type:"string",enumValues:["min","zero"]},dataMax:{type:"number"},dataMin:{type:"number"},majorTick:{type:"object",properties:{baselineColor:{type:"string",enumValues:["inherit","auto"]},baselineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},baselineWidth:{type:"number"},lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["off","on","auto"]}}},max:{type:"number"},maxSize:{type:"string"},min:{type:"number"},minorStep:{type:"number"},minorTick:{type:"object",properties:{lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","auto","off"]}}},minStep:{type:"number"},position:{type:"string",enumValues:["start","end","top","bottom","auto"]},referenceObjects:{type:"Array<object>"},rendered:{type:"string",enumValues:["off","on"]},scale:{type:"string",enumValues:["log","linear"]},size:{type:"string"},step:{type:"number"},tickLabel:{type:"object",properties:{converter:{type:"object"},position:{type:"string",enumValues:["inside","outside"]},rendered:{type:"string",enumValues:["off","on"]},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},style:{type:"object"}}},title:{type:"string"},titleStyle:{type:"object"}}},yAxis:{type:"object",properties:{axisLine:{type:"object",properties:{lineColor:{type:"string"},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["off","on","auto"]}}},baselineScaling:{type:"string",enumValues:["min","zero"]},dataMax:{type:"number"},dataMin:{type:"number"},majorTick:{type:"object",properties:{baselineColor:{type:"string",enumValues:["inherit","auto"]},baselineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},baselineWidth:{type:"number"},lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off","auto"]}}},max:{type:"number"},maxSize:{type:"string"},min:{type:"number"},minorStep:{type:"number"},minorTick:{type:"object",properties:{lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off","auto"]}}},minStep:{type:"number"},position:{type:"string",enumValues:["start","end","top","bottom","auto"]},referenceObjects:{type:"Array<object>"},rendered:{type:"string",enumValues:["off","on"]},scale:{type:"string",enumValues:["log","linear"]},size:{type:"string"},step:{type:"number"},tickLabel:{type:"object",properties:{converter:{type:"object"},position:{type:"string",enumValues:["inside","outside"]},rendered:{type:"string",enumValues:["off","on"]},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},style:{type:"object"}}},title:{type:"string"},titleStyle:{type:"object"},viewportMax:{type:"number"},viewportMin:{type:"number"}}},zoomAndScroll:{type:"string",enumValues:["delayedScrollOnly","liveScrollOnly","delayed","live","off"]},zoomDirection:{type:"string",enumValues:["x","y","auto"]}},methods:{getContextByNode:{},getDataItem:{},getGroup:{},getGroupCount:{},getLegend:{},getPlotArea:{},getSeries:{},getSeriesCount:{},getValuesAt:{},getXAxis:{},getY2Axis:{},getYAxis:{}},events:{drill:{},viewportChange:{},selectInput:{},viewportChangeInput:{}},extension:{_WIDGET_NAME:"ojChart"}});var t=e.CustomElementBridge.getMetadata("oj-chart"),r=t.extension._DVT_PARSE_FUNC({"style-defaults.marker-shape":!0},{square:!0,circle:!0,diamond:!0,plus:!0,triangleDown:!0,triangleUp:!0,human:!0,star:!0,auto:!0});e.CustomElementBridge.register("oj-chart",{metadata:t,parseFunction:function(e,t,n,o){return"number|string"===n.type?isNaN(e)?e:Number(e):"style-defaults.data-label-style"===t?JSON.parse(e):r(e,t,n,o)}})}(),function(){e.CustomElementBridge.registerMetadata("oj-spark-chart","dvtBaseComponent",{properties:{animationDuration:{type:"number"},animationOnDataChange:{type:"string",enumValues:["auto","none"]},animationOnDisplay:{type:"string",enumValues:["auto","none"]},areaSvgClassName:{type:"string"},areaColor:{type:"string"},areaSvgStyle:{type:"object"},barGapRatio:{type:"number"},baselineScaling:{type:"string",enumValues:["zero","min"]},svgClassName:{type:"string"},color:{type:"string"},firstColor:{type:"string"},highColor:{type:"string"},items:{type:"Array<number>|Promise"},lastColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineType:{type:"string",enumValues:["curved","stepped","centeredStepped","segmented","centeredSegmented","none","straight"]},lineWidth:{type:"number"},lowColor:{type:"string"},markerShape:{type:"string"},markerSize:{type:"number"},referenceObjects:{type:"Array<object>"},svgStyle:{type:"object"},tooltip:{type:"object",properties:{renderer:{}}},translations:{type:"Object",properties:{componentName:{type:"string",value:"Chart"},labelAndValue:{type:"string",value:"{0}: {1}"},labelClearSelection:{type:"string",value:"Clear Selection"},labelCountWithTotal:{type:"string",value:"{0} of {1}"},labelDataVisualization:{type:"string",value:"Data Visualization"},labelInvalidData:{type:"string",value:"Invalid data"},labelNoData:{type:"string",value:"No data to display"},stateCollapsed:{type:"string",value:"Collapsed"},stateDrillable:{type:"string",value:"Drillable"},stateExpanded:{type:"string",value:"Expanded"},stateHidden:{type:"string",value:"Hidden"},stateIsolated:{type:"string",value:"Isolated"},stateMaximized:{type:"string",value:"Maximized"},stateMinimized:{type:"string",value:"Minimized"},stateSelected:{type:"string",value:"Selected"},stateUnselected:{type:"string",value:"Unselected"},stateVisible:{type:"string",value:"Visible"}}},type:{type:"string",enumValues:["area","lineWithArea","bar","line"]},visualEffects:{type:"string",enumValues:["none","auto"]}},methods:{getDataItem:{}},extension:{_WIDGET_NAME:"ojSparkChart"}});var t=e.CustomElementBridge.getMetadata("oj-spark-chart");e.CustomElementBridge.register("oj-spark-chart",{metadata:t,parseFunction:t.extension._DVT_PARSE_FUNC({"marker-shape":!0},{square:!0,circle:!0,diamond:!0,plus:!0,triangleDown:!0,triangleUp:!0,human:!0,star:!0,auto:!0})})}(),function(){e.CustomElementBridge.registerMetadata("oj-chart-item",null,{properties:{borderColor:{type:"string"},borderWidth:{type:"number"},boxPlot:{type:"object",properties:{medianSvgClassName:{type:"string"},medianSvgStyle:{type:"object"},q2Color:{type:"string"},q2SvgClassName:{type:"string"},q2SvgStyle:{type:"object"},q3SvgClassName:{type:"string"},q3SvgStyle:{type:"object"},whiskerEndLength:{type:"string"},whiskerEndSvgClassName:{type:"string"},whiskerEndSvgStyle:{type:"object"},whiskerSvgClassName:{type:"string"},whiskerSvgStyle:{type:"object"}}},categories:{type:"Array<string>"},close:{type:"number"},color:{type:"string"},drilling:{type:"string",enumValues:["on","off","inherit"]},groupId:{type:"Array<string>"},high:{type:"number"},items:{type:"Array<object>|Array<number>"},label:{type:"string|Array<string>"},labelPosition:{type:"string|Array<string>",enumValues:["center","outsideSlice","aboveMarker","belowMarker","beforeMarker","afterMarker","insideBarEdge","outsideBarEdge","none","auto"]},labelStyle:{type:"object|Array<object>"},low:{type:"number"},markerDisplayed:{type:"string",enumValues:["on","off","auto"]},markerShape:{type:"string"},markerSize:{type:"number"},open:{type:"number"},pattern:{type:"string",enumValues:["auto","largeChecker","largeCrosshatch","largeDiagonalLeft","largeDiagonalRight","largeDiamond","largeTriangle","smallChecker","smallCrosshatch","smallDiagonalLeft","smallDiagonalRight","smallDiamond","smallTriangle"]},q1:{type:"number"},q2:{type:"number"},q3:{type:"number"},seriesId:{type:"string"},shortDesc:{type:"string"},source:{type:"string"},sourceHover:{type:"string"},sourceHoverSelected:{type:"string"},sourceSelected:{type:"string"},svgClassName:{type:"string"},svgStyle:{type:"object"},targetValue:{type:"number"},value:{type:"number"},volume:{type:"number"},x:{type:"number|string"},y:{type:"number"},z:{type:"number"}},extension:{_CONSTRUCTOR:function(){}}});var t=e.CustomElementBridge.getMetadata("dvtBaseComponent");e.CustomElementBridge.register("oj-chart-item",{metadata:e.CustomElementBridge.getMetadata("oj-chart-item"),parseFunction:t.extension._DVT_PARSE_FUNC({"marker-shape":!0},{square:!0,circle:!0,diamond:!0,plus:!0,triangleDown:!0,triangleUp:!0,human:!0,star:!0,auto:!0})})}(),function(){e.CustomElementBridge.registerMetadata("oj-chart-series",null,{properties:{areaColor:{type:"string"},areaSvgClassName:{type:"string"},areaSvgStyle:{type:"object"},assignedToY2:{type:"string",enumValues:["on","off"]},borderColor:{type:"string"},borderWidth:{type:"number"},boxPlot:{type:"object",properties:{medianSvgClassName:{type:"string"},medianSvgStyle:{type:"object"},q2Color:{type:"string"},q2SvgClassName:{type:"string"},q2SvgStyle:{type:"object"},q3Color:{type:"string"},q3SvgClassName:{type:"string"},q3SvgStyle:{type:"object"},whiskerEndLength:{type:"string"},whiskerEndSvgClassName:{type:"string"},whiskerEndSvgStyle:{type:"object"},whiskerSvgClassName:{type:"string"},whiskerSvgStyle:{type:"object"}}},categories:{type:"Array<string>"},color:{type:"string"},displayInLegend:{type:"string",enumValues:["auto","off","on"]},drilling:{type:"string",enumValues:["on","off","inherit"]},lineStyle:{type:"string",enumValues:["dashed","dotted","solid"]},lineType:{type:"string",enumValues:["auto","centeredSegmented","centeredStepped","curved","none","segmented","stepped","straight"]},lineWidth:{type:"number"},markerColor:{type:"string"},markerDisplayed:{type:"string",enumValues:["on","off","auto"]},markerShape:{type:"string"},markerSize:{type:"number"},markerSvgClassName:{type:"string"},markerSvgStyle:{type:"object"},name:{type:"string"},pattern:{type:"string",enumValues:["auto","largeChecker","largeCrosshatch","largeDiagonalLeft","largeDiagonalRight","largeDiamond","largeTriangle","smallChecker","smallCrosshatch","smallDiagonalLeft","smallDiagonalRight","smallDiamond","smallTriangle"]},pieSliceExplode:{type:"number"},shortDesc:{type:"string"},source:{type:"string"},sourceHover:{type:"string"},sourceHoverSelected:{type:"string"},sourceSelected:{type:"string"},stackCategory:{type:"string"},svgClassName:{type:"string"},svgStyle:{type:"object"},type:{type:"string",enumValues:["area","auto","bar","boxPlot","candlestick","line","lineWithArea"]}},extension:{_CONSTRUCTOR:function(){}}});var t=e.CustomElementBridge.getMetadata("dvtBaseComponent");e.CustomElementBridge.register("oj-chart-series",{metadata:e.CustomElementBridge.getMetadata("oj-chart-series"),parseFunction:t.extension._DVT_PARSE_FUNC({"marker-shape":!0},{square:!0,circle:!0,diamond:!0,plus:!0,triangleDown:!0,triangleUp:!0,human:!0,star:!0,auto:!0})})}(),e.CustomElementBridge.registerMetadata("oj-chart-group",null,{properties:{drilling:{type:"string",enumValues:["on","inherit","off"]},labelStyle:{type:"object"},name:{type:"string"},shortDesc:{type:"string"}},extension:{_CONSTRUCTOR:function(){}}}),e.CustomElementBridge.register("oj-chart-group",{metadata:e.CustomElementBridge.getMetadata("oj-chart-group")})});